lines=60
cols=80
title="Standard Input"
date="`date`"
while
  case $1 in
    -t)
      shift
      title="$1"
      shift
      true;;
    -d)
      shift
      date="$1"
      shift
      true;;
    -l)
      shift
      lines=$1
      shift
      true;;
    -c)
      shift
      cols=$1
      shift
      true;;
    -*)
      echo "Usage: %s [-l lines] [-c cols] [-t title] [-d date] [file]..." 1>&2
      exit 2;;
    *)
      false;;
  esac
do :
done

echo "/LINES $lines def"
echo "/COLS $cols def"
echo "/DATE ($date) def"
echo "/TITLE ($title) def"

cat << \!
/inch { 72 mul } def

% Tune the page appearance here:
%GS% Denotes the "nice" settings for Ghostscript
%LN% For DEC LN03-R

% Fonts and line spacing...
/XSCALE 7.5 inch 0.6 div COLS div def
%GS% /YSCALE 10 inch LINES div def
%LN%/YSCALE 9.5 inch LINES div def
/YSCALE 9.5 inch LINES div def
/SCALE [XSCALE 0 0 YSCALE 0 0] def
/courier-normal /Courier findfont SCALE makefont def
/courier-slant /Courier-Oblique findfont SCALE makefont def
/courier-bold /Courier-Bold findfont SCALE makefont def
/courier courier-normal def
/ROMAN /NewCenturySchlbk-Bold findfont 12 scalefont def
/ITALIC /NewCenturySchlbk-BoldItalic findfont 12 scalefont def
/spacing YSCALE def

% Where does the title bar go?
%GS% /barplace 10.75 inch def
%LN%/barplace 10.25 inch def
/barplace 10.25 inch def

% Where does the text go?
%GS% /top 10.5 inch def
%LN%/top 10 inch def
/top 10 inch def
/bottom 0.5 inch def
/indent 0.5 inch def
/chwidth 7.5 inch COLS div def

% Where does the title go?
/titleplace barplace 10 add def
/left 0.5 inch def
/right 8 inch def
/middle 4.25 inch def

% Generally don't want to mess with this:

/page (     ) def

/NORMAL { /courier courier-normal def } def
/BOLD { /courier courier-bold def } def
/SLANT { /courier courier-slant def } def

/BOF {
	/line -1 def
	/pno 0 def
} def
/title {
	newpath 0.5 inch barplace moveto 8 inch barplace lineto stroke
	LFONT setfont
	indent titleplace moveto
	LTEXT show
	RFONT setfont
	right RTEXT stringwidth pop sub titleplace moveto
	RTEXT show
	ROMAN setfont
	pno 1 add dup /pno exch def page cvs
	middle page stringwidth pop 2 div sub titleplace moveto
	page show
	/line top def
} def
/NL {
	line spacing sub bottom lt {
		line -1 ne { showpage } if
		title
	} {
		/line line spacing sub def
	} ifelse
	/col indent def
} def
/FF {
	showpage title
} def
/EOF {
	/line line spacing sub def
	line bottom ge {
		newpath 0.5 inch line moveto 8 inch line lineto stroke
	} if
	showpage
	BOF
} def
/P {
	courier setfont
	col line moveto
	dup show
	stringwidth pop col add /col exch def
} def
/T {
	chwidth mul indent add /col exch def
} def
/OS {
	courier setfont
	dup {
		col line moveto show
	} forall
	0 exch {
		stringwidth pop 2 copy lt {
			exch
		} if pop
	} forall col add /col exch def
} def
!
preps ${1+"$@"}
