From quantum!revcan!cunews!torn.onet.on.ca!utgpu!news-server.csri.toronto.edu!rutgers!sun-barr!ames!olivea!uunet!sparky!kent Mon Jun 15 12:35:04 EDT 1992
Article: 1007 of comp.sources.misc
Path: quantum!revcan!cunews!torn.onet.on.ca!utgpu!news-server.csri.toronto.edu!rutgers!sun-barr!ames!olivea!uunet!sparky!kent
From: tony@ajfcal.cuc.ab.ca (Tony Field)
Newsgroups: comp.sources.misc
Subject: v30i050:  psf3 - Postscript print filter system, Patch03a/4
Message-ID: <csm-v30i050=psf3.151734@sparky.IMD.Sterling.COM>
Date: 14 Jun 92 20:17:58 GMT
Sender: kent@sparky.imd.sterling.com (Kent Landfield)
Followup-To: comp.sources.d
Organization: Sterling Software
Lines: 2476
Approved: kent@sparky.imd.sterling.com
X-Md4-Signature: 9a19de9ac547b782895b878a9158ffe3

Submitted-by: tony@ajfcal.cuc.ab.ca (Tony Field)
Posting-number: Volume 30, Issue 50
Archive-name: psf3/patch03a
Environment: ISC, SUNOS, SYSVR3, DOS
Patch-To: psf3: Volume 27, Issue 91-100

   PSF is a postscript print filter system designed to give reasonable
   control over text output to a postscript printer. If desired, psf can
   be installed as a filter for the lp/lpsched or lpr/lpd spooling systems.

   Printed output may be configured for:

		o  1-up, 2-up or 4-up on a page, landscape/portrait
		o  fonts/point size
		o  double sided printing
		o  pages scaled by row and column count
		o  lp banner page printing
		o  reverse order printing
		o  languages other than English
		o  optional ISO Latin1 character encoding
		o  left, right, top, bottom margin sizes
		o  line clipping or left/right justified line wrap
		o  page usage accounting
		o  printing to a pipe for multiple filtering in a spooler
		   or for printing to an Apple network printer (via papif?)

This is the final set of enhancements to psf.
As of this version, the following has been added:

     1. ISO-Latin1 encoding supported.
     
     2. Page usage accounting added (printcap "af" support)
     
     3. Psf can read page statistics from a serial/ethernet printer
        (printcap "rw" support).
     
     4. If the printer supports duplex double sided printing,
        the feature is invoked with -D
     
     5. Printing a ctl/D at eoj is not done unless psf is
        printing to a printer device.
     
     6. the -u option to select alternate printer definition files
        now works if psf is used as part of the spooler filter system.
     
     7. Some printer definitions in ./def have been fixed.

     8. psf can print to a pipe with the -O option.  Hopefully,
        this allows printing to an apple network.  Usually, this
        is installed as a print option in psfprint.def (for lpr/lpd).
FTP
^^^
   The current version of psf may be obtained by ftp from the
   University of Calgary:
   
	host:      fsa.cpsc.ucalgary.ca, cpsc.ucalgary.ca or 136.159.2.1
	login:     anonymous
	password:  is your mail address, by convention
	files:     pub/psf/psf3.5.tar.Z

These patches are applied to psf3, at patchlevel 3.  (NOTE: patchlevel 4
was never posted to the net)

Apply these patch files with:

	patch -p -N < PatchXXX
	

 --------------------- snip/snip --------------------------

*** net/psf.c	Sun Apr 19 13:33:26 1992
--- psf.c	Tue Jun  2 02:18:45 1992
***************
*** 5,53 ****
  *	Print text files to postscript printer.									*
  *																			*
  *	Tony Field: tony@ajfcal.cuc.ab.ca										*
  ****************************************************************************/
  /*
!  * $Id: psf.c,v 3.3 1992/02/07 15:10:57 ajf Exp ajf $
  */
  /*	Three versions of psf can be compiled:
  
  		psf:		postscript filter for command line use.
  			
  		psffilter:	used with lp/lpsched.  accepts command line argument.
  					Input on stdin. compile with -DPSFFILTER.
  
! 		psflpd:		used with lpr/lpd.  does not accept command line
! 					arguments.  compile with -DPSFFILTER -DFORLPD
   */
  
  #include <stdio.h>
  #include <string.h>
  #include <setjmp.h>
! #include <math.h>
! #include <time.h>
! #include <signal.h>
! #include "ctp.h"
! #include "patchlevel.h"
! #include "psf.h"
! #include "psfproto.h"
  
! #if defined(MSDOS)  ||  defined (__MSDOS__)
! #ifndef BINDIR
! #define BINDIR "c:/bin"
  #endif
! #ifndef PDEF
! #define PDEF "c:/lib/psfprint.def"
  #endif
  #endif
- 
- #ifndef PAPERTYPE
- #define PAPERTYPE "letter"
  #endif
! #ifndef PSFDOUB
! #define PSFDOUB "psfdoub"
  #endif
  
  /*	set up the mechanism for underline display */
  
  #define SHOWU(fp,ps)	fprintf (fp, ") %d showuline\n", ps)
  
--- 5,56 ----
  *	Print text files to postscript printer.									*
  *																			*
  *	Tony Field: tony@ajfcal.cuc.ab.ca										*
  ****************************************************************************/
  /*
!  * $Id: psf.c,v 3.5 1992/06/02 08:16:01 ajf Exp ajf $
  */
  /*	Three versions of psf can be compiled:
  
  		psf:		postscript filter for command line use.
  			
  		psffilter:	used with lp/lpsched.  accepts command line argument.
  					Input on stdin. compile with -DPSFFILTER.
  
! 		psflpd:		like psffilter, but for lpr/lpd.
! 					compile with -DPSFFILTER -DFORLPD
   */
  
  #include <stdio.h>
+ #include <errno.h>
  #include <string.h>
  #include <setjmp.h>
! #include <sys/types.h>
  
! #ifdef ISC22
! #define pid_t short
  #endif
! 
! #if !defined(MSDOS)  &&  !defined(__MSDOS__)
! #include <sys/wait.h>
! #ifndef WEXITSTATUS
! #define WEXITSTATUS(stat_val) ((unsigned)(stat_val) >> 8)
! #undef WIFEXITED /* Avoid 4.3BSD incompatibility with Posix.  */
  #endif
+ #ifndef WIFEXITED
+ #define WIFEXITED(stat_val) (!((stat_val) & 255))
  #endif
  #endif
! #include <math.h>
! #include <time.h>
! #if defined(MSDOS)  ||  defined(__MSDOS__)
! #include <process.h>
  #endif
+ #include <signal.h>
+ #include "ctp.h"
+ #include "patchlevel.h"
+ #include "psf.h"
  
  /*	set up the mechanism for underline display */
  
  #define SHOWU(fp,ps)	fprintf (fp, ") %d showuline\n", ps)
  
***************
*** 57,76 ****
  #define NORMAL		0x00		/* bitset for  print_attributes				*/
  #define ITALICS		0x01
  #define BOLD		0x02
  #define UNDERLINE	0x04		/* must be 0x04.  underline is not a font	*/
  
  #define CTLD_EOJ	0x04		/* ctl/d is end of postscript job.			*/
  
  /*	Paper physical dimensions.
  	The default paper sizes is for a NEC LC890 and is overridden in
  	"psfprint.def".
  */
  
  typedef struct		 			/*	measurement in point					*/
  {	char	paper_name[60];		/*	name of paper size (for command line)	*/
! 	char	paper_tray[100];	/*	postscript operator to select this tray	*/
  	int		width;				/*	portrait point width of paper			*/
  	int		height;				/*	portrait point height of paper			*/
  	int		lx, ly, ux, uy;
  	int		left_marg;			/*	margin widths (unprintable area)		*/
  	int		bot_marg;			/*			"								*/
--- 60,84 ----
  #define NORMAL		0x00		/* bitset for  print_attributes				*/
  #define ITALICS		0x01
  #define BOLD		0x02
  #define UNDERLINE	0x04		/* must be 0x04.  underline is not a font	*/
  
+ #define CTLC_CANCEL 0x03		/*	ctl/c is cancel current job				*/
  #define CTLD_EOJ	0x04		/* ctl/d is end of postscript job.			*/
+ #define REQUEST_STATUS 	'\024'	/* ^T */
+ char c_CTLC_CANCEL[] = { CTLD_EOJ, CTLC_CANCEL } ;
+ #define READ_ERROR	-2			/*	error cond when read from printer port	*/
+ 
  
  /*	Paper physical dimensions.
  	The default paper sizes is for a NEC LC890 and is overridden in
  	"psfprint.def".
  */
  
  typedef struct		 			/*	measurement in point					*/
  {	char	paper_name[60];		/*	name of paper size (for command line)	*/
! 	char	paper_tray[200];	/*	postscript operator to select this tray	*/
  	int		width;				/*	portrait point width of paper			*/
  	int		height;				/*	portrait point height of paper			*/
  	int		lx, ly, ux, uy;
  	int		left_marg;			/*	margin widths (unprintable area)		*/
  	int		bot_marg;			/*			"								*/
***************
*** 102,111 ****
--- 110,120 ----
  				"",
  				 0, 0,  0,  0, 0, 0, 0, 0, 0, 0 
  			}
  };
  
+ char	duplex_mode[200] = "\0";
  char	order_default[20] = "Normal";
  char	order_normal[100] = "\0";
  char	order_reverse[100] = "\0";
  char	*order_command = NULL;
  
***************
*** 122,138 ****
  int		y_top_offset;			/*	offsets for each frame					*/
  int		x_left_offset;
  int		dx_home[4];				/*	page frame home (0,0) translations		*/
  int		dy_home[4];
  
- int		x,y;					/* current x,y coordinate					*/
  double	scale_x, scale_y;		/* scale factors for 2-up, 4-up printing	*/
  int		real_width;
  
  long	*pg_loc;				/* double side print byte ptr to %%Page:	*/
  int		npg_loc;				/* number of elements in pg_loc[]			*/
  
  int		book 			= 0;	/* book format: double sided				*/
  int		bookwork		= 0;	/* book format, 2-up print					*/
  int		lines_on_page 	= 60;	/* user print lines on page					*/
  int		lines_total 	= 0;	/* total number of lines for scale purposes	*/
  int		chars_on_line 	= 80;	/* default number of chars on line			*/
--- 131,147 ----
  int		y_top_offset;			/*	offsets for each frame					*/
  int		x_left_offset;
  int		dx_home[4];				/*	page frame home (0,0) translations		*/
  int		dy_home[4];
  
  double	scale_x, scale_y;		/* scale factors for 2-up, 4-up printing	*/
  int		real_width;
  
  long	*pg_loc;				/* double side print byte ptr to %%Page:	*/
  int		npg_loc;				/* number of elements in pg_loc[]			*/
  
+ int		duplex			= 0;	/* duplex mode								*/
  int		book 			= 0;	/* book format: double sided				*/
  int		bookwork		= 0;	/* book format, 2-up print					*/
  int		lines_on_page 	= 60;	/* user print lines on page					*/
  int		lines_total 	= 0;	/* total number of lines for scale purposes	*/
  int		chars_on_line 	= 80;	/* default number of chars on line			*/
***************
*** 175,184 ****
--- 184,194 ----
  int		end_of_file		= 0;	/* end of printing file						*/
  int		save_point_size ;		/* save original point size for headers		*/
  int		n_chars;				/*	number of characters on a line			*/
  int		reverse_order	= 0;	/* 	print in reverse_order					*/
  int		reverse_requested = 0;	/*	user option for reverse order			*/
+ int		gen_eoj			= 0;	/*	psf: generate ctl/d on end of file		*/
  char	fname[100];
  char	now[50];				/* time of day for page headers 			*/
  
  #ifdef HOPPER
  int		hopper_available = 1;
***************
*** 216,253 ****
  	"Helvetica-Condensed",		"Helvetica-Condensed-Oblique", "Helvetica-Condensed-Bold", "Helvetica-Condensed-BoldObl",
  	"ZapfChancery-MediumItalic","ZapfChancery-MediumItalic","ZapfChancery-MediumItalic","ZapfChancery-MediumItalic"
  } ;
  
  int	fonts_used[NFONTS];
  int	fonts_have[NFONTS];
  unsigned char	xlate[256];			/*	translation vector 	*/
  int		need_xlate = 0;				/*	no default xlate	*/
  char	copyfile[150];				/*	copy file name from psfprint.def */
  
  int	max_frame	= 1;		/* max number of frames in use */
  int	frame		= -1;		/* current frame in use */
  
  FILE	*input_fp, *output_fp;
  
  /*	input line and input line pointer */
  char	*c;
  char	line[LONG_STR + 1];
  char	shortline[150];
  
  char	*pgmname;
  
- void catch();
  jmp_buf eof_env;
  
  char	*defref = NULL;
  FILE	*pdef = NULL;		/*	psfprint.def file	*/
  
  char *ascii_hex = "0123456789abcdefghijklmnopqrstuvwxyz";
! extern int atoi(), getpid();
  
  char *malloc();
  
  /****************************************************************************
  *	main ()																	*
  ****************************************************************************/
  
  main (argc, argv)
--- 226,292 ----
  	"Helvetica-Condensed",		"Helvetica-Condensed-Oblique", "Helvetica-Condensed-Bold", "Helvetica-Condensed-BoldObl",
  	"ZapfChancery-MediumItalic","ZapfChancery-MediumItalic","ZapfChancery-MediumItalic","ZapfChancery-MediumItalic"
  } ;
  
  int	fonts_used[NFONTS];
+ int	fonts_iso[NFONTS];				/*	ioslatin1 encoded	*/
+ 
+ #ifdef ISO
+ int	isolatin = 1;					/*	enable ISOLatin1Encoding by default */
+ #else
+ int	isolatin = 0;					/*	disable ISOLatin1Encoding by default */
+ #endif
+ 
  int	fonts_have[NFONTS];
  unsigned char	xlate[256];			/*	translation vector 	*/
  int		need_xlate = 0;				/*	no default xlate	*/
  char	copyfile[150];				/*	copy file name from psfprint.def */
  
  int	max_frame	= 1;		/* max number of frames in use */
  int	frame		= -1;		/* current frame in use */
  
  FILE	*input_fp, *output_fp;
+ char	*pipe_name;
  
  /*	input line and input line pointer */
  char	*c;
  char	line[LONG_STR + 1];
  char	shortline[150];
  
  char	*pgmname;
  
  jmp_buf eof_env;
  
  char	*defref = NULL;
  FILE	*pdef = NULL;		/*	psfprint.def file	*/
  
  char *ascii_hex = "0123456789abcdefghijklmnopqrstuvwxyz";
! #if !defined(MSDOS)  &&  !defined(__MSDOS__)
! extern int getpid();
! #endif
! extern int atoi();
  
  char *malloc();
  
+ char *account_file_name = NULL;		/*	accounting file name				*/
+ char *host = NULL;					/*	accounting host						*/
+ char *user = NULL;					/*	accounting user						*/
+ int	printfd = 1;					/*	read from stdout					*/
+ int	pid;							/*	pid for accounting					*/
+ int	read_access = 0;				/*	spooler can read from printer, too 	*/
+ long pages_written = 0;				/*	page count if no access to printer	*/
+ 
+ #ifdef __STDC__
+ measure *locate_pagetype(char *desired, int printerr);
+ #else
+ measure *locate_pagetype();
+ #endif
+ 
+ 
+ #include "psfproto.h"
+ 
+ 
  /****************************************************************************
  *	main ()																	*
  ****************************************************************************/
  
  main (argc, argv)
***************
*** 255,283 ****
  char	*argv[];
  {	int		c, i, j, number;
  	extern char *optarg;
  	extern int	optind, getopt();
  	char	bookfile[100];
- 	char	*env_fname;			/*	environment specified output file */
  	char	*getenv();
  	int		narrow2x;
! 	char	alt_cmd[200];
  	char	*new_marg;
  	int		want_stats = 0;
  
  	if ((pgmname = strrchr (argv[0], '/'))
  			|| (pgmname = strrchr (argv[0], '\\'))
  			|| (pgmname = strrchr (argv[0], ':')))
  		pgmname++;
  	else
  		pgmname = argv[0];
  
  	copyfile[0] = 0;
  	for (i = 0; i < 256;  i++)			/*	initial xlate = no translation */
  		xlate[i] = i;
  	for (i = font_count;  i < NFONTS;  i++)
  		fonts[i] = "N/A";
  
  	defref = NULL;
  	for (i = 0;  i < argc;  i++)		/*	if user sets -u alt.def */
  	{	if (strncmp (argv[i], "-u", 2) == 0)
  		{	if (strlen (argv[i]) > 2)
--- 294,329 ----
  char	*argv[];
  {	int		c, i, j, number;
  	extern char *optarg;
  	extern int	optind, getopt();
  	char	bookfile[100];
  	char	*getenv();
  	int		narrow2x;
! 	char	*alt_cmd;
  	char	*new_marg;
  	int		want_stats = 0;
+ 	char	alt_def_file[200];
+ 	double	atof();
+ 	int		modified_argv = 0;
+ 
+ 	pid = getpid();
  
  	if ((pgmname = strrchr (argv[0], '/'))
  			|| (pgmname = strrchr (argv[0], '\\'))
  			|| (pgmname = strrchr (argv[0], ':')))
  		pgmname++;
  	else
  		pgmname = argv[0];
  
  	copyfile[0] = 0;
+ 	pipe_name = NULL;
  	for (i = 0; i < 256;  i++)			/*	initial xlate = no translation */
  		xlate[i] = i;
  	for (i = font_count;  i < NFONTS;  i++)
  		fonts[i] = "N/A";
+ 	for (i = 0;  i < NFONTS;  i++)
+ 		fonts_iso[i] = 0;
  
  	defref = NULL;
  	for (i = 0;  i < argc;  i++)		/*	if user sets -u alt.def */
  	{	if (strncmp (argv[i], "-u", 2) == 0)
  		{	if (strlen (argv[i]) > 2)
***************
*** 292,302 ****
  			defref = PDEF;
  	}
  
  	/*	Read the .def file if it exists	*/
  
! 	alt_cmd[0] = '\0';
  	if (access (defref, 0)  &&  defref != PDEF
  							&&  strchr (defref, '/') == NULL  
  							&&  strchr (defref, '\\') == NULL)
  	{	/* see if file is in same directory as PDEF */
  		char *c, *strrchr();
--- 338,349 ----
  			defref = PDEF;
  	}
  
  	/*	Read the .def file if it exists	*/
  
! redo_def:
! 	alt_cmd = malloc (200);
  	if (access (defref, 0)  &&  defref != PDEF
  							&&  strchr (defref, '/') == NULL  
  							&&  strchr (defref, '\\') == NULL)
  	{	/* see if file is in same directory as PDEF */
  		char *c, *strrchr();
***************
*** 316,354 ****
  		
  	if ((pdef = fopen (defref, "r")) != NULL)
  	{	char	line_type[50];
  #if defined(FORLPD)
  		char	*quote, *word;
! 		int		modified_argv = 0;
  
  		/*	read lpd options from psfprint.def.  Format is:
  				*psflpd argv0name opt1 opt2 opt3...
  		*/			
  		while (fgets (alt_cmd, 200, pdef))
  		{	if (*alt_cmd == '#')
  				continue;
  			alt_cmd[199] = '\0';
  			trim (alt_cmd);
! 			word = strtok (alt_cmd, " \t");
  			if (strcmp (word, "*psflpd") == 0)
! 			{	word = strtok (NULL, " \t");
  				if (strcmp (word, pgmname) == 0)
! 				{	argv = (char **) malloc (sizeof (char *) * 50);
  					argv[0] = word;
  					modified_argv = 1;
! 					for (argc = 1;  word = strtok (NULL, " \t");  argc++)
  					{	if (*word == '#')	/* quite on comments */
  							break;
! 						argv[argc] = word;
  					}
  					argv[argc] = NULL;
  					break;
  				}
  			}
  			else if (strcmp (word, "*printer") == 0)
  				break;
  		}
  		if (modified_argv == 0)
  		{	argc = 1;
  			argv[1] = NULL;
  		}
  
--- 363,452 ----
  		
  	if ((pdef = fopen (defref, "r")) != NULL)
  	{	char	line_type[50];
  #if defined(FORLPD)
  		char	*quote, *word;
! 		int		want_new_def = 0;
! 
! 		/*	get original host, user, and accounting file */
! 		
! 		if (modified_argv == 0)
! 		{
! 			while ((c = getopt(argc, argv, "cw:l:i:n:h:")) != -1)
! 			{	switch (c)
! 				{
! 				case 'n':	user = optarg;		break;
! 				case 'h':	host = optarg;		break;
! 				case 'c':
! 				case 'w':
! 				case 'l':
! 				case 'i':	continue;
! 				default: ;
! 				}
! 			}
! 			if (optind == argc - 1)
! 				account_file_name = argv[optind];
! 			else
! 				account_file_name = NULL;
! 		}
  
  		/*	read lpd options from psfprint.def.  Format is:
  				*psflpd argv0name opt1 opt2 opt3...
+ 			If -u is in the options, read the new def file.
  		*/			
+ 
+ 		optind = 1; 		/* reset getopt for possibly new arg list */
  		while (fgets (alt_cmd, 200, pdef))
  		{	if (*alt_cmd == '#')
  				continue;
  			alt_cmd[199] = '\0';
  			trim (alt_cmd);
! 			word = nexttok (alt_cmd, " \t'\"");
  			if (strcmp (word, "*psflpd") == 0)
! 			{	word = nexttok (NULL, " \t'\"");
  				if (strcmp (word, pgmname) == 0)
! 				{	/*	create a new argument vector */
! 					argv = (char **) malloc (sizeof (char *) * 50);
  					argv[0] = word;
  					modified_argv = 1;
! 					argc = 1;
! 					while (word = nexttok (NULL, " \t'\""))
  					{	if (*word == '#')	/* quite on comments */
  							break;
! 						if (strncmp (word, "-u", 2) == 0)
! 						{	/*	get another .def file - but keep all
! 								provided arguments.
! 							*/
! 							if (strlen (word) == 2)
! 							{	word = nexttok (NULL, " \t'\"");
! 								if (word)
! 									strcpy (alt_def_file, word);
! 								else
! 								{	fprintf (stderr, "%s: invalid -u option\n", pgmname);
! 									exit (DISCARD_JOB);
! 								}
! 							}
! 							else
! 								strcpy (alt_def_file, word + 2);
! 							defref = alt_def_file;
! 							want_new_def = 1;
! 						}
! 						else
! 							argv[argc++] = word;
  					}
  					argv[argc] = NULL;
  					break;
  				}
  			}
  			else if (strcmp (word, "*printer") == 0)
  				break;
  		}
+ 		if (want_new_def)
+ 		{	pdef = NULL;
+ 			fclose (pdef);
+ 			goto redo_def;
+ 		}
  		if (modified_argv == 0)
  		{	argc = 1;
  			argv[1] = NULL;
  		}
  
***************
*** 445,454 ****
--- 543,558 ----
  					strcpy (slots[i], line);
  					j = i;
  				}
  				nslots = j + 1;
  			}
+ 			else if (strcmp (line_type, "*duplex") == 0)
+ 			{	for (i = 0;  i < number;  i++)
+ 				{	if (fgets (duplex_mode, 200, pdef) == NULL)
+ 						bad_file();
+ 				}
+ 			}
  
  			else if (strcmp (line_type, "*eof") == 0)
  				break;
  			else
  				bad_file();
***************
*** 459,475 ****
  	{	for (i = 0;  i < font_count;  i++)
  			fonts_have[i] = 1;
  	}
  
  #ifdef PAPERTYPE
! 	for (i = 0;  page_types[i].paper_name[0];  i++)
! 	{	if (strcmp (page_types[i].paper_name, PAPERTYPE) == 0)
! 		{	p = &page_types[i];
! 			break;
! 		}
! 	}
! 	if (page_types[i].paper_name[0] == '\0')
  		p = &page_types[0];
  #else
  	p = &page_types[0];			/* default to letter size paper	*/
  #endif	/* PAPERTYPE */
  
--- 563,574 ----
  	{	for (i = 0;  i < font_count;  i++)
  			fonts_have[i] = 1;
  	}
  
  #ifdef PAPERTYPE
! 	p = locate_pagetype (PAPERTYPE, 1);
! 	if (p == NULL)
  		p = &page_types[0];
  #else
  	p = &page_types[0];			/* default to letter size paper	*/
  #endif	/* PAPERTYPE */
  
***************
*** 477,487 ****
  	if (argc > 1  &&  (strcmp (argv[1], "-") == 0  || strcmp (argv[1], "--") == 0))
  		usage();
  
  	narrow2x = 0;
  	new_marg = NULL;
! 	while ((c = getopt(argc, argv, "124Eexhnwdvzsi:m:b:c:g:H:l:L:M:f:t:P:p:r:R:u:-?")) != -1)
  	{	switch (c)
  		{
  		case '1':
  			max_frame = 1;
  			break;
--- 576,586 ----
  	if (argc > 1  &&  (strcmp (argv[1], "-") == 0  || strcmp (argv[1], "--") == 0))
  		usage();
  
  	narrow2x = 0;
  	new_marg = NULL;
! 	while ((c = getopt(argc, argv, "124aEejxhInwDdvzsA:i:m:b:c:g:H:l:L:M:f:t:O:P:p:r:R:u:Y:y:-?")) != -1)
  	{	switch (c)
  		{
  		case '1':
  			max_frame = 1;
  			break;
***************
*** 493,518 ****
  			break;
  		
  		case '4':
  			max_frame = 4;
  			break;
  			
  		case 'b':
  			if ((set_paper_bin = atoi (optarg)) > nslots)
  			{	if (nslots == 0)
! 					fprintf (stderr, "%s: no alternate bins permitted\n", nslots);
  				else
  					fprintf (stderr, "%s: paper bin greater than %d\n", pgmname, nslots);
! 				exit (1);
  			}
  			break;
  
  		case 'c':
  			chars_on_line = atoi (optarg);
  			set_char_count = 1;
  			break;
  
  		case 'd':
  			book = 1;
  			break;
  					
  		case 'e':
--- 592,633 ----
  			break;
  		
  		case '4':
  			max_frame = 4;
  			break;
+ 
+ 		case 'a':
+ 			read_access = 1;
+ 			break;
  			
+ 		case 'A':
+ 			account_file_name = optarg;		/*	for lpsched's benifit */
+ 			break;
+ 
  		case 'b':
  			if ((set_paper_bin = atoi (optarg)) > nslots)
  			{	if (nslots == 0)
! 					fprintf (stderr, "%s: no alternate bins permitted\n", pgmname);
  				else
  					fprintf (stderr, "%s: paper bin greater than %d\n", pgmname, nslots);
! 				exit (DISCARD_JOB);
  			}
  			break;
  
  		case 'c':
  			chars_on_line = atoi (optarg);
  			set_char_count = 1;
  			break;
  
+ 		case 'D':
+ 			duplex = 1;
+ 			if (duplex_mode[0] == 0)
+ 			{	fprintf (stderr, "%s: duplex mode not available\n", pgmname);
+ 				exit (DISCARD_JOB);
+ 			}
+ 			break;
+ 	
  		case 'd':
  			book = 1;
  			break;
  					
  		case 'e':
***************
*** 543,561 ****
  					font_number = 0;
  			}
  			break;
  
  		case 'g':
! 			p = NULL;
! 			for (i = 0;  page_types[i].paper_name[0];  i++)
! 			{	if (compare (optarg, page_types[i].paper_name) == 0)
! 				{	p = &page_types[i];
! 					break;
! 				}
! 			}
  			if (p == NULL)
! 				usage ();
  			set_paper_tray = 1;
  			break;
  
  		case 'h':
  			header = 1;
--- 658,670 ----
  					font_number = 0;
  			}
  			break;
  
  		case 'g':
! 			p = locate_pagetype (optarg, 1);
  			if (p == NULL)
! 				exit (DISCARD_JOB);
  			set_paper_tray = 1;
  			break;
  
  		case 'h':
  			header = 1;
***************
*** 564,589 ****
  		case 'H':
  			header = 2;
  			strcpy (header_text, optarg);
  			break;
  
  		case 'i':
! 			x_user_offset = atoi (optarg) * cvt_unit (optarg) + 0.01;
  			break;
  
  		case 'l':
  			lines_on_page = atoi (optarg);
  			set_line_count = 1;
  			break;
  
  		case 'L':
  			lines_total = atoi (optarg);
  			set_total_count = 1;
  			break;
  
  		case 'm':
! 			y_user_offset = atoi (optarg) * cvt_unit(optarg) + 0.01;
  			break;
  		
  		case 'M':
  			new_marg = optarg;
  			break;
--- 673,710 ----
  		case 'H':
  			header = 2;
  			strcpy (header_text, optarg);
  			break;
  
+ 		case 'I':
+ #ifdef ISO
+ 			isolatin = 0;
+ #else
+ 			isolatin = 1;
+ #endif
+ 			break;
+ 	
  		case 'i':
! 			x_user_offset = atof (optarg) * cvt_unit (optarg) + 0.01;
  			break;
  
  		case 'l':
  			lines_on_page = atoi (optarg);
  			set_line_count = 1;
  			break;
  
+ 		case 'j':
+ 			gen_eoj = 1;
+ 			break;
+ 	
  		case 'L':
  			lines_total = atoi (optarg);
  			set_total_count = 1;
  			break;
  
  		case 'm':
! 			y_user_offset = atof (optarg) * cvt_unit(optarg) + 0.01;
  			break;
  		
  		case 'M':
  			new_marg = optarg;
  			break;
***************
*** 591,600 ****
--- 712,725 ----
  		case 'n':
  			landscape = 0;
  			narrow2x = 1;
  			break;
  
+ 		case 'O':
+ 			pipe_name = optarg;
+ 			break;
+ 
  		case 'p':
  			point_size = atoi (optarg);
  			set_point_size = 1;
  			break;
  
***************
*** 633,650 ****
--- 758,785 ----
  			
  		case 'x':
  			cross = 1;
  			break;
  
+ 		case 'y':
+ 			user = optarg;
+ 			break;
+ 	
+ 		case 'Y':
+ 			host = optarg;
+ 			break;
+ 
  		case 'z':
  			print_postscript = 1;
  			break;
  
  		default:	usage ();
  			break;
  		}
  	}
+ 	if (duplex  ||  pipe_name)		/*	cannot support book mode */
+ 		book = 0;
  
  	if (strncmp (order_default, "Reverse", 7) == 0)		/*	stacking sequence 		*/
  		reverse_order = 1;								/*	"Reverse"				*/
  	else
  		reverse_order = 0;								/*	"Normal"				*/
***************
*** 662,680 ****
  	nominal_high = p->uy - p->ly + 1;					/* for default row/col scaling */
  	nominal_wide = p->ux - p->lx + 1;		
  
  	if (reverse_requested && book)
  	{	fprintf (stderr, "Double sided or book in reverse ordered not supported\n");
! 		exit (1);
  	}
  	/*	if -M specified, set the imageable area coordinates to reflect
  		the deisred margin size.
  	*/
  	if (new_marg)
  	{	char *mc, *v[6];
  		int	iv;
! 		double	fact, atof();
  
  		mc = new_marg;
  		iv = 1;
  		v[0] = mc;
  		while (*mc  &&  iv < 6)
--- 797,815 ----
  	nominal_high = p->uy - p->ly + 1;					/* for default row/col scaling */
  	nominal_wide = p->ux - p->lx + 1;		
  
  	if (reverse_requested && book)
  	{	fprintf (stderr, "Double sided or book in reverse ordered not supported\n");
! 		exit (DISCARD_JOB);
  	}
  	/*	if -M specified, set the imageable area coordinates to reflect
  		the deisred margin size.
  	*/
  	if (new_marg)
  	{	char *mc, *v[6];
  		int	iv;
! 		double	fact;
  
  		mc = new_marg;
  		iv = 1;
  		v[0] = mc;
  		while (*mc  &&  iv < 6)
***************
*** 684,694 ****
  			}
  			mc++;
  		}
  		if (iv < 4)
  		{	fprintf (stderr, "Must have 4 margin sizes specified\n");
! 			exit (1);
  		}
  		if (iv > 4)
  			fact = cvt_unit (v[4]);
  		else
  			fact = cvt_unit (v[3]);
--- 819,829 ----
  			}
  			mc++;
  		}
  		if (iv < 4)
  		{	fprintf (stderr, "Must have 4 margin sizes specified\n");
! 			exit (DISCARD_JOB);
  		}
  		if (iv > 4)
  			fact = cvt_unit (v[4]);
  		else
  			fact = cvt_unit (v[3]);
***************
*** 713,723 ****
  			if ((iv = atof (v[3]) * fact) > 0)
  				p->ly = max (p->ly, (iv + 1));
  		}
  		if (p->ux - p->lx < 200  ||  p->uy - p->ly < 200)
  		{	fprintf (stderr, "Margin size is inappropriate\n");
! 				exit (1);
  		}
  	}
  	for (i = 0;  page_types[i].paper_name[0];  i++)
  	{	page_types[i].left_marg  = page_types[i].lx;
  		page_types[i].bot_marg   = page_types[i].ly;
--- 848,858 ----
  			if ((iv = atof (v[3]) * fact) > 0)
  				p->ly = max (p->ly, (iv + 1));
  		}
  		if (p->ux - p->lx < 200  ||  p->uy - p->ly < 200)
  		{	fprintf (stderr, "Margin size is inappropriate\n");
! 				exit (DISCARD_JOB);
  		}
  	}
  	for (i = 0;  page_types[i].paper_name[0];  i++)
  	{	page_types[i].left_marg  = page_types[i].lx;
  		page_types[i].bot_marg   = page_types[i].ly;
***************
*** 727,737 ****
  		page_types[i].x_size = page_types[i].ux - page_types[i].lx + 1;
  		page_types[i].y_size = page_types[i].uy - page_types[i].ly + 1;
  	}
  	if (want_stats)
  	{	size_display();
! 		exit (1);
  	}
  	if (nslots <= 1)
  		hopper_available = 0;
  	if (reverse_order  ||  (book  &&  hopper_available))
  		sprintf (bookfile, "%s%d.bok", TEMPFILE, getpid());
--- 862,872 ----
  		page_types[i].x_size = page_types[i].ux - page_types[i].lx + 1;
  		page_types[i].y_size = page_types[i].uy - page_types[i].ly + 1;
  	}
  	if (want_stats)
  	{	size_display();
! 		exit (DISCARD_JOB);
  	}
  	if (nslots <= 1)
  		hopper_available = 0;
  	if (reverse_order  ||  (book  &&  hopper_available))
  		sprintf (bookfile, "%s%d.bok", TEMPFILE, getpid());
***************
*** 740,787 ****
  
  	if (optind >=  argc  &&  header == 1)	/* no file name header on stdin */
  		header = 0;
  	save_point_size = point_size;
  	
! 	(void)	signal (SIGINT, catch);		/*	for lpd quit */
  
  #ifdef PSFFILTER
  
! 	output_fp = stdout;
  	input_fp  = stdin;
  	if (header == 1)
  		strcpy (fname, argv[optind]);
  	else
  		*fname = 0;	
  
  	if (fgets (line, LONG_STR, input_fp) == NULL)
! 		exit (0);
! 	if (tscan (line, "%!") >= 0  &&  print_postscript == 0)
  	{	/*	already postscript  copy to output */
  		if (fputs (line, output_fp) == EOF)
! 			output_trouble (2);
  		while ((i = fgetc (input_fp)) != EOF)
  		{	if (fputc (i, output_fp) == EOF)
! 				output_trouble (2);
  		}
  	}
  	else
  	{	/*	standard postscript conversion for file on stdin */
! bannerdone:
  		if (font_number * 4 > font_count)
  		{	fprintf (stderr,"Font number invalid....\n");
  			usage ();
  		}
  
  		if (book  ||  reverse_order)
  		{	if ((output_fp = fopen (bookfile, "w")) == NULL)
  			{	fprintf (stderr, "%s: cannot create work file\n", pgmname);
! 				exit (1);
  			}
  			if ((pg_loc = (long *) malloc (sizeof (long) * MAX_PAGES)) == NULL)
  			{	fprintf (stderr, "%s: cannot allocate enough memory\n", pgmname);
! 				exit (1);
  			}
  			npg_loc = 0;
  		}
  
  		for (i = 0;  i < NFONTS;  i++)
--- 875,948 ----
  
  	if (optind >=  argc  &&  header == 1)	/* no file name header on stdin */
  		header = 0;
  	save_point_size = point_size;
  	
! 	(void)	signal (SIGINT, catch);			/*	for lpd quit */
  
  #ifdef PSFFILTER
  
! 	if (pipe_name)
! 	{	if ((output_fp = popen (pipe_name, "w")) == NULL)
! 		{	fprintf (stderr, "%s: cannot open pipe to %s\n", pgmname, pipe_name);
! 			exit (DISCARD_JOB);
! 		}
! 		read_access = 0;					/*	can't read from pipe */
! 	}
! 	else
! 		output_fp = stdout;
  	input_fp  = stdin;
  	if (header == 1)
  		strcpy (fname, argv[optind]);
  	else
  		*fname = 0;	
  
  	if (fgets (line, LONG_STR, input_fp) == NULL)
! 		exit (JOB_IS_DONE);
! 	if ((strncmp (line, "%!", 2) == 0  ||  strncmp (line, "%%!", 3) == 0)
! 			&&  print_postscript == 0)
  	{	/*	already postscript  copy to output */
+ 		char	last_char;
+ 
+ 		if (read_access)
+ 			create_fork ();
+ 
+ 		/*	attempt to force tray and bin selection */
+ 
+ 		set_bin (set_paper_bin);
+ 		set_tray (set_paper_tray);
+ 		
  		if (fputs (line, output_fp) == EOF)
! 			output_trouble (DISCARD_JOB);
  		while ((i = fgetc (input_fp)) != EOF)
  		{	if (fputc (i, output_fp) == EOF)
! 				output_trouble (DISCARD_JOB);
! 			last_char = i;
  		}
+ 		if (last_char != CTLD_EOJ)
+ 			fputc (CTLD_EOJ, output_fp);
+ 		pages_written = -1; /* i.e. we don't know */
  	}
  	else
  	{	/*	standard postscript conversion for file on stdin */
! 
  		if (font_number * 4 > font_count)
  		{	fprintf (stderr,"Font number invalid....\n");
  			usage ();
  		}
  
+ 		if (read_access)
+ 			create_fork ();
+ 
  		if (book  ||  reverse_order)
  		{	if ((output_fp = fopen (bookfile, "w")) == NULL)
  			{	fprintf (stderr, "%s: cannot create work file\n", pgmname);
! 				exit (DISCARD_JOB);
  			}
  			if ((pg_loc = (long *) malloc (sizeof (long) * MAX_PAGES)) == NULL)
  			{	fprintf (stderr, "%s: cannot allocate enough memory\n", pgmname);
! 				exit (DISCARD_JOB);
  			}
  			npg_loc = 0;
  		}
  
  		for (i = 0;  i < NFONTS;  i++)
***************
*** 799,808 ****
--- 960,971 ----
  		start_file ();
  		process_file ();
  		terminate_printer ();
  		output_book (bookfile);
  	}
+ 	if (read_access == 0)
+ 		write_accounting (pages_written, 0);
  
  #else	/* not PSFFILTER */
  
  	/*	begin normal "psf" code */
  
***************
*** 812,838 ****
  	}
  
  	if (book  ||  reverse_order)
  	{	if ((output_fp = fopen (bookfile, "w")) == NULL)
  		{	fprintf (stderr, "%s: cannot create work file\n", pgmname);
! 			exit (1);
  		}
  		if ((pg_loc = (long *) malloc (sizeof (long) * MAX_PAGES)) == NULL)
  		{	fprintf (stderr, "%s: cannot allocate enough memory\n", pgmname);
! 			exit (1);
  		}
  		npg_loc = 0;
  	}
  	else	
! 	{	if (env_fname = getenv ("PSFLP"))
  #if defined(MSDOS)  ||  defined (__MSDOS__)
  		{	if ((output_fp = fopen (env_fname, "wt")) == NULL)
  #else
  		{	if ((output_fp = fopen (env_fname, "w")) == NULL)
  #endif
  			{	fprintf (stderr, "Cannot open output file %s\n", env_fname);
! 				exit (1);
  			}
  		}
  		else
  		{	output_fp = stdout;
  		}
--- 975,1002 ----
  	}
  
  	if (book  ||  reverse_order)
  	{	if ((output_fp = fopen (bookfile, "w")) == NULL)
  		{	fprintf (stderr, "%s: cannot create work file\n", pgmname);
! 			exit (DISCARD_JOB);
  		}
  		if ((pg_loc = (long *) malloc (sizeof (long) * MAX_PAGES)) == NULL)
  		{	fprintf (stderr, "%s: cannot allocate enough memory\n", pgmname);
! 			exit (DISCARD_JOB);
  		}
  		npg_loc = 0;
  	}
  	else	
! 	{	char	*env_fname;			/*	environment specified output file */
! 		if (env_fname = getenv ("PSFLP"))
  #if defined(MSDOS)  ||  defined (__MSDOS__)
  		{	if ((output_fp = fopen (env_fname, "wt")) == NULL)
  #else
  		{	if ((output_fp = fopen (env_fname, "w")) == NULL)
  #endif
  			{	fprintf (stderr, "Cannot open output file %s\n", env_fname);
! 				exit (DISCARD_JOB);
  			}
  		}
  		else
  		{	output_fp = stdout;
  		}
***************
*** 874,886 ****
  	output_book (bookfile);
  	/*	end normal psf code */
  
  #endif	/* PSFFILTER */
  
! 	exit (0);
  }
  
  
  /****************************************************************************
  *	cvt_unit ()																*
  *	Determine the margin offset conversion factor to points.				*
  ****************************************************************************/
--- 1038,1327 ----
  	output_book (bookfile);
  	/*	end normal psf code */
  
  #endif	/* PSFFILTER */
  
! 	exit (JOB_IS_DONE);
! }
! 
! #ifdef PSFFILTER
! 
! /****************************************************************************
! *	create_fork ()															*
! *	fork a child to send to printer.  parent reads from printer				*
! ****************************************************************************/
! 
! void create_fork ()
! {	int     parent;
! 	long	pages_printed;
! 	long	start_count;
! 	int     status;
! 	int		log_exit;
! 	
! 	request_pagecount (1);
! 	if ((parent = fork ()) < 0)
! 		expire ("fork");
! 	if (parent)
! 	{	/*	parent: read from printer port until child finishes print */
! 		start_count = get_page_count ();
! 		while (wait (&status) == -1)
! 			if (errno != EINTR)
! 				expire ("fork wait");
! 		request_pagecount (0);
! 		pages_printed = get_page_count () - start_count;
! 		log_exit = WIFEXITED (status) ? WEXITSTATUS (status) : DISCARD_JOB;
! 		write_accounting (pages_printed, log_exit);
! 		fflush (stdout);
! 		fflush (stderr);
! 		exit (log_exit);
! 	}
! 	/*	child: continue to print the job */
! 	return;
! }
! 
! /****************************************************************************
! *	write_accounting ()														*
! *	send number of printed pages to accounting file. record non-zero exit	*
! ****************************************************************************/
! 
! void write_accounting (pages_printed, log_exit)
! long	pages_printed;
! int		log_exit;
! {	FILE	*accounting;
! 
! 	if (account_file_name == NULL)
! 		return;
! 
! 	if ((accounting = fopen (account_file_name, "a")) != NULL)
! 	{	if (log_exit)
! 			(void) fprintf(accounting, "%ld\t%s:%s\ttermination:%d\n", pages_printed, host, user, log_exit);
! 		else
! 			(void) fprintf(accounting, "%ld\t%s:%s\n", pages_printed, host, user);
! 		fclose (accounting);
! 	}
! 	else 
! 	{	time_stamp();
! 		perror(account_file_name);
! 	}
! }
! 
! /****************************************************************************
! *	time_stamp ()															*
! *	record date stamp into error log file									*
! ****************************************************************************/
! 
! void time_stamp()
! {
! 	int e = errno;
! 	time_t clock = time((time_t *)0);
! 	(void) fprintf (stderr, "%s: %.24s ", pgmname, ctime(&clock));
! 	errno = e;
! }
! 
! /****************************************************************************
! *	expire ()																*
! *	create date-stamp and error message.									*
! ****************************************************************************/
! 
! void expire(s)
! char *s;
! {
! 	time_stamp ();
! 	perror (s);
! 	exit (DISCARD_JOB);
! }
! 
! /****************************************************************************
! *	getc_from_printer ()													*
! *	read a character from the printer,  return char or ERROR.				*
! ****************************************************************************/
! 
! int getc_from_printer ()
! {
! 	char c;
! 	int r;
! 	
! 	r = read (printfd, &c, 1);
! 	if (r == 0)
! 		return (EOF);
! 	if (r == 1)
! 		return (c);
! 	return (READ_ERROR);		/* error during read */
! }
! 
! /****************************************************************************
! *	abort_job ()															*
! *	Abort the current printer job; don't wait for reply.					*
! ****************************************************************************/
! 
! void abort_job() 
! {
! 	(void) fwrite (c_CTLC_CANCEL, 1, sizeof(c_CTLC_CANCEL), output_fp); 
! 	fflush (output_fp);
! }
! 
! /****************************************************************************
! *	abort_exit ()															*
! *	Abort the current printer job and exit. 								*
! ****************************************************************************/
! 
! void abort_exit() 
! {	abort_job (); 
! 	exit (DISCARD_JOB);
! 	_exit (DISCARD_JOB);
! }
! 
! /****************************************************************************
! *	request_pagecount ()													*
! *	request page count from printer as a small postscript job.				*
! ****************************************************************************/
! 
! void request_pagecount (cancel)
! int cancel;
! {	register int c;
! 	char	pline[400];
! 
! 	if (cancel) {
! 		/* Cancel any incomplete job and discard its output.  */
! 		abort_job();
! 		while ((c = getc_from_printer ()) != CTLD_EOJ)
! 			if (c < 0)
! 				expire ("pagecount cancel");
! 	}
! 
! 	sprintf (pline, "([%d] )print\n%s%s%s%s%s%s%s%s%s%c",
! 				pid,
! 				"/GetPageCount {\n",
! 				"	/str 64 string def\n",
! 				"	statusdict begin\n",
! 				"		currentdict/pagecount known {\n",
! 				"			pagecount str cvs print\n",
! 				"		} if \n",
! 				"	 end %statusdict\n",
! 				"} def\n",
! 				"GetPageCount\n",
! 				CTLD_EOJ
! 			);
! 
! 	c = strlen (pline);
! 	if (fwrite (pline, 1, c, output_fp)  !=  c)
! 		expire ("write pagecount");
  }
  
+ /****************************************************************************
+ *	get_page_count ()														*
+ *	get page count from printer.											*
+ *	any other messages from printer are logged to the log file.				*
+ ****************************************************************************/
+ 
+ long get_page_count ()
+ {	long	pc;
+ 	int		c, line_start = 1;
+ 	char	pline[100], *p;
+ 
+ 	(void) sprintf (pline, "[%d].", pid);
+ 	p = pline;
+ 	c = getc_from_printer ();
+ 	do
+ 	{	/* Print any false match from the last time through the loop.  */
+ 		fprintf (stderr, "%.*s", (int)(p - pline), pline);
+ 
+ 		/*	sync on [ */
+ 		for (;  c != '[';  c = getc_from_printer ())
+ 		{	if (c == EOF  ||  c == READ_ERROR)
+ 				expire ("read page count (1)");
+ 			if (c != CTLD_EOJ)
+ 			{	if (line_start)
+ 					{	time_stamp ();
+ 						line_start = 0;
+ 					}
+ 				fputc (c, stderr);
+ 				if (c == '\n')
+ 					line_start = 1;
+ 			}
+ 		}
+ 		
+ 		p = pline + 1;
+ 		while (1)
+ 		{	c = getc_from_printer();
+ 			if (c == READ_ERROR  ||  c == EOF)
+ 				expire ("read page count error (2)");
+ 			if (*p == c)
+ 				p++;
+ 			else
+ 				break;
+ 		}
+ 	
+ 	} while (*p != '.'  ||  c != ' ');
+ 
+ 	if (!line_start)
+ 		fputc ('\n', stderr);
+ 
+ 	/*	at page count number.  get value into pc */
+ 
+ 	pc = 0;
+ 	for (;;)
+ 	{	c = getc_from_printer ();
+ 		if (isdigit (c))
+ 			pc = pc * 10 + (c - '0');
+ 		else if (c == ' ')
+ 			continue;
+ 		else break;
+ 	}
+ 
+ 	wait_for_eoj (c);
+ 	return (pc);
+ }
+ 
+ /****************************************************************************
+ *	wait_for_eoj ())														*
+ *	wait for the expected ctl/d eoj echo from the printer.					*
+ ****************************************************************************/
+ 
+ void wait_for_eoj (c)
+ int		c;
+ {
+ 	for (;  c != CTLD_EOJ;  c = getc_from_printer())
+ 	{	if (c == EOF || c == READ_ERROR)
+ 			expire ("eof not eoj");
+ 		if (isascii (c) == 0)
+ 		{	fprintf (stderr, "non-ascii char = %02x\n", c);
+ 			expire("pagecount cancel");
+ 		}
+ 	}
+ }
+ 
+ #endif /* PSFFILTER */
+ 
+ /****************************************************************************
+ *	locate_pagetype ()														*
+ *	look for paper type in table of available types.						*
+ ****************************************************************************/
+ 
+ measure	*locate_pagetype (desired, printerr)
+ char	*desired;
+ int		printerr;
+ {	int		i;
+ 	measure	*p;
+ 
+ 	p = NULL;
+ 	for (i = 0;  page_types[i].paper_name[0];  i++)
+ 	{	if (compare (page_types[i].paper_name, desired) == 0)
+ 		{	p = &page_types[i];
+ 			break;
+ 		}
+ 	}
+ 	if (!p)
+ 	{	if (printerr)
+ 		{	fprintf (stderr, "Unknown page type %s.  Choose from: ", desired);
+ 			for (i = 0;  page_types[i].paper_name[0];  i++)
+ 				fprintf (stderr, " %s", page_types[i].paper_name);
+ 			fprintf (stderr, "\n");
+ 		}
+ 	}
+ 	return (p);
+ }
  
  /****************************************************************************
  *	cvt_unit ()																*
  *	Determine the margin offset conversion factor to points.				*
  ****************************************************************************/
***************
*** 890,900 ****
  {	double	fact;
  
  	fact = 1.0;
  	while (*which)
  	{
! 		if (isdigit (*which))
  		{	which++;
  			continue;
  		}
  		switch (toupper (*which))
  		{
--- 1331,1341 ----
  {	double	fact;
  
  	fact = 1.0;
  	while (*which)
  	{
! 		if (*which == '.'  ||  isdigit (*which))
  		{	which++;
  			continue;
  		}
  		switch (toupper (*which))
  		{
***************
*** 901,911 ****
  		case 'I':	fact = 72.0;		break;		/* inches 	*/
  		case 'C':	fact = 72.0 / 2.54;	break;		/* cm	  	*/
  		case 'P':	fact = 1.0;			break;		/* points	*/
  		case ',':	break;
  		default :	fprintf (stderr, "invalid margin unit '%c'\n", *which);
! 					exit (1);
  		}
  		if (*which++ != ',')
  			break;
  	}
  	return (fact);
--- 1342,1352 ----
  		case 'I':	fact = 72.0;		break;		/* inches 	*/
  		case 'C':	fact = 72.0 / 2.54;	break;		/* cm	  	*/
  		case 'P':	fact = 1.0;			break;		/* points	*/
  		case ',':	break;
  		default :	fprintf (stderr, "invalid margin unit '%c'\n", *which);
! 					exit (DISCARD_JOB);
  		}
  		if (*which++ != ',')
  			break;
  	}
  	return (fact);
***************
*** 924,934 ****
  void scale_factors ()
  {	int	wide;				/*	width needed for char count			*/
  	int	high;				/*	points needed for line count		*/
  	int	n_lines;			/*	number of lines on a page			*/
  	int	i;
! 	double	char_width, scale;
  	double	char_sf, line_sf;
  	
  	real_width = p->width;		/* for initial axis translate only	*/
  
  	if (landscape)
--- 1365,1375 ----
  void scale_factors ()
  {	int	wide;				/*	width needed for char count			*/
  	int	high;				/*	points needed for line count		*/
  	int	n_lines;			/*	number of lines on a page			*/
  	int	i;
! 	double	char_width;
  	double	char_sf, line_sf;
  	
  	real_width = p->width;		/* for initial axis translate only	*/
  
  	if (landscape)
***************
*** 1154,1175 ****
  			"	grestore\n",
  			"	show\n",
  			"} def\n",
  			"/mv {moveto} def\n");
  
  	/*	add additional startup prologue code from psfprint.def
  		probably for non-English language support.
  	*/
  	if (pdef)
  	{
! #ifdef PSFILTER
   		char	line[LONG_STR + 1];		/* line already has text stream		   */
  										/* Jan Fernquist (fer@gorbie.n.tvt.se) */
  #endif
  		while (fgets (line, LONG_STR, pdef))
  		{	if (fputs (line, output_fp) == EOF)
! 				output_trouble (2);
  		}
  		fclose (pdef);
  		pdef = NULL;
  	}
  	
--- 1595,1643 ----
  			"	grestore\n",
  			"	show\n",
  			"} def\n",
  			"/mv {moveto} def\n");
  
+ 	/* iso font encoding
+ 		% Header to convert StandardEncoded fonts to ISOLatin1Encoded fonts.
+ 		% Written by Magnus Hammerin 920226.
+ 		% Copyright (c) 1992 Magnus Hammerin.
+ 		% You may distribute this code freely as long as this note remains intact.
+ 
+ 		% Modification and adaption for usage with psf by Leif H (leif@ifm.liu.se)
+ 		%
+ 		% Test to see if the printer supports ISOLatin1Encoding.
+ 
+ 		/ReEncodeISO { % <newfontname> <oldfontname> ReEncodeISO
+ 	*/
+ 	if (isolatin)
+ 		fprintf (output_fp, "%s%s%s%s%s%s%s%s%s%s%s%s",
+ 			"/ReEncodeISO {\n",
+ 			"  /ISOLatin1Encoding where {\n",
+ 			"    pop\n",
+ 			"    findfont\n",
+ 			"    dup length dict begin\n",
+ 			"      {1 index /FID ne {def} {pop pop} ifelse} forall\n",
+ 			"      /Encoding ISOLatin1Encoding def\n",
+ 			"      currentdict\n",
+ 			"    end\n",
+ 			"    definefont pop\n",
+ 			"  } { pop pop } ifelse\n",
+ 			"} bind def\n");
+ 
  	/*	add additional startup prologue code from psfprint.def
  		probably for non-English language support.
  	*/
  	if (pdef)
  	{
! #ifdef PSFFILTER
   		char	line[LONG_STR + 1];		/* line already has text stream		   */
  										/* Jan Fernquist (fer@gorbie.n.tvt.se) */
  #endif
  		while (fgets (line, LONG_STR, pdef))
  		{	if (fputs (line, output_fp) == EOF)
! 				output_trouble (DISCARD_JOB);
  		}
  		fclose (pdef);
  		pdef = NULL;
  	}
  	
***************
*** 1180,1203 ****
  		{	while (1)
  			{	c = fgetc (fp);
  				if (feof (fp)  ||  ferror (fp))
  					break;
  				if (fputc (c, fp) == EOF)
! 					output_trouble (2);
  			}
  			fclose (fp);
  		}
  	}
  		
  	fprintf (output_fp, "%%%%EndProlog\n");
  
! 	if (set_paper_tray)
! 		fprintf (output_fp, "%s\n", p->paper_tray);
  
  	if (order_command)
  		fprintf (output_fp, "%s\n", order_command);
  	else if (set_paper_bin)
  		fprintf (output_fp, "%s\n", slots[set_paper_bin - 1]);
  }
  
  /****************************************************************************
  *	showpage ()																*
--- 1648,1694 ----
  		{	while (1)
  			{	c = fgetc (fp);
  				if (feof (fp)  ||  ferror (fp))
  					break;
  				if (fputc (c, fp) == EOF)
! 					output_trouble (DISCARD_JOB);
  			}
  			fclose (fp);
  		}
  	}
  		
  	fprintf (output_fp, "%%%%EndProlog\n");
  
! 	set_tray (set_paper_tray);
! 	if (duplex)
! 		fprintf (output_fp, "%s\n", duplex_mode);
  
  	if (order_command)
  		fprintf (output_fp, "%s\n", order_command);
  	else if (set_paper_bin)
+ 		set_bin (set_paper_bin);
+ }
+ 
+ /****************************************************************************
+ *	set_tray ()																*
+ ****************************************************************************/
+ 
+ void set_tray (set_paper_tray)
+ int		set_paper_tray;
+ {
+ 	if (set_paper_tray)
+ 		fprintf (output_fp, "%s\n", p->paper_tray);
+ }
+ 
+ /****************************************************************************
+ *	set_bin ()																*
+ ****************************************************************************/
+ 
+ void set_bin (set_paper_bin)
+ int		set_paper_bin;
+ {
+ 	if (set_paper_bin)
  		fprintf (output_fp, "%s\n", slots[set_paper_bin - 1]);
  }
  
  /****************************************************************************
  *	showpage ()																*
***************
*** 1224,1241 ****
--- 1715,1734 ----
  			;
  		if (skipping >= 0)
  		{	end_of_file = 1;
  			if (bookwork == 0)				/* psfdoub will re-insert this */
  				fprintf (output_fp, "showpage pg restore\n");
+ 			pages_written++;
  			frame = 0;
  			longjmp (eof_env, 1);
  		}
  	}
  
  	if (++frame >= max_frame  ||  end_of_file)
  	{	if (bookwork == 0)					/* psfdoub will re-insert this */
  			fprintf (output_fp, "showpage pg restore\n");
+ 		pages_written++;
  		frame = 0;
  	}
  	if (!end_of_file)
  		set_frame ();
  	
***************
*** 1353,1371 ****
  	/*	psffilter already has a first line,  psf does not */
  	do
  #else
  	while (line_is_wrapped  ||  fgets (line, LONG_STR, input_fp) != NULL)
  #endif
! 	{
! 		if (*line == CTLD_EOJ)		/* printing postscript code: ^D at end	*/
! 			break;					/* assume it is end of file also		*/
! 
! 		if (lcount++ == 0)
  		{	if ((i = tscan (line, "ta=")) >= 0)
  			{	tab_size = atoi (line + i + 3);
  			}
  		}
  
  		if (need_xlate)				/*	translate character set? */
  		{	xln = (unsigned char *) line;
  			while (*xln)
  			{	i = *xln;
--- 1846,1872 ----
  	/*	psffilter already has a first line,  psf does not */
  	do
  #else
  	while (line_is_wrapped  ||  fgets (line, LONG_STR, input_fp) != NULL)
  #endif
! 	{	if (lcount++ == 0)
  		{	if ((i = tscan (line, "ta=")) >= 0)
  			{	tab_size = atoi (line + i + 3);
  			}
+ 			if (*line == CTLD_EOJ)
+ 			{	/* postscript code may have leading ctl/d.  remove them */
+ 				lc = line;
+ 				while (*lc  && *lc == CTLD_EOJ)
+ 					lc++;
+ 				i = 0;
+ 				do
+ 				{	line[i++] = *lc;
+ 				} while (*lc++);
+ 			}
  		}
+ 		else if (*line == CTLD_EOJ)	/* printing postscript code: ^D at end	*/
+ 			break;					/* assume it is end of file also		*/
  
  		if (need_xlate)				/*	translate character set? */
  		{	xln = (unsigned char *) line;
  			while (*xln)
  			{	i = *xln;
***************
*** 1440,1450 ****
  			moveto (x_coord, y_coord, 1);		/*	do gen moveto		*/
  
  		while (*c  && *c != '\n')
  		{	if (char_type == 0)
  			{	if (fputc ('(', output_fp) == EOF)
! 					output_trouble (2);
  			}
  			switch ((int) *c)
  			{
  			case ESCAPE:
  				previous_attribute = print_attribute;
--- 1941,1951 ----
  			moveto (x_coord, y_coord, 1);		/*	do gen moveto		*/
  
  		while (*c  && *c != '\n')
  		{	if (char_type == 0)
  			{	if (fputc ('(', output_fp) == EOF)
! 					output_trouble (DISCARD_JOB);
  			}
  			switch ((int) *c)
  			{
  			case ESCAPE:
  				previous_attribute = print_attribute;
***************
*** 1459,1469 ****
  					default:
  						if (char_type  &&  (previous_attribute & UNDERLINE))
  							SHOWU (output_fp, point_size);
  						else
  						{	if (fputs (")show\n", output_fp) == EOF)
! 								output_trouble (2);
  						}
  						if (esc_type == '+'  ||  esc_type == '-')
  						{	/*	check for +/- 1/2 line feed		*/
  							if (esc_type == '+')
  								y_coord -= ((point_size + extra_space) / 2);
--- 1960,1970 ----
  					default:
  						if (char_type  &&  (previous_attribute & UNDERLINE))
  							SHOWU (output_fp, point_size);
  						else
  						{	if (fputs (")show\n", output_fp) == EOF)
! 								output_trouble (DISCARD_JOB);
  						}
  						if (esc_type == '+'  ||  esc_type == '-')
  						{	/*	check for +/- 1/2 line feed		*/
  							if (esc_type == '+')
  								y_coord -= ((point_size + extra_space) / 2);
***************
*** 1472,1482 ****
  							moveto (x_coord, y_coord, 1);
  							char_type = -1;
  							c++;
  							if (*c != '\n')
  							{	if (fputc ('(', output_fp) == EOF)
! 									output_trouble (2);
  							}
  							continue;
  						}
  						else
  							findfont ();
--- 1973,1983 ----
  							moveto (x_coord, y_coord, 1);
  							char_type = -1;
  							c++;
  							if (*c != '\n')
  							{	if (fputc ('(', output_fp) == EOF)
! 									output_trouble (DISCARD_JOB);
  							}
  							continue;
  						}
  						else
  							findfont ();
***************
*** 1505,1523 ****
  				}
  				if (*c == '\t')
  				{	fputc (' ', output_fp);
  					while (++char_count % tab_size)
  					{	if (fputc (' ', output_fp) == EOF)
! 							output_trouble (2);
  					}
  				}
  				else
  				{	if (strchr ("\r\b\\()", *c) != NULL)
  						if (fputc ('\\', output_fp) == EOF)
! 							output_trouble (2);
  					if (fputc (*c, output_fp) == EOF)
! 						output_trouble (2);
  					char_count++;
  				}
  				break;
  			}
  			c++;
--- 2006,2024 ----
  				}
  				if (*c == '\t')
  				{	fputc (' ', output_fp);
  					while (++char_count % tab_size)
  					{	if (fputc (' ', output_fp) == EOF)
! 							output_trouble (DISCARD_JOB);
  					}
  				}
  				else
  				{	if (strchr ("\r\b\\()", *c) != NULL)
  						if (fputc ('\\', output_fp) == EOF)
! 							output_trouble (DISCARD_JOB);
  					if (fputc (*c, output_fp) == EOF)
! 						output_trouble (DISCARD_JOB);
  					char_count++;
  				}
  				break;
  			}
  			c++;
***************
*** 1527,1537 ****
  		if (char_type == 1)
  		{	if (print_attribute & UNDERLINE)
  				SHOWU (output_fp, point_size);
  			else
  			{	if (fputs (")show\n", output_fp) == EOF)
! 					output_trouble (2);
  			}
  		}
  
  		y_coord -= (point_size + extra_space);
  		x_coord = 0;
--- 2028,2038 ----
  		if (char_type == 1)
  		{	if (print_attribute & UNDERLINE)
  				SHOWU (output_fp, point_size);
  			else
  			{	if (fputs (")show\n", output_fp) == EOF)
! 					output_trouble (DISCARD_JOB);
  			}
  		}
  
  		y_coord -= (point_size + extra_space);
  		x_coord = 0;
***************
*** 1647,1667 ****
  		fprintf (output_fp, "%d %d mv ", x + x_left_offset, y);
  }
  
  /****************************************************************************
  *	findfont ()																*
! *	generate a findfont statement											*
  ****************************************************************************/
  
  void findfont ()
  {	int	this;
  
  	/*	remove reference to UNDERLINE.  Underline is not a font.	*/
  
  	this = (font_number * 4) + (print_attribute & 0x03);
  	fonts_used[this] = 1;
! 	fprintf (output_fp, "/%s findfont %d scalefont setfont\n", fonts[this], point_size);
  }
  
  /****************************************************************************
  *	start_file ()															*
  *	Generate things that are appropriate for beginning of file processing	*
--- 2148,2183 ----
  		fprintf (output_fp, "%d %d mv ", x + x_left_offset, y);
  }
  
  /****************************************************************************
  *	findfont ()																*
! *	generate a findfont statement. Do ISOLatin1 encoding if desired.		*
  ****************************************************************************/
  
  void findfont ()
  {	int	this;
+ 	char	new_font_name[100], *fontname;
  
  	/*	remove reference to UNDERLINE.  Underline is not a font.	*/
  
  	this = (font_number * 4) + (print_attribute & 0x03);
  	fonts_used[this] = 1;
! 
! 	if (isolatin)
! 	{
! 		strcpy (new_font_name, fonts[this]);
! 		strcat (new_font_name, "-ISO");
! 		if (fonts_iso[this] == 0)
! 		{	fprintf (output_fp, "/%s /%s ReEncodeISO\n", new_font_name, fonts[this]);
! 			fonts_iso[this] = 1;
! 		}
! 		fontname = new_font_name;
! 	}
! 	else
! 		fontname = fonts[this];
! 
! 	fprintf (output_fp, "/%s findfont %d scalefont setfont\n", fontname, point_size);
  }
  
  /****************************************************************************
  *	start_file ()															*
  *	Generate things that are appropriate for beginning of file processing	*
***************
*** 1723,1733 ****
--- 2239,2258 ----
  		for (i = 0;  i < npg_loc-1;  i++)
  			fprintf (output_fp, "%%PsfPg: %d %d\n",  i, pg_loc[i]);
  		fprintf (output_fp, "%%PsfPg: 9999 %d\n", pg_loc[npg_loc-1]);
  		fprintf (output_fp, "%%PsfPtr: %d\n", psfptr);
  	}
+ #ifdef PSFFILTER
  	fprintf (output_fp, "%c", CTLD_EOJ);		/* CTL/D = end job */
+ #else
+ 	if (gen_eoj)
+ 		fprintf (output_fp, "%c", CTLD_EOJ);
+ #ifdef CTLDALWAYS
+ 	if (gen_eoj == 0)
+ 		fprintf (output_fp, "%c", CTLD_EOJ);
+ #endif
+ #endif
  }
  
  /****************************************************************************
  *	draw_cross ()															*
  *	Draw horizontal and vertical separation lines between pages 2/4-up		*
***************
*** 1826,1835 ****
--- 2351,2421 ----
  #endif	/* HOPPER */
  }
  
  
  /************************************************************************
+ *	nexttok()															*
+ *	like strtok() however assumes that quote or apostrophe delimit		*
+ *	multi-word groups.													*
+ ************************************************************************/
+ 
+ char *nexttok (ss, q)
+ char *ss, *q;
+ {
+ 	static char *s;
+ 	char	quote_char, *start, *quote, *apostrophe;
+ 	
+ 	if (ss)
+ 		s = ss;
+ 	if (s  &&  *s)
+ 	{
+ 		/*	use quote or apostrophe delimiting? */
+ 	
+ 		quote = strchr (q, '"');
+ 		apostrophe = strchr (q, '\'');
+ 		
+ 		/*	skip leading quote symbols */
+ 		
+ 		quote_char = *s;
+ 		while (*s)
+ 		{	if ((quote && *s == '"')  ||  (apostrophe  &&  *s == '\''))
+ 			{	quote_char = *s++;
+ 				break;
+ 			}
+ 			if (strchr (q, *s) == NULL)
+ 				break;
+ 			quote_char = *s++;
+ 		}
+ 		
+ 		/*	skip to next quote */
+ 		
+ 		start = s;						/*	beginning of user string */
+ 
+ 		if (quote_char == '"' ||  quote_char == '\'')
+ 		{	while (*s  &&  *s != quote_char)
+ 				s++;
+ 		}
+ 		else
+ 		{	while (*s  &&  strchr (q, *s) == NULL)
+ 				s++;
+ 		}
+ 		
+ 		if (*s)							/*	end of user string		*/
+ 			*s++ = '\0';
+ 		else
+ 			s = NULL;
+ 
+ 	}
+ 	else
+ 	{	s = NULL;
+ 		start = NULL;
+ 	}
+ 	return (start);
+ }
+ 
+ 
+ /************************************************************************
  *		tscan (s,t)														*		
  *	look for string t in s. return -1 if t does not exits in s else		*
  *	return array position of first character match						*
  ************************************************************************/
  
***************
*** 1847,1860 ****
  }
  
  void get_time (t)				/*	get current time of */
  char	*t;
  {
! 	long	n_time, time ();
  	char	*x_time, *cc, *strchr();
  
! 	n_time = time (0);			/* get time */
  	x_time = ctime (&n_time);	/* convert ascii */
  	if ((cc = strchr (x_time, '\n')) != NULL)
  		*cc = '\0';
  	strcpy (t, x_time);
  }
--- 2433,2446 ----
  }
  
  void get_time (t)				/*	get current time of */
  char	*t;
  {
! 	time_t	n_time, time ();
  	char	*x_time, *cc, *strchr();
  
! 	n_time = time ((time_t *)0);	/* get time */
  	x_time = ctime (&n_time);	/* convert ascii */
  	if ((cc = strchr (x_time, '\n')) != NULL)
  		*cc = '\0';
  	strcpy (t, x_time);
  }
***************
*** 1883,1921 ****
  			return (UCCHAR(aa) - UCCHAR(bb));
  	}
  	return (0);
  }
  
- int comparen (a,b, n)			/* case insensitive compare with count limit */
- char	*a, *b;
- int		n;
- {	int	aa, bb;
- 
- 	while (*a &&  n--)
- 	{	aa = *a++;
- 		bb = *b++;
- 		if (UCCHAR (aa)  !=  UCCHAR (bb))
- 			return (UCCHAR(aa) - UCCHAR(bb));
- 	}
- 	if (n <= 0)
- 		return (0);
- 	return (UCCHAR (*a) - UCCHAR (*b));
- }
- 
- int endcompare (a,b)			/* compare end of a with b */
- char	*a, *b;
- {
- 	int	na, nb;
- 	
- 	na = strlen (a);
- 	nb = strlen (b);
- 	if (na > nb)
- 		a += na - nb;
- 	return (strcmp (a,b));
- }
- 
- 
  void trim (s)					/*	trim trailing blanks  and \n */
  char	*s;
  {	int many;
  
  	for (many = strlen (s) - 1;  many >= 0;  many--)
--- 2469,2478 ----
***************
*** 1927,1937 ****
  }
  
  void bad_file()
  {
  	fprintf (stderr, "Bad %s file\n", defref);
! 	exit (1);
  }
  
  int xtoi (c)					/*	hex character to integer 	*/
  int c;							/*	any letter is a 'hex' digit */
  {
--- 2484,2494 ----
  }
  
  void bad_file()
  {
  	fprintf (stderr, "Bad %s file\n", defref);
! 	exit (DISCARD_JOB);
  }
  
  int xtoi (c)					/*	hex character to integer 	*/
  int c;							/*	any letter is a 'hex' digit */
  {
***************
*** 1957,1968 ****
  ********************************************************/
  
  void catch (signo)
  int	signo;
  {
  		fprintf (output_fp, "%c", CTLD_EOJ);
! 		exit (0);
  }
  
  void output_trouble (rc)
  int	rc;
  {
--- 2514,2534 ----
  ********************************************************/
  
  void catch (signo)
  int	signo;
  {
+ #ifdef PSFFILTER
+ 	abort_exit ();
+ #else
+ 	if (gen_eoj)
+ 		fprintf (output_fp, "%c", CTLD_EOJ);
+ #ifdef CTLDALWAYS
+ 	if (gen_eoj == 0)
  		fprintf (output_fp, "%c", CTLD_EOJ);
! #endif
! #endif
! 		exit (JOB_IS_DONE);
  }
  
  void output_trouble (rc)
  int	rc;
  {
***************
*** 2038,2071 ****
  *	octal to integer														*
  ****************************************************************************/
  int	otoi (s)
  char	*s;
  {
! 	int		v, p, quit;
  
  	v = 0;
  	while (*s == ' ')
  		s++;
! 	quit = 0;
! 	while (*s)
! 	{	switch (*s)
! 		{
! 		case '0':	p = 0;  break;
! 		case '1':	p = 1;  break;
! 		case '2':	p = 2;  break;
! 		case '3':	p = 3;  break;
! 		case '4':	p = 4;  break;
! 		case '5':	p = 5;  break;
! 		case '6':	p = 6;  break;
! 		case '7':	p = 7;  break;
! 		default:	quit = 1;
! 		}
! 		if (quit)
! 			break;
! 		v = (v << 3) + p;
! 		s++;
! 	}
  	return (v);
  }
  
  /****************************************************************************
  *	usage ()																*
--- 2604,2621 ----
  *	octal to integer														*
  ****************************************************************************/
  int	otoi (s)
  char	*s;
  {
! 	int v;
! 	unsigned d;
  
  	v = 0;
  	while (*s == ' ')
  		s++;
! 	while ((d = *s++ - '0')  <  8)
! 		v = (v << 3) + d;
  	return (v);
  }
  
  /****************************************************************************
  *	usage ()																*
***************
*** 2072,2105 ****
  ****************************************************************************/
  
  #ifdef PSFFILTER
  
  void usage ()
! {	exit (1);
  }
  void size_display ()
! {	exit (1);
  }
  
  #else	/* not PSFFILTER */
  
  static char *usage_text[] =
  {
! 	"Usage: %s [-124dEehnswx] [-b n] [-c n] [-f n] [-g type] [-H txt] [-i n] [-l n]\n",
! 	"     [-m n] [-M l,r,t,b[,pic]] [-p n] [-P n] [-R n] [-r n] [-t n] [-u f] file..",
! 	"where:",
  	"   -1|2|4  print 1,2,4 up (default=1)",
  	"   -b n    paper bin n",
  	"   -c n    print columns",
  	"   -d      double sided",
  	"   -e      left-justified line wrap",
  	"   -E      right-justified line wrap",
  	"   -f n    font number (def=0:Courier)",
  	"   -g type letter legal a4 b5",
  	"   -h      file name header",
  	"   -H text text header",
  	"   -i n[pic] indent left margin points",
  	"   -l n    print lines per page",
  	"   -L n    lines per page",
  	"   -m n[pic] top margin points",
  	"   -M xxx  set all margins",
  	"   -n      portrait (narrow) format",
--- 2622,2667 ----
  ****************************************************************************/
  
  #ifdef PSFFILTER
  
  void usage ()
! {	exit (DISCARD_JOB);
  }
  void size_display ()
! {	exit (DISCARD_JOB);
  }
  
  #else	/* not PSFFILTER */
  
  static char *usage_text[] =
  {
! #ifdef CTLDALWAYS
! 	"Usage: %s [-124DdehIjnswx][-b n][-c n][-f n][-g type][-H txt][-i n][-l n]\n",
! #else
! 	"Usage: %s [-124DdEehInswx][-b n][-c n][-f n][-g type][-H txt][-i n][-l n]\n",
! #endif
! 	"     [-m n][-M l,r,t,b[,pic]][-p n][-P n][-R n][-r n][-t n][-u f] file..",
  	"   -1|2|4  print 1,2,4 up (default=1)",
  	"   -b n    paper bin n",
  	"   -c n    print columns",
+ 	"   -D      duplex double sided",
  	"   -d      double sided",
  	"   -e      left-justified line wrap",
  	"   -E      right-justified line wrap",
  	"   -f n    font number (def=0:Courier)",
  	"   -g type letter legal a4 b5",
  	"   -h      file name header",
  	"   -H text text header",
+ #ifdef ISO
+ 	"   -I      disable ISOLatin1 encoding",
+ #else
+ 	"   -I      use ISOLatin1 encoding",
+ #endif
  	"   -i n[pic] indent left margin points",
+ #ifndef CTLDALWAYS
+ 	"   -j      ctl/d at end of print job",
+ #endif
  	"   -l n    print lines per page",
  	"   -L n    lines per page",
  	"   -m n[pic] top margin points",
  	"   -M xxx  set all margins",
  	"   -n      portrait (narrow) format",
***************
*** 2116,2126 ****
  	"   file..  name of files (or stdin)",
  	"   output: stdout",
  	""
  } ;
  
! #define TOPCOUNT 3
  
  void usage ()
  {	int		i, many, n, ff;
  
  	fprintf (stderr, usage_text[0], pgmname);
--- 2678,2688 ----
  	"   file..  name of files (or stdin)",
  	"   output: stdout",
  	""
  } ;
  
! #define TOPCOUNT 2
  
  void usage ()
  {	int		i, many, n, ff;
  
  	fprintf (stderr, usage_text[0], pgmname);
***************
*** 2158,2168 ****
  		many += n + 3;
  		fprintf (stderr,"   %s", page_types[i].paper_name);
  	}
  	if (ff)
  		fprintf (stderr, "\n");
! 	exit (1);
  }
  
  /************************************************************************
  *	size_display ()														*
  *	print a table of point size, page size, line count, column count	*
--- 2720,2730 ----
  		many += n + 3;
  		fprintf (stderr,"   %s", page_types[i].paper_name);
  	}
  	if (ff)
  		fprintf (stderr, "\n");
! 	exit (DISCARD_JOB);
  }
  
  /************************************************************************
  *	size_display ()														*
  *	print a table of point size, page size, line count, column count	*
***************
*** 2205,2212 ****
  				fprintf (stderr, " %4d%4d", n_lines, n_chars);
  			}
  			fprintf (stderr, "\n");
  		}
  	}
! 	exit (1);
  }
  #endif /* PSFFILTER */
--- 2767,2774 ----
  				fprintf (stderr, " %4d%4d", n_lines, n_chars);
  			}
  			fprintf (stderr, "\n");
  		}
  	}
! 	exit (DISCARD_JOB);
  }
  #endif /* PSFFILTER */

exit 0 # Just in case...
From quantum!revcan!cunews!torn.onet.on.ca!utgpu!news-server.csri.toronto.edu!rutgers!sun-barr!ames!olivea!uunet!sparky!kent Mon Jun 15 12:35:15 EDT 1992
Article: 1008 of comp.sources.misc
Path: quantum!revcan!cunews!torn.onet.on.ca!utgpu!news-server.csri.toronto.edu!rutgers!sun-barr!ames!olivea!uunet!sparky!kent
From: tony@ajfcal.cuc.ab.ca (Tony Field)
Newsgroups: comp.sources.misc
Subject: v30i051:  psf3 - Postscript print filter system, Patch03b/4
Message-ID: <1992Jun14.201822.2224@sparky.imd.sterling.com>
Date: 14 Jun 92 20:18:22 GMT
References: <csm-v30i050=psf3.151734@sparky.IMD.Sterling.COM>
Sender: kent@sparky.imd.sterling.com (Kent Landfield)
Followup-To: comp.sources.d
Organization: Sterling Software
Lines: 1469
Approved: kent@sparky.imd.sterling.com
X-Md4-Signature: 1a7002375e5ded19880076aee40d6b4a

Submitted-by: tony@ajfcal.cuc.ab.ca (Tony Field)
Posting-number: Volume 30, Issue 51
Archive-name: psf3/patch03b
Environment: ISC, SUNOS, SYSVR3, DOS
Patch-To: psf3: Volume 27, Issue 91-100

*** net/psf.h	Sun Apr 19 13:32:14 1992
--- psf.h	Tue Jun  2 02:18:51 1992
***************
*** 1,11 ****
  /* ta=4
  				p s f . h
  		general configuration for psf.
  */
  /*
!  * $Id: psf.h,v 3.2 1992/01/19 05:50:33 ajf Exp ajf $
  */
  /**** Configuration information:  if not defined in the makefile *****
   *
   *	DOS users:  modify these defaults, no other #defines are necessary
   * 				for msdos users.
--- 1,11 ----
  /* ta=4
  				p s f . h
  		general configuration for psf.
  */
  /*
!  * $Id: psf.h,v 3.4 1992/02/24 06:48:59 ajf Exp ajf $
  */
  /**** Configuration information:  if not defined in the makefile *****
   *
   *	DOS users:  modify these defaults, no other #defines are necessary
   * 				for msdos users.
***************
*** 25,45 ****
  #else
  #define BINDIR "/local/bin"
  #endif
  #endif
  
! /* where is your printer definition file located? */
! 
  #ifndef PDEF
! #if defined(MSDOS) || defined(__MSDOS__)
! #define PDEF "psfprint.def"
! #else
! #define PDEF "/local/lib/psfprint.def"
  #endif
  #endif
  
  
  /* if two paper trays are available, and you want to use them for
   * double sided printing, then make HOPPER defined.
   */
  
  /* #define HOPPER  */
--- 25,52 ----
  #else
  #define BINDIR "/local/bin"
  #endif
  #endif
  
! /* MSDOS users may wish to always generate CTL/D at end of print job */
! /* 
! #define CTLDALWAYS 
! */
! #if defined(MSDOS)  ||  defined(__MSDOS__)
! #ifndef BINDIR
! #define BINDIR "c:/bin"
! #endif
  #ifndef PDEF
! #define PDEF "c:/lib/psfprint.def"
  #endif
  #endif
  
+ #ifndef PSFDOUB
+ #define PSFDOUB "psfdoub"
+ #endif
  
+ 
  /* if two paper trays are available, and you want to use them for
   * double sided printing, then make HOPPER defined.
   */
  
  /* #define HOPPER  */
***************
*** 107,111 ****
--- 114,125 ----
  #define MAX_PAGES	1000		/* max pages in a book */
  #define LONG_STR	1000		/* max bytes in an input text line */
  
  #define	NSLOTS		6
  #define NPAGE		30
+ 
+ /*	exit codes */
+ 
+ #define JOB_IS_DONE 	0
+ #define REPEAT_JOB 		1
+ #define DISCARD_JOB 	2
+ #define ERROR 			-2
*** net/Changes	Sun Apr 19 13:32:05 1992
--- Changes	Tue Jun  2 02:19:08 1992
***************
*** 1,6 ****
! 		Psf changes between version 2 and 3
  
       1.	Page rotation and scaling has been corrected. In particular,
  	problems with landscape printing have been fixed.
  
       2.	Changes have been made to allow psf to work with the lpr/lpd
--- 1,34 ----
! Changes between V3 patchlevel 4 and patchlevel 5  (May 1992)
! 
!      1. fixed loss of first line if "language feature" used.
!      
!      2. psf can print to a pipe with the -O option.  Hopefully,
!         this allows printing to an apple network.  Usually, this
!         is installed as a print option in psfprint.def (for lpr/lpd).
!      
! Changes between psf V3 patchlevel 3 and patchlevel 4  (April 1992)
! 
!      1. ISO-Latin1 encoding supportd.
!      
!      2. Page usage accounting added (printcap "af" support)
!      
!      3. Psf can read page statistics from a serial/ethernet printer
!         (printcap "rw" support).
!      
!      4. If the printer supports duplex double sided printing,
!         the feature is invoked with -D
!      
!      5. Printing a ctl/D at eoj is not done unless psf is
!         printing to a printer device.
!      
!      6. the -u option to select alternate printer definition files
!         now works if psf is used as part of the spooler filter system.
!      
!      7. Some printer definitions in ./def have been fixed.
! 
! Psf changes between version 2 and 3
  
       1.	Page rotation and scaling has been corrected. In particular,
  	problems with landscape printing have been fixed.
  
       2.	Changes have been made to allow psf to work with the lpr/lpd
*** net/Install.def	Sun Apr 19 13:32:24 1992
--- Install.def	Tue Jun  2 02:19:02 1992
***************
*** 209,218 ****
--- 209,224 ----
  Normal					<-- either "Normal" if the pages are
  						stacked face down, or
  						"Reverse" if the pages are
  						stacked face up.
  					    
+ *duplex 1				<-- marker for duplex command
+ statusdict begin true setduplexmode end	<-- commend to enable duplex mode
+ 					    (If the printer does not support
+ 					     duplex mode, use "duplex 0"
+ 					     or remove both lines )
+ 					  
  *fonts 10                               <-- marker and count for fonts
  AvantGarde-Book                         <-- real font names in your printer
  Bookman-Light
  Courier                      
  Helvetica				    fonts available on your printer
*** net/Install.lpd	Sun Apr 19 13:32:29 1992
--- Install.lpd	Tue Jun  2 02:19:02 1992
***************
*** 6,16 ****
  		make all
  		make printer
  		make scripts
  		make install
  
! 	filters and a suitable /etc/printcap file should be constructed
  	as outlined below.
  
  	The "make install" process set links to psflpd for a few page
  	layouts. Since the the sample set of links may not be
  	appropriate, the links may be deleted and/or a new set of links
--- 6,16 ----
  		make all
  		make printer
  		make scripts
  		make install
  
! 	Filters and a suitable /etc/printcap file should be constructed
  	as outlined below.
  
  	The "make install" process set links to psflpd for a few page
  	layouts. Since the the sample set of links may not be
  	appropriate, the links may be deleted and/or a new set of links
***************
*** 64,86 ****
  	
  		*psflpd <linkname> <opt> <opt> ... #comment
  	
  	where  *psflpd     identifies the line for psflpd option selection.
  	       <linkname>  the name of the link to psflpd
! 	       <opt>       any psf(1) option  (except that quoted
! 	       		   options are not allowed. e.g. -H "text line"
! 	       		   is not permitted)
  	
  	A selection of (hopefully) useful link names and option entries
  	was created by "make printer" and placed in psfprint.def.  The
  	associated links to lpd were created by "make install"
  	
  	Edit psfprint.def, create new links to psflpd, and modify the
  	print cap entries for different print options.  For example,
  	If you have a "General Accounting" package that requires special
  	print formatting, a link to psflpd could be set up with the
! 	exact options neccesary for the print layout.  Typically,
  	such reports print 66 lines on a page, 6 of which are used
  	to emulate a "skip to head of forms".  A suitable set of
  	print options for such a report would be:
  	
  		*psflpd paccount -c132 -l60 -R2 -r6 -w
--- 64,88 ----
  	
  		*psflpd <linkname> <opt> <opt> ... #comment
  	
  	where  *psflpd     identifies the line for psflpd option selection.
  	       <linkname>  the name of the link to psflpd
! 	       <opt>       any psf(1) option 
  	
+ 	(NOTE: if a serial printer is used, the "-a" option should be
+ 	specified to process information generated by the printer. The
+ 	printcap "rw" should be used to enable the port for read/write)
+ 
  	A selection of (hopefully) useful link names and option entries
  	was created by "make printer" and placed in psfprint.def.  The
  	associated links to lpd were created by "make install"
  	
  	Edit psfprint.def, create new links to psflpd, and modify the
  	print cap entries for different print options.  For example,
  	If you have a "General Accounting" package that requires special
  	print formatting, a link to psflpd could be set up with the
! 	exact options necessary for the print layout.  Typically,
  	such reports print 66 lines on a page, 6 of which are used
  	to emulate a "skip to head of forms".  A suitable set of
  	print options for such a report would be:
  	
  		*psflpd paccount -c132 -l60 -R2 -r6 -w
***************
*** 153,173 ****
  	executed once for a group of files, while the input (if=) filer
  	is invoked for every file being printed in a group.)
  
  	If banner printing IS desired, use psflpd and friends as an "of="
  	filter. Beware that the banner page will probably be truncated if
! 	printing is in portrat layout.
  
  	If banner printing is NOT desired, use psflpd and friends as an
  	"if=" or "of=" filter and suppress banners with :sh.
  
  	If you are not happy with the banner page layout printed by your
  	postscript printer, then the only suggestion I have is to modify
  	the sources for lpd!
  
  
!    5.	PRINTING POSTSCRIPT SOURCE
     
  	If Postscript code must be printed, filter the source manually
  	with psf - otherwise the psflpd will pass the code to the
  	printer for execution:
  
--- 155,221 ----
  	executed once for a group of files, while the input (if=) filer
  	is invoked for every file being printed in a group.)
  
  	If banner printing IS desired, use psflpd and friends as an "of="
  	filter. Beware that the banner page will probably be truncated if
! 	printing is in portrait layout.
  
  	If banner printing is NOT desired, use psflpd and friends as an
  	"if=" or "of=" filter and suppress banners with :sh.
  
  	If you are not happy with the banner page layout printed by your
  	postscript printer, then the only suggestion I have is to modify
  	the sources for lpd!
  
+    5.	PRINTING TO A PIPE (for apple networks??)
+    
+    	If the spooler should print to a pipe rather than stdout
+    	(such as printing to the "papif" daemon for apple network
+    	printing), the option "-O pipe-cmd" may be inserted into
+    	the link options:
+    	
+    		*psfprint applepipe -u apple.def -O "papif"
+ 			                         ^^^^^^^^^^
+ 	Rather than passing the filtered output to stdout, the
+ 	"applepipe" link opens a pipe to "papif" to handle the final
+ 	printing. Often, an alternate printer file is specified (-u =
+ 	apple.def) to define the printer configuration for the foreign
+ 	printer.
+ 
+ 	The printcap "lp=/dev/null" should be used if printing
+ 	across a "foreign network" connection.
+ 
+    6.   ACCOUNTING (by page count)
+ 
+ 	If the "af" printcap is used to specify an accounting
+ 	file, page count entries are written in the following
+ 	format:
+ 			<pagecount><tab><host>:<user>
+ 		e.g.
+ 			37      trifid:ajf
+ 
+    7.	SERIAL PRINTER ERROR MESSAGES AND CONTROL CHARACTER ECHOES
+    
+    	The default printcap and psfprint.def files are set up assuming
+    	that a parallel printer is being used.  If a serial or ethernet
+    	printer is used, then some provisions must be made to allow
+    	the various filters to process the printer responses.  Parallel
+    	printers do not send responses back to the filters.
+    	
+    	For serial printers, the "rw" printcap allows the printer
+    	line to be opened for read/write and the "-a" option must
+    	be specified (in psfprint.def) to allow the filters to process
+    	the information generated by the printer.
+    	
+ 	If this is done, the psf filters read (and flush) most control
+ 	echoed characters (such as CTL/C and CTL/D). Any other printer
+ 	messages are written to stderr (which is usually attached to an
+ 	error logging file). If an accounting file is specified, psf
+ 	reads the printer status dictionary to compute the number of
+ 	pages printed. The results are written to the accounting file.
  
!    8.	PRINTING POSTSCRIPT SOURCE
     
  	If Postscript code must be printed, filter the source manually
  	with psf - otherwise the psflpd will pass the code to the
  	printer for execution:
  
***************
*** 180,215 ****
  	the install process.  Usage:
  	
  		lpr -Ppost mycode.ps
  
  
!    6.	MULTIPLE PRINTER SUPPORT
  
        	If these filters are to control multiple different postscript
! 	printers on the same system, then separate editions of psflpd
! 	and friends should be compiled an placed in different directores:
! 	one for each different printer.  For example, if you have a
! 	Nec and and Apple postscript printer, place the binaries and
! 	psfprint.def files in a directory that reflects each printer:
! 	
! 		/usr/lib/lpdfilters/nec/*
! 	   -and-
! 	   	/usr/lib/lpdfilters/apple/*
! 
! 	Modify the Makefile to compile for each set of directories.
! 	
! 	Rename each version of psf (for interactive use) to an
! 	appropriate unique name (psfn and psfa). An alternative is ask
! 	the user to use the "-u alt.def" option of psf when selecting
! 	different printers.
! 
! 	The Makefile allows you to change target directories and binary
! 	programme names. Be careful when you "make install" after
! 	major changes (use "make -n installbsd" to check things out).
  
  
!     7.  HOW DOES A USER ACCESS THE APPROPRIATE PRINTER?
     
  	Any of the printers defined in /etc/printcap may be selected
  	depending upon the desired page layout! General printing to the
  	default printer "lp" would be done with:
  
--- 228,269 ----
  	the install process.  Usage:
  	
  		lpr -Ppost mycode.ps
  
  
!    9.	MULTIPLE PRINTER SUPPORT
  
        	If these filters are to control multiple different postscript
! 	printers on the same system, entries for each printer and option
! 	combination must be placed in psfprint.def with appropriate
! 	link names.   The printer definition associated with the target
! 	printer is indicated with the -u option.  For example, if
! 	two different print layouts are desired for three different
! 	printers, something similar to the following might be
! 	appropriate:
! 	
! 		*psflpd 2upapple -2x -u apple.def
! 		*psflpd accapple -c132 -l60 -R2 -r6 -w -u apple.def
! 		*psflpd 2upnec -2x -u nec.def
! 		*psflpd accnec -c132 -l60 -R2 -r6 -w -u nec.def
! 		*psflpd 2uphp -2x -u hp.def
! 		*psflpd acchp -c132 -l60 -R2 -r6 -w -u hp.def
! 		
! 	Appropriate printer names in /etc/printcap must call the
! 	corresponding link as an if or of filter.
! 	
! 	Printer definitions for each different printer must be placed in
! 	the file name specified by the -u option.  Usually, they
! 	are placed in the same directory that contains psfprint.def.
! 	
! 	Since the normal installation process assumes that you have
! 	only one printer, you will have to manually locate the
! 	appropriate printer definitions in the ./defs directory
! 	and copy the file to the directory containing psfprint.def.
  
  
!    10.  HOW DOES A USER ACCESS THE APPROPRIATE PRINTER?
     
  	Any of the printers defined in /etc/printcap may be selected
  	depending upon the desired page layout! General printing to the
  	default printer "lp" would be done with:
  
***************
*** 247,257 ****
  	sending to the dos print server:
  
  		psf -4xh source.c | lpr -Pdoslpr
  
  
!     8.	PRINTING PROBLEMS
     
          The most common problem associated with lpd and postscript
  	printers is the lack of printed output: files appear to be
  	printing, however the printer times out and nothing is actually
  	printed. Generally, this is caused by an invalid set of
--- 301,311 ----
  	sending to the dos print server:
  
  		psf -4xh source.c | lpr -Pdoslpr
  
  
!    11.	PRINTING PROBLEMS
     
          The most common problem associated with lpd and postscript
  	printers is the lack of printed output: files appear to be
  	printing, however the printer times out and nothing is actually
  	printed. Generally, this is caused by an invalid set of
***************
*** 277,287 ****
  	Since it is difficult to properly process lpd-generated banner
  	pages, the recommended process is to suppress banner printing
  	with the :sh printcap.
  
  
!     9.  EXAMPLE OF A PSFPRINT.DEF FILE FOR USE WITH LPD
      
  	# options for links to psflpd.
  	#       link  options		comments
  	#       ----  ----------------  -----------------------------
  	*psflpd	p2up -2			# 2-up printing, default landscape
--- 331,341 ----
  	Since it is difficult to properly process lpd-generated banner
  	pages, the recommended process is to suppress banner printing
  	with the :sh printcap.
  
  
!    12.  EXAMPLE OF A PSFPRINT.DEF FILE FOR USE WITH LPD
      
  	# options for links to psflpd.
  	#       link  options		comments
  	#       ----  ----------------  -----------------------------
  	*psflpd	p2up -2			# 2-up printing, default landscape
***************
*** 290,300 ****
  	*psflpd psource -2xn		# source listings, 2-up, portrait
  	*psflpd post -z2xn		# postscript source listings, 2-up
  	*psflpd plegal -g legal		# standard print, legal paper
  	*psflpd pspread -g legal -p 8 -w # spreadsheets: legal,8pt,landscape
  	#
! 	# printer definition for psf and friends
  	#
  	*printer
  	Sample Postscript Printer
  	*paper 2
  	Letter
--- 344,354 ----
  	*psflpd psource -2xn		# source listings, 2-up, portrait
  	*psflpd post -z2xn		# postscript source listings, 2-up
  	*psflpd plegal -g legal		# standard print, legal paper
  	*psflpd pspread -g legal -p 8 -w # spreadsheets: legal,8pt,landscape
  	#
! 	# default printer definition for psf and friends
  	#
  	*printer
  	Sample Postscript Printer
  	*paper 2
  	Letter
***************
*** 303,312 ****
--- 357,367 ----
  	Legal
  	statusdict begin legaltray end
  	  612  1008    18    15   593   993
  	*order 1
  	Normal
+ 	*duplex 0
  	*fonts 4
  	Courier
  	Helvetica
  	Times-Roman
  	ZapfChancery-MediumItalic
*** net/Install.unix	Sun Apr 19 13:33:08 1992
--- Install.unix	Tue Jun  2 02:19:01 1992
***************
*** 144,154 ****
--- 144,234 ----
  			different names, then different default page
  			conditions apply (see Install.lpd).
  	
  	Only the appropriate binary versions are copied with "make install".
  
+      CUSTOMIZATION
+      ^^^^^^^^^^^^^
+         The following scripts or control files might be candidates
+         for modification if you do not like the default conditions.
+         Each file has a "prototype" that is edited into a runnable
+         file or script.
+         
+         prototype	install name	edit to change features
+         -------------   --------------  ----------------------------------
+         printcap.ETC	printcap	set up various printer options
+         printcap.NET	not installed	set up various printer options
+         language.PSF	not installed	add non-English language support
+         psfdouble.SH	not installed	sample usage of doublesided print
+         psflpd.DEF	psfprint.def	basic lpd filter options
+         psfman.SH	psfman		change for 2up or 1up printing
+         psfmbox.SH	psfmbox		change for 2up or 4up printing
+         psfnroff.SH	psfnroff	change default man options (-Tlp??)
+         psfunix.LP	psf.model	add accounting support
+         psfxen.ix.LP	psf.model	add accounting support
  
+         
+      ACCOUNTING (for lp/lpsched)
+      ^^^^^^^^^^
+         Paper usage accounting is not configured by default for
+         lp/lpsched systems.  If this feature is desired, the printer
+         script "psf.model" should be modified to include the
+         options "-A account.fil", "-y user" and "-Y host" options.
+         (Examine psf.model and modify to suit).  Also, see below
+         for use with a serial printer.
+ 
+      SERIAL PRINTER READ/WRITE ACCESS (for lp/lpsched)
+      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+ 	The default setup for psf used as a filter for the lp/lpsched
+ 	spooler assumes that a parallel printer is being used.
+ 
+ 	Serial (and possibly ethernet) postscript printers usually echo
+ 	control characters and information messages to the filter. This
+ 	is not possible on parallel port printers. If you are using a
+ 	serial printer, these messages should be handled by the filter
+ 	with the "-a" option in the printer script.
+ 
+ 	If an accounting file is specified with "-A acct.fil",
+ 	printer-generated page usage is written to the specified file.
+ 	If the "-A" option is not provided, then page usage is ignored.
+ 
+ 	All other "informative" text generated by the printer is written
+ 	to stderr and may be redirected to an error log file.
+ 
+ 	The sample printer model file "psf.model" does not handle any
+ 	information generated by the printer (i.e. it assumes that a
+ 	parallel printer is used). You may wish to add the options "-a",
+ 	"-A acct.fil", "-y user" and "-Y host" to your printer model for
+ 	serial/ethernet printers and redirect stderr to a log file.
+ 	
+ 	If a serial printer is used and accounting is not desired,
+ 	the "-a" option should be used:  -A, -y and -Y are not needed.
+ 	
+ 	A sample setup is illustrated as a comment line in psfunix.LP
+ 	and the generated "psf.model" printer script.
+ 
+ 
+      PRINING TO A PIPE
+      ^^^^^^^^^^^^^^^^^
+    	If the spooler should print to a pipe rather than stdout
+    	(such as printing to the "papif" daemon for apple network
+    	printing), the option "-O pipe-cmd" may be inserted into
+    	the link options:
+    	
+    		-O "nextfilter -a -b -c 'text string' -d"
+ 
+ 	Rather than passing the filtered output to stdout, the output is
+ 	piped to "nextfilter" which may process to a foreigh network
+ 	printing. Often, an alternate printer file is specified (-u =
+ 	apple.def) to define the printer configuration for the foreign
+ 	printer.
+ 	
+ 	If the spooler is lp/lpsched, this option could be
+ 	added to the printer script.  If the spooler is lpr/lpd,
+ 	read Install.lpd for further notes.
+ 
+ 
       CONFIGURE PRINTER (for lp/lpsched on SysV R3)
       ^^^^^^^^^^^^^^^^^
  	The printer model defined for psf is copied during the install
  	process to:
  
***************
*** 226,236 ****
  
  	Copy the new psfprint.def file to it's target location as
  	set with "DEFFILE" in the Makefile.
  
       2.	Edit the file "Testfile" with sed (as below). This file is an
! 	example of how escape seqeuences can be imbedded in a text file
  	to allow direct font control within a text editor (See psf.1 for
  	details).
  
  	The "Testfile" should contain many ^E characters (octal \005).
  	Since mail system may change the ^E character into the text
--- 306,316 ----
  
  	Copy the new psfprint.def file to it's target location as
  	set with "DEFFILE" in the Makefile.
  
       2.	Edit the file "Testfile" with sed (as below). This file is an
! 	example of how escape sequences can be imbedded in a text file
  	to allow direct font control within a text editor (See psf.1 for
  	details).
  
  	The "Testfile" should contain many ^E characters (octal \005).
  	Since mail system may change the ^E character into the text
***************
*** 240,250 ****
  	One easy way to correct this is with sed (Bourne shell only??)
  
  		sed 's@005@<CTRL-E>@g' Testfile > example
  			   +------+
  				actually type the CTRL-E character
! 				to generate the octal charcter \005
  
  	After editing, do the following:
  
  		psf example | lp
      
--- 320,330 ----
  	One easy way to correct this is with sed (Bourne shell only??)
  
  		sed 's@005@<CTRL-E>@g' Testfile > example
  			   +------+
  				actually type the CTRL-E character
! 				to generate the octal character \005
  
  	After editing, do the following:
  
  		psf example | lp
      
***************
*** 304,317 ****
  	should be used. In any case, each back end printer script used
  	by lpsched, psnroff or psmbox must reference the appropriate
  	version of psf or have the -u option set.
  
  	See Install.lpd for considerations when using lpr/lpd.
- 
- 	Some provisions are in the Makefile to allow changes to the
- 	target directories or the use of different binary programme
- 	names.
  
       PSF notes.
       ^^^^^^^^^^ 
  	The printer definitions in defs/* are derived from the Adobe
  	".ppd" files. These are available from the Adobe file server via
--- 384,393 ----
*** net/Makefile	Sun Apr 19 13:33:26 1992
--- Makefile	Tue Jun  2 09:02:11 1992
***************
*** 1,6 ****
- # $Id: Makefile.dis,v 3.3 1992/02/07 15:10:57 ajf Exp ajf $
  #
  #	Make the psf v3 postscript filter system
  #	----------------------------------------
  
  #	display all "make" options with:
--- 1,5 ----
***************
*** 10,20 ****
  #		make help
  
  SHELL = /bin/sh
  
  # - - - - Begin configuration - - - - -
! #
  # set compiler, tar and nroff names
  
  CC=cc
  # CC = gcc
  # CC=lpicc -sys -xid
--- 9,24 ----
  #		make help
  
  SHELL = /bin/sh
  
  # - - - - Begin configuration - - - - -
! 
! # peculiar systems setup.
! # set OS=-DISC22    to get around include file problems with pid_t
! #                   with Interactive Unix 2.2:  not needed if gcc is used.
! # OS=-DISC22
! 
  # set compiler, tar and nroff names
  
  CC=cc
  # CC = gcc
  # CC=lpicc -sys -xid
***************
*** 35,46 ****
  # suffix for man pages
  MANSUF=l
  # MANSUF=1
  
  # If catman/formatted pages should be filtered with col
! # COL=
! COL=| col -b 
  
  # user print interface
  UPRINT =lpr
  # UPRINT =lp
  
--- 39,50 ----
  # suffix for man pages
  MANSUF=l
  # MANSUF=1
  
  # If catman/formatted pages should be filtered with col
! COL=
! # COL=| col -b 
  
  # user print interface
  UPRINT =lpr
  # UPRINT =lp
  
***************
*** 55,67 ****
--- 59,84 ----
  # Location of printer definition file   (for lpr/lpd or lp/lpsched)
  DEFFILE=/usr/local/lib/psf/psfprint.def
  # DEFFILE=/local/lib/psf/psfprint.def
  # DEFFILE=/usr/spool/lp/model/psfprint.def
  
+ # A CTL/D is sent to the printer at the end of every print job if psf
+ # is used as a spooler filter.  The "psf" binary does not generate
+ # a ctl/d if it is used in shell scripts or at the shell prompt.
+ # Enable CTLDALWAYS if the CTL/D must be generated in all cases.
+ CTLD=
+ # CTLD=-DCTLDALWAYS
+ 
  # Set the default paper type  (letter, legal, a4, b5, etc.)
  PSPTYPE = letter
  
+ # By default, psf uses standard character set encoding and
+ # allows ISO Latin1 encoding with the -I option.  If ISO Latin1
+ # encoding is desired as the default, set ISOLATIN=-DISO
+ ISOLATIN=
+ # ISOLATIN=-DISO
+ 
  # Psf assumes that the default paper tray is enabled by default
  # in the printer.  If the default paper tray cannot be set as defined
  # in PSTYPE above, or to always force tray selection, activate the following:
  # FORCETYPE=-DFORCETYPE
  
***************
*** 70,80 ****
  TRAYS=
  # TRAYS=-DHOPPER
  
  # compile and library options
  LDFLAGS = -lm
! CFLAGS = -O $(NAMES) $(PAPTYPE) $(TRAYS) $(FORCETYPE) -DBINDIR=\"$(BINDIR)\" -DPDEF=\"$(DEFFILE)\" 
  
  # extra things for SysV or Xenix with lp/lpsched
  MODEL=/usr/spool/lp/model
  
  # if getopt isn't a standard part of your system
--- 87,97 ----
  TRAYS=
  # TRAYS=-DHOPPER
  
  # compile and library options
  LDFLAGS = -lm
! CFLAGS = -O $(NAMES) $(PAPTYPE) $(TRAYS) $(FORCETYPE) -DBINDIR=\"$(BINDIR)\" -DPDEF=\"$(DEFFILE)\"  $(CTLD) $(OS) $(ISOLATIN)
  
  # extra things for SysV or Xenix with lp/lpsched
  MODEL=/usr/spool/lp/model
  
  # if getopt isn't a standard part of your system
***************
*** 87,98 ****
  PSFDOUB = psfdoub
  PSFBANNER = psfbanner
  PSFFILTER = psffilter
  PSFLPD = psflpd
  
! RCSVER = 3.3
! RCSCOM="psf3, patch 3"
  
  # - - - - - end configuration - - - - - - - -
  #           ^^^^^^^^^^^^^^^^^
  
  # psf uses NAMES to find the current name of psfdoub
--- 104,115 ----
  PSFDOUB = psfdoub
  PSFBANNER = psfbanner
  PSFFILTER = psffilter
  PSFLPD = psflpd
  
! RCSVER = 3.5
! RCSCOM="psf3, patch 5"
  
  # - - - - - end configuration - - - - - - - -
  #           ^^^^^^^^^^^^^^^^^
  
  # psf uses NAMES to find the current name of psfdoub
***************
*** 157,176 ****
  
  # Compile all sources
  # ^^^^^^^
  all:	$(BINARIES) $(LPBIN) $(LPDBIN) $(SUPPORT) getsizes.ps
  
! $(PSF):	psf.c psf.h ctp.h $(GETOPT)
  	$(CC) $(CFLAGS) psf.c $(GETOPT) -o $(PSF) $(LDFLAGS)
  
  $(PSFDOUB):	psfdoub.c psf.h $(GETOPT)
  	$(CC) $(CFLAGS) psfdoub.c $(GETOPT) -o $(PSFDOUB) $(LDFLAGS)
  
! $(PSFFILTER):	psf.c psf.h $(GETOPT) ctp.h
  	$(CC) $(CFLAGS) -DPSFFILTER psf.c $(GETOPT) -o $(PSFFILTER) $(LDFLAGS)
  
! $(PSFLPD):	psf.c $(GETOPT) ctp.h psf.h
  	$(CC) $(CFLAGS) -DFORLPD -DPSFFILTER $(GETOPT) psf.c -o $(PSFLPD) $(LDFLAGS)
  
  $(PSFBANNER):	psfbanner.c psf.h ctp.h $(GETOPT)
  	$(CC) $(CFLAGS) psfbanner.c $(GETOPT) -o $(PSFBANNER) $(LDFLAGS)
  
--- 174,193 ----
  
  # Compile all sources
  # ^^^^^^^
  all:	$(BINARIES) $(LPBIN) $(LPDBIN) $(SUPPORT) getsizes.ps
  
! $(PSF):	psf.c psf.h ctp.h $(GETOPT) psfproto.h
  	$(CC) $(CFLAGS) psf.c $(GETOPT) -o $(PSF) $(LDFLAGS)
  
  $(PSFDOUB):	psfdoub.c psf.h $(GETOPT)
  	$(CC) $(CFLAGS) psfdoub.c $(GETOPT) -o $(PSFDOUB) $(LDFLAGS)
  
! $(PSFFILTER):	psf.c psf.h $(GETOPT) ctp.h psfproto.h
  	$(CC) $(CFLAGS) -DPSFFILTER psf.c $(GETOPT) -o $(PSFFILTER) $(LDFLAGS)
  
! $(PSFLPD):	psf.c $(GETOPT) ctp.h psf.h psfproto.h
  	$(CC) $(CFLAGS) -DFORLPD -DPSFFILTER $(GETOPT) psf.c -o $(PSFLPD) $(LDFLAGS)
  
  $(PSFBANNER):	psfbanner.c psf.h ctp.h $(GETOPT)
  	$(CC) $(CFLAGS) psfbanner.c $(GETOPT) -o $(PSFBANNER) $(LDFLAGS)
  
***************
*** 320,330 ****
  # ^^^^^^^^^^^^^^^^^^^^^^^
  tar:
  	$(TAR) cvf /tmp/psf.tar $(SOURCES) man $(OTHERS) defs Makefile.dis Makefile.ajf patchlevel.h
  
  shar:
! 	makekit -m -s59k defs man man/*.1 man/*.doc man/Makefile defs/* $(SOURCES) $(OTHERS) patchlevel.h
  
  dostar:
  	$(TAR) cvf /tmp/psfdos.tar $(DOSSRC) $(DOSMAN) $(DOSDOC) $(DOSOTHER) defs
  
  
--- 337,350 ----
  # ^^^^^^^^^^^^^^^^^^^^^^^
  tar:
  	$(TAR) cvf /tmp/psf.tar $(SOURCES) man $(OTHERS) defs Makefile.dis Makefile.ajf patchlevel.h
  
  shar:
! 	makekit -m -s60k defs man man/*.1 man/*.doc man/Makefile defs/* $(SOURCES) $(OTHERS) patchlevel.h
! 
! tardis:
! 	$(TAR) cvf /tmp/psf.tar man/*.1 man/*.doc man/Makefile defs/*.def $(SOURCES) $(OTHERS) patchlevel.h
  
  dostar:
  	$(TAR) cvf /tmp/psfdos.tar $(DOSSRC) $(DOSMAN) $(DOSDOC) $(DOSOTHER) defs
  
  
***************
*** 337,347 ****
  # RCS checkin and out
  # ^^^^^^^^^^^^^^^^^^^
  
  ci:
  	ci -r$(RCSVER) patchlevel.h
! 	ci -r$(RCSVER) -m$(RCSCOM) $(SOURCES) $(OTHERS) Makefile.dis Makefile.ajf lines.c
  
  ciman:
  	cd man ; make ci RCSVER=$(RCSVER) RCSCOM=$(RCSCOM)
  	
  
--- 357,367 ----
  # RCS checkin and out
  # ^^^^^^^^^^^^^^^^^^^
  
  ci:
  	ci -r$(RCSVER) patchlevel.h
! 	ci -r$(RCSVER) -m$(RCSCOM) $(SOURCES) $(OTHERS) lines.c Makefile.dis Makefile.ajf
  
  ciman:
  	cd man ; make ci RCSVER=$(RCSVER) RCSCOM=$(RCSCOM)
  	
  
*** net/Makefile.dos	Sun Apr 19 13:33:13 1992
--- Makefile.dos	Tue Jun  2 02:19:08 1992
***************
*** 21,32 ****
  # Loation of psfprint.def:
  # ^^^^^^^^^^^^^^^^^^^^^^^
  DEFFILE=c:/lib/psfprint.def
  XCOPYDEF=c:\lib\
  
  
! CFLAGS =-DBINDIR=\"$(BINDIR)\" -DPDEF=\"$(DEFFILE)\"
  
  all:	psf.exe psfdoub.exe selectde.exe psfbs.exe
  
  psf.obj:	psf.h psf.c ctp.h
  psf.exe:	psf.obj getopt.obj
--- 21,36 ----
  # Loation of psfprint.def:
  # ^^^^^^^^^^^^^^^^^^^^^^^
  DEFFILE=c:/lib/psfprint.def
  XCOPYDEF=c:\lib\
  
+ # Enable CTLDALWAYS if the CTL/D must be generated at the end of a print job.
+ CTLD=-DCTLDALWAYS
+ CTLD=
  
! 
! CFLAGS =-DBINDIR=\"$(BINDIR)\" -DPDEF=\"$(DEFFILE)\" $(CTLD)
  
  all:	psf.exe psfdoub.exe selectde.exe psfbs.exe
  
  psf.obj:	psf.h psf.c ctp.h
  psf.exe:	psf.obj getopt.obj
*** net/README	Sun Apr 19 13:33:14 1992
--- README	Tue Jun  2 02:18:59 1992
***************
*** 11,22 ****
--- 11,26 ----
  		o  double sided printing
  		o  pages scaled by row and column count
  		o  lp banner page printing
  		o  reverse order printing
  		o  languages other than English
+ 		o  optional ISO Latin1 character encoding
  		o  left, right, top, bottom margin sizes
  		o  line clipping or left/right justified line wrap
+ 		o  page usage accounting
+ 		o  printing to a pipe for multiple filtering in a spooler
+ 		   or for printing to an Apple network printer (via papif?)
  
     If the printer normally stacks output paper "face up", psf
     automatically reverses the order of the printed pages to ensure
     manual reordering is not needed.
  
***************
*** 45,55 ****
     and BSD-type systems using lpr/lpd are described in Install.unix.
     Installation for SysV r4 may different: you will have to adapt
     the installation process for such systems.
    
  	Install.unix	installation guide
! 	Install.lpd	additonal information for use with lpr/lpd
  	Install.def	how to create a printer definition for a
  			printer not know to psf.
  	Install.dos	installation notes for MSDOS
  
     Installed binaries and scripts should give usage help information
--- 49,59 ----
     and BSD-type systems using lpr/lpd are described in Install.unix.
     Installation for SysV r4 may different: you will have to adapt
     the installation process for such systems.
    
  	Install.unix	installation guide
! 	Install.lpd	additional information for use with lpr/lpd
  	Install.def	how to create a printer definition for a
  			printer not know to psf.
  	Install.dos	installation notes for MSDOS
  
     Installed binaries and scripts should give usage help information
***************
*** 85,101 ****
     If the left or right ends of lines, the top of the first line, or the
     bottom of the last line on a page are clipped, then try:
  
     		psf -M1,1,1,1,c this.file | lp
  
  EUROPEAN LANGUAGES and PAPER SIZES
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
!    Rudimentary provision have been made for languages other than
!    English. An example Scandinavian font setup is provided in file
!    "language.PSF". This is NOT a working example: it must be modified
!    for real use.  Any feedback and/or suggestions for modifications
!    regarding the use of non-English languages would be appreciated.
  
     Documentation for this feature is minimal: some postscript knowledge
     is assumed! Refer to the Blue Book, Postscript Language Tutorial and
     Cookbook, page 111 (Program 18, Making small changes to encoding
     vectors). If Interactive Unix is used (and probably AT&T SysV 3.2),
--- 89,122 ----
     If the left or right ends of lines, the top of the first line, or the
     bottom of the last line on a page are clipped, then try:
  
     		psf -M1,1,1,1,c this.file | lp
  
+ CTL/D PROCESSING
+ ^^^^^^^^^^^^^^^^
+    By default, the psf system does not generate a ctl/d at the end
+    of a print job if psf is used from the command line or within
+    a shell script.  A ctl/d is generated by psffilter (for lpsched)
+    or by psflpd (for lpd) spooler usage.
+    
+    If psf should generate a ctl/d in all cases, this may be set up
+    in the Makefile.
+ 
  EUROPEAN LANGUAGES and PAPER SIZES
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
!    ISO Latin1 font encoding is be invoked automatically by
!    use of the -I option.  Alternatively, the ISO Latin1 encoding
!    may be set as a compile-time option in the Makefile.  This
!    feature may not be honoured by all (possibly old) postscript
!    printers.
! 
!    If ISO Latin1 encoding is insufficient, complete control over
!    character encoding is provided in an external file. An example
!    Scandinavian font setup is provided in file "language.PSF". This is
!    NOT a working example: it must be modified for real use. Any feedback
!    and/or suggestions for modifications regarding the use of non-English
!    languages would be appreciated.
  
     Documentation for this feature is minimal: some postscript knowledge
     is assumed! Refer to the Blue Book, Postscript Language Tutorial and
     Cookbook, page 111 (Program 18, Making small changes to encoding
     vectors). If Interactive Unix is used (and probably AT&T SysV 3.2),
***************
*** 143,153 ****
  ^^^^^^^^^^^^^^^^^^^^^
     DOUBLE SIDED PRINTING IS NOT RECOMMEDED UNLESS THE PRINTER
     IS SPECIFICALLY DESIGNED FOR TO ALLOW DOUBLE SIDE PRINTING.
  
     Double sided printing is more convenient on printers with two paper
!    trays. If two paper trays are avaliable, then psf could be compiled
     with "-DHOPPER" (see the Makefile).  Double sided printing may be
     done as part of the lp spooler system by passing the "-d" option. Psf
     internally calls psfdoub to print double sided. This assumes that the
     printer has at least two paper hoppers.
  
--- 164,174 ----
  ^^^^^^^^^^^^^^^^^^^^^
     DOUBLE SIDED PRINTING IS NOT RECOMMEDED UNLESS THE PRINTER
     IS SPECIFICALLY DESIGNED FOR TO ALLOW DOUBLE SIDE PRINTING.
  
     Double sided printing is more convenient on printers with two paper
!    trays. If two paper trays are available, then psf could be compiled
     with "-DHOPPER" (see the Makefile).  Double sided printing may be
     done as part of the lp spooler system by passing the "-d" option. Psf
     internally calls psfdoub to print double sided. This assumes that the
     printer has at least two paper hoppers.
  
***************
*** 158,166 ****
--- 179,205 ----
     If psf was not compiled with "-DHOPPER", then double sided printing
     is done as described in psfdoub.1.  
     
     This feature should not be used unless the paper tray is essentially
     reserved for double sided printing.
+ 
+ CREDITS
+ ^^^^^^^
+    The spooler code to read printer-generated responses and echoes from
+    the printer was developed  by  Paul Eggert's (eggert@winsun.com).
+ 
+    The ISO Latin1 Encoding postscript code was developed by Magnus Hammerin 
+    and modified for usage with psf by Leif Hedstrom (leif@ifm.liu.se)
+ 
+ FTP
+ ^^^
+    The current version of psf may be obtained by ftp from the
+    University of Calgary:
+    
+ 	host:      fsa.cpsc.ucalgary.ca, cpsc.ucalgary.ca or 136.159.2.1
+ 	login:     anonymous
+ 	password:  is your mail address, by convention
+ 	files:     pub/psf/psf3.3.tar.Z
  
   ------------------------------------------
     Tony Field: tony@ajfcal.cuc.ab.ca
  
*** net/language.PSF	Sun Apr 19 13:33:27 1992
--- language.PSF	Tue Jun  2 02:19:11 1992
***************
*** 1,8 ****
  %%PsfStart
  
! $Id: language.PSF,v 3.3 1992/02/07 15:10:57 ajf Exp ajf $
  
  	WARNING: This file must be edited to cause valid selection
  	=======	 of postscript characters for non-English languages.
  		 The sample "Scandinavian" translation table is
  		 used for testing purposes only and will not generate
--- 1,8 ----
  %%PsfStart
  
! $Id: language.PSF,v 3.5 1992/06/02 08:16:01 ajf Exp ajf $
  
  	WARNING: This file must be edited to cause valid selection
  	=======	 of postscript characters for non-English languages.
  		 The sample "Scandinavian" translation table is
  		 used for testing purposes only and will not generate
***************
*** 18,51 ****
  		cat psfprint.old.def language.PSF > psfprint.def
  	
  	The comments may remain in the final file, or may be removed as
  	desired - they are ignored by psf and friends.
  
- 	To set this code up for a different language, edit the lines
- 	prefixed with "%%font" and "%%translate". Then modify the
- 	section of postscript code following "ENCODE".
- 
  	The first section of the code must start with "%%PsfStart" and
  	terminate with %%PsfEnd. The information within this section
! 	contains new font defintion and character translation tables.
  	This section may be empty, however the "%%PsfStart" and
  	"%%PsfEnd" lines must exist.
  
- 	This section is setup information processed by psf and psfbanner.
- 
  	Any postscript code following the "%%PsfEnd" marker is copied to
! 	the printer as part of the postscript prologue.
  
  	The key words %%PsfStart, %%fontX %%translate %%copy %%PsfEnd
  	must start in the first column of this file.
  
! 	((( It might be possible to adapt this file to re-encode an
! 	entire font for a different character set such as EBCDIC. Refer
! 	to Adobe's Blue Book program #17 for hints on how this might be
! 	accomplished. Entries for %%fontX would be needed, %%translate
! 	would not be needed, and the postscript code after %%PsfEnd
! 	would have to be replaced. )))
  	--------------------------------------------------------------
  
  	Set up new language font names. Fonts in psf are numbered
  	as 0..9, a..z. The "%%fontX" numbers (where 'X' represents the
  	font number used by psf) reflect the font to be updated or
--- 18,59 ----
  		cat psfprint.old.def language.PSF > psfprint.def
  	
  	The comments may remain in the final file, or may be removed as
  	desired - they are ignored by psf and friends.
  
  	The first section of the code must start with "%%PsfStart" and
  	terminate with %%PsfEnd. The information within this section
! 	contains new font defintion and character translation tables
! 	used by psf for internal processing.
! 	
  	This section may be empty, however the "%%PsfStart" and
  	"%%PsfEnd" lines must exist.
  
  	Any postscript code following the "%%PsfEnd" marker is copied to
! 	the printer as part of the postscript prologue.  The actual
! 	font reencoding is performed in this section.
  
  	The key words %%PsfStart, %%fontX %%translate %%copy %%PsfEnd
  	must start in the first column of this file.
  
! 	--------------------------------------------------------------
! 
! 	The steps to reencode a font are:
! 	
! 		1. Create a new set of font names which will become
! 		   the names of the reencoded fonts.  This is set up
! 		   in the "%%fonX" lines below.
! 		
! 		2. If any character translation form ascii to printer
! 		   characters is needed, the translation is provided
! 		   in "%%translate" lines below.
! 		
! 		3. The actual print characters to be selected are
! 		   set up in the "languagevec".
! 		
! 		4. The "ENCODE" postscript code must be set up to
! 		   perform the font reencoding.
  	--------------------------------------------------------------
  
  	Set up new language font names. Fonts in psf are numbered
  	as 0..9, a..z. The "%%fontX" numbers (where 'X' represents the
  	font number used by psf) reflect the font to be updated or
*** net/patchlevel.h	Sun Apr 19 13:33:27 1992
--- patchlevel.h	Tue Jun  2 02:19:22 1992
***************
*** 1,8 ****
! /* $Id: patchlevel.h,v 3.3 1992/02/07 15:07:04 ajf Exp ajf $
   *
   * $Log: patchlevel.h,v $
   * Revision 3.3  1992/02/07  15:07:04  ajf
   * patch 3:
   *    1. add -e -E -M options for wrap and margins
   *    2. -i -m are physical page offsets
   *    3. fixup scaling with pointsize settings
--- 1,22 ----
! /* $Id: patchlevel.h,v 3.5 1992/06/02 08:15:01 ajf Exp ajf $
   *
   * $Log: patchlevel.h,v $
+  * Revision 3.5  1992/06/02  08:15:01  ajf
+  * Patch 5:
+  *    1. allow printing to a pipe (apple network printer??)
+  *    2. fix problem with first line loss if language file used
+  *
+  * Revision 3.4  1992/02/24  06:40:55  ajf
+  * Patch 4:
+  *    1. force paper tray selection (makefile + user option) added
+  *    2. ctl/d is compile time option
+  *    3. fix problems with def file generation
+  *    4. allow psf to read printer device for responses
+  *    5. paper usage logged to accounting file
+  *    6. new options -a -A -y -Y
+  *
   * Revision 3.3  1992/02/07  15:07:04  ajf
   * patch 3:
   *    1. add -e -E -M options for wrap and margins
   *    2. -i -m are physical page offsets
   *    3. fixup scaling with pointsize settings
***************
*** 17,22 ****
   *    3. correct problem with psfbs and underscore order.
   *    4. remove support for modified lpr/lpd
   *
  */
  
! #define PATCHLEVEL 3
--- 31,36 ----
   *    3. correct problem with psfbs and underscore order.
   *    4. remove support for modified lpr/lpd
   *
  */
  
! #define PATCHLEVEL 5
*** net/printcap.ETC	Sun Apr 19 13:32:03 1992
--- printcap.ETC	Tue Jun  2 02:19:09 1992
***************
*** 35,39 ****
--- 35,49 ----
  	:lf=/usr/adm/lpd-errs:sh:if=LPDFILTERS/plegal
  
  sheet|large spreadsheets, legal paper:\
  	:lp=/dev/lp:sd=/usr/spool/lpd/lp:sf:\
  	:lf=/usr/adm/lpd-errs:sh:if=LPDFILTERS/pspread
+ 
+ # sample serial printer using Interactive Unix 3.2 lpr/lpd
+ # with printcaps "rw" for read/write on stdout and "af"
+ # for accounting information
+ 
+ # serial|standard serial postscript printer:\
+ #	:lp=/dev/cui1c:sd=/usr/spool/lpd/lp:sf:\
+ #	:tt=B19200+CS7+PARENB+IXON+IXOFF+CREAD+CLOCAL\
+ #	:af=/usr/adm/lpd-acct:sh:rw:\
+ #	:lf=/usr/adm/lpd-errs:sh:if=LPDFILTERS/serial
*** net/psfbanner.c	Sun Apr 19 13:32:29 1992
--- psfbanner.c	Tue Jun  2 02:18:48 1992
***************
*** 8,18 ****
  *																			*
  *	Tony Field.       tony@ajfcal.cuc.ab.ca									*
  ****************************************************************************/
  
  /*
!  * $Id: psfbanner.c,v 3.2 1992/01/19 05:50:33 ajf Exp ajf $
   *
  */
  
  #include <stdio.h>
  #include <string.h>
--- 8,18 ----
  *																			*
  *	Tony Field.       tony@ajfcal.cuc.ab.ca									*
  ****************************************************************************/
  
  /*
!  * $Id: psfbanner.c,v 3.4 1992/02/24 06:48:59 ajf Exp ajf $
   *
  */
  
  #include <stdio.h>
  #include <string.h>
***************
*** 213,223 ****
  		switch (c)
  		{
  		case 'b':
  			if ((set_paper_bin = atoi (argv[i+1])) > nslots)
  			{	fprintf (stderr, "paper bin greater than %d\n", nslots);
! 				exit (1);
  			}
  			i++;
  			break;
  
  		case 'g':
--- 213,223 ----
  		switch (c)
  		{
  		case 'b':
  			if ((set_paper_bin = atoi (argv[i+1])) > nslots)
  			{	fprintf (stderr, "paper bin greater than %d\n", nslots);
! 				exit (DISCARD_JOB);
  			}
  			i++;
  			break;
  
  		case 'g':
***************
*** 228,238 ****
  					break;
  				}
  			}
  			if (page_types[set_paper_tray].paper_name[0] == '\0')
  			{	fprintf (stderr, "Invalid paper size\n");
! 				exit (1);
  			}
  			i++;
  			break;
  
  		case 'u':			/* already processed */
--- 228,238 ----
  					break;
  				}
  			}
  			if (page_types[set_paper_tray].paper_name[0] == '\0')
  			{	fprintf (stderr, "Invalid paper size\n");
! 				exit (DISCARD_JOB);
  			}
  			i++;
  			break;
  
  		case 'u':			/* already processed */
***************
*** 343,353 ****
  	sendnormal ("Machine:    ");
  	sendbold (Machineid);
  
  	send ("showpage pg restore\n");
  	send ("%%Trailer\n");	
! 	exit (0);
  }
  
  
  /****************************************************************************
  *	send font selection information and text.								*
--- 343,353 ----
  	sendnormal ("Machine:    ");
  	sendbold (Machineid);
  
  	send ("showpage pg restore\n");
  	send ("%%Trailer\n");	
! 	exit (JOB_IS_DONE);
  }
  
  
  /****************************************************************************
  *	send font selection information and text.								*
***************
*** 400,410 ****
  ****************************************************************************/
  
  bad_file()
  {
  	fprintf (stderr, "Bad %s file\n", defref);
! 	exit (1);
  }
  
  /****************************************************************************
  *	compare ()																*
  *	partial compare of two strings.											*
--- 400,410 ----
  ****************************************************************************/
  
  bad_file()
  {
  	fprintf (stderr, "Bad %s file\n", defref);
! 	exit (DISCARD_JOB);
  }
  
  /****************************************************************************
  *	compare ()																*
  *	partial compare of two strings.											*
***************
*** 527,533 ****
  	fprintf (stderr, "                   Machineid Title [-b n] [-g size] [-u f.def]\n");
  	fprintf (stderr, "        where:   Userid, Name, etc are passed by lpsched\n");
  	fprintf (stderr, "                 -b n    = select paper bin n\n");
  	fprintf (stderr, "                 -g size = select paper size (letter, b5, etc)\n");
  	fprintf (stderr, "                -u f.def = use this printer definition file\n");	
! 	exit (1);
  }		
--- 527,533 ----
  	fprintf (stderr, "                   Machineid Title [-b n] [-g size] [-u f.def]\n");
  	fprintf (stderr, "        where:   Userid, Name, etc are passed by lpsched\n");
  	fprintf (stderr, "                 -b n    = select paper bin n\n");
  	fprintf (stderr, "                 -g size = select paper size (letter, b5, etc)\n");
  	fprintf (stderr, "                -u f.def = use this printer definition file\n");	
! 	exit (DISCARD_JOB);
  }		
*** net/psfbs.c	Sun Apr 19 13:32:22 1992
--- psfbs.c	Tue Jun  2 02:18:46 1992
***************
*** 8,18 ****
  *	for psf usage															*
  *																			*
  *	Tony Field.       tony@ajfcal.cuc.ab.ca									*
  ****************************************************************************/
  /*
!  * $Id: psfbs.c,v 3.2 1992/01/19 05:50:33 ajf Exp ajf $
   *
   */
  
  /*	For each line in of input text, scan for backspaces.  Determine if
  	the operation is an underline (i.e. the preceeding character is
--- 8,18 ----
  *	for psf usage															*
  *																			*
  *	Tony Field.       tony@ajfcal.cuc.ab.ca									*
  ****************************************************************************/
  /*
!  * $Id: psfbs.c,v 3.4 1992/02/24 06:48:59 ajf Exp ajf $
   *
   */
  
  /*	For each line in of input text, scan for backspaces.  Determine if
  	the operation is an underline (i.e. the preceeding character is
***************
*** 64,74 ****
  	outfp = stdout;
  	pgmname = argv[0];
  	underline_on  = BEGIN_UNDERLINE;
  	underline_off = END_UNDERLINE;
  
! 	if (strcmp (argv[1], "-") == 0)
  		usage();
  	while ((c = getopt(argc, argv, "ifr:l:-")) != -1)
  	{	switch (c)
  		{
  		case 'i':
--- 64,74 ----
  	outfp = stdout;
  	pgmname = argv[0];
  	underline_on  = BEGIN_UNDERLINE;
  	underline_off = END_UNDERLINE;
  
! 	if (argc > 1  &&  strcmp (argv[1], "-") == 0)
  		usage();
  	while ((c = getopt(argc, argv, "ifr:l:-")) != -1)
  	{	switch (c)
  		{
  		case 'i':

exit 0 # Just in case...
From quantum!revcan!cunews!torn.onet.on.ca!utgpu!news-server.csri.toronto.edu!rutgers!sun-barr!ames!olivea!uunet!sparky!kent Mon Jun 15 12:35:27 EDT 1992
Article: 1009 of comp.sources.misc
Path: quantum!revcan!cunews!torn.onet.on.ca!utgpu!news-server.csri.toronto.edu!rutgers!sun-barr!ames!olivea!uunet!sparky!kent
From: tony@ajfcal.cuc.ab.ca (Tony Field)
Newsgroups: comp.sources.misc
Subject: v30i052:  psf3 - Postscript print filter system, Patch03c/4
Message-ID: <1992Jun14.201849.2297@sparky.imd.sterling.com>
Date: 14 Jun 92 20:18:49 GMT
References: <csm-v30i050=psf3.151734@sparky.IMD.Sterling.COM>
Sender: kent@sparky.imd.sterling.com (Kent Landfield)
Followup-To: comp.sources.d
Organization: Sterling Software
Lines: 1984
Approved: kent@sparky.imd.sterling.com
X-Md4-Signature: 925bb3d15705aaf12d1bcf6df0b74e84

Submitted-by: tony@ajfcal.cuc.ab.ca (Tony Field)
Posting-number: Volume 30, Issue 52
Archive-name: psf3/patch03c
Environment: ISC, SUNOS, SYSVR3, DOS
Patch-To: psf3: Volume 27, Issue 91-100

*** net/psfdoub.c	Sun Apr 19 13:33:28 1992
--- psfdoub.c	Tue Jun  2 02:18:47 1992
***************
*** 10,20 ****
  *	The basic algorithm for "print_book()"  was based on a routine written	*
  *	by Tom Neff (tneff@well.uucp) named "book" which printed 5.5x8.5 		*
  *	double sided on an HP LaserJet.											*
  ****************************************************************************/
  /*
!  * $Id: psfdoub.c,v 3.3 1992/02/07 15:10:57 ajf Exp ajf $
   *
  */
  /*	psfdoub prints simple reverse order or double sided.
  
  	if the printer is "Normal", i.e. stacks face down, then psf
--- 10,20 ----
  *	The basic algorithm for "print_book()"  was based on a routine written	*
  *	by Tom Neff (tneff@well.uucp) named "book" which printed 5.5x8.5 		*
  *	double sided on an HP LaserJet.											*
  ****************************************************************************/
  /*
!  * $Id: psfdoub.c,v 3.4 1992/02/24 06:48:59 ajf Exp ajf $
   *
  */
  /*	psfdoub prints simple reverse order or double sided.
  
  	if the printer is "Normal", i.e. stacks face down, then psf
***************
*** 268,278 ****
  	else
  		order_command = NULL;
  
  	if (reverse_requested  &&  side != 0)
  	{	fprintf (stderr, "Cannot print double sided or book in reverse order.\n");
! 		exit (1);
  	}
  
  	if (side == 3  &&  nslots < 2)
  	{	fprintf (stderr, "Cannot use -3: only one output tray\n");
  		usage();
--- 268,278 ----
  	else
  		order_command = NULL;
  
  	if (reverse_requested  &&  side != 0)
  	{	fprintf (stderr, "Cannot print double sided or book in reverse order.\n");
! 		exit (DISCARD_JOB);
  	}
  
  	if (side == 3  &&  nslots < 2)
  	{	fprintf (stderr, "Cannot use -3: only one output tray\n");
  		usage();
***************
*** 293,317 ****
  	{	if ((output_fp = fopen (env_fname, "wt")) == NULL)
  #else
  	{	if ((output_fp = fopen (env_fname, "w")) == NULL)
  #endif
  		{	fprintf (stderr, "Cannot open output file %s\n", env_fname);
! 			exit (1);
  		}
  	}
  	else
  		output_fp = stdout;
  
  	if ((pg_loc = (long *) malloc (sizeof (long) * MAX_PAGES)) == NULL)
  	{	fprintf (stderr, "%s: cannot allocate enough memory\n", pgmname);
! 		exit (1);
  	}
  	
  	if ((input_fp = fopen(in_fname, "r")) == NULL)
  	{
  		fprintf(stderr, "%s: Error opening %s!\n", pgmname, in_fname);
! 		exit (1);
  	}
  	(void)	signal (SIGINT, catch);		/*	for lpd quit */
  	read_control (input_fp);
  	get_prologue ();
  	if (reverse_order  &&  side == 0)
--- 293,317 ----
  	{	if ((output_fp = fopen (env_fname, "wt")) == NULL)
  #else
  	{	if ((output_fp = fopen (env_fname, "w")) == NULL)
  #endif
  		{	fprintf (stderr, "Cannot open output file %s\n", env_fname);
! 			exit (DISCARD_JOB);
  		}
  	}
  	else
  		output_fp = stdout;
  
  	if ((pg_loc = (long *) malloc (sizeof (long) * MAX_PAGES)) == NULL)
  	{	fprintf (stderr, "%s: cannot allocate enough memory\n", pgmname);
! 		exit (DISCARD_JOB);
  	}
  	
  	if ((input_fp = fopen(in_fname, "r")) == NULL)
  	{
  		fprintf(stderr, "%s: Error opening %s!\n", pgmname, in_fname);
! 		exit (DISCARD_JOB);
  	}
  	(void)	signal (SIGINT, catch);		/*	for lpd quit */
  	read_control (input_fp);
  	get_prologue ();
  	if (reverse_order  &&  side == 0)
***************
*** 319,329 ****
  	else if (bookwork)
  		print_book ();
  	else
  		print_double ();
  	get_trailer ();
! 	exit (0);
  }
  
  /****************************************************************************
  *	read_control()															*
  *	Read the control information at the end of the file for the page 		*
--- 319,329 ----
  	else if (bookwork)
  		print_book ();
  	else
  		print_double ();
  	get_trailer ();
! 	exit (JOB_IS_DONE);
  }
  
  /****************************************************************************
  *	read_control()															*
  *	Read the control information at the end of the file for the page 		*
***************
*** 360,370 ****
  	*/
  	fseek (fp, -50L, 2);
  	fread (tail, 50, 1, fp);
  	if ((i = tscan (tail, "%PsfPtr:")) == -1)
  	{	fprintf (stderr, "%s: File is not in psf book format\n", pgmname);
! 		exit (1);
  	}
  	psfloc = atol (tail + i + 9);		/*	beginning  of psf information */
  	fseek (fp, psfloc, 0);
  	
  	fgets (scale, 99, fp);
--- 360,370 ----
  	*/
  	fseek (fp, -50L, 2);
  	fread (tail, 50, 1, fp);
  	if ((i = tscan (tail, "%PsfPtr:")) == -1)
  	{	fprintf (stderr, "%s: File is not in psf book format\n", pgmname);
! 		exit (DISCARD_JOB);
  	}
  	psfloc = atol (tail + i + 9);		/*	beginning  of psf information */
  	fseek (fp, psfloc, 0);
  	
  	fgets (scale, 99, fp);
***************
*** 607,617 ****
  	printf ("                -2 = print side 2 only\n");
  	printf ("                -3 = print both sides in one pass\n");
  	printf ("                -v = reverse page order\n");
  	printf ("          -u f.def = use this .def file\n");
  	printf ("              file = print this file\n");
! 	exit (0);
  }
  
  void trim (s)					/*	trim trailing blanks  and \n */
  char	*s;
  {	int many;
--- 607,617 ----
  	printf ("                -2 = print side 2 only\n");
  	printf ("                -3 = print both sides in one pass\n");
  	printf ("                -v = reverse page order\n");
  	printf ("          -u f.def = use this .def file\n");
  	printf ("              file = print this file\n");
! 	exit (DISCARD_JOB);
  }
  
  void trim (s)					/*	trim trailing blanks  and \n */
  char	*s;
  {	int many;
***************
*** 632,644 ****
  
  void catch (signo)
  int	signo;
  {
  		fprintf (output_fp, "%c", 0x04);
! 		exit (0);
  }
  bad_file()
  {
  	fprintf (stderr, "Bad %s file\n", defref);
! 	exit (1);
  }
  
--- 632,644 ----
  
  void catch (signo)
  int	signo;
  {
  		fprintf (output_fp, "%c", 0x04);
! 		exit (DISCARD_JOB);
  }
  bad_file()
  {
  	fprintf (stderr, "Bad %s file\n", defref);
! 	exit (DISCARD_JOB);
  }
  
*** net/psflpd.DEF	Sun Apr 19 13:33:16 1992
--- psflpd.DEF	Tue Jun  2 02:19:12 1992
***************
*** 8,14 ****
  *psflpd psource -2xnE			# source listings, 2-up, portrait
  *psflpd post -z2xnE			# postscript source listings, 2-up
  *psflpd plegal -g legal			# standard print, legal paper
  *psflpd pspread -g legal -p 8 -w	# big spreadsheets: legal,8pt,landscape
  #
! # printer definition for psf and friends (no comments allowed after *printer)
  #
--- 8,20 ----
  *psflpd psource -2xnE			# source listings, 2-up, portrait
  *psflpd post -z2xnE			# postscript source listings, 2-up
  *psflpd plegal -g legal			# standard print, legal paper
  *psflpd pspread -g legal -p 8 -w	# big spreadsheets: legal,8pt,landscape
  #
! # if a serial printer is used, allow reading printer messages
! # with the "-a" option.  A typical example might be:
! #
! # *psflpd serial -a -2xnE		# serial printer, 2-up, portrait
! #
! # default printer definition for psf and friends 
! # (no comments allowed after *printer)
  #
*** net/psfmail.c	Sun Apr 19 13:32:22 1992
--- psfmail.c	Tue Jun  2 02:18:46 1992
***************
*** 9,19 ****
  *	Modify the code if you wish to have various headers ignored for print.	*
  *																			*
  *	Tony Field.       tony@ajfcal.cuc.ab.ca									*
  ****************************************************************************/
  /*
!  * $Id: psfmail.c,v 3.2 1992/01/19 05:50:33 ajf Exp ajf $
   *
  */
  
  #include <stdio.h>
  #include <string.h>
--- 9,19 ----
  *	Modify the code if you wish to have various headers ignored for print.	*
  *																			*
  *	Tony Field.       tony@ajfcal.cuc.ab.ca									*
  ****************************************************************************/
  /*
!  * $Id: psfmail.c,v 3.4 1992/02/24 06:48:59 ajf Exp ajf $
   *
  */
  
  #include <stdio.h>
  #include <string.h>
***************
*** 37,47 ****
  	FILE	*input_fp;
  
  	outfp = stdout;
  	pgmname = argv[0];	
  	ignore_garbage = 1;
! 	if (strcmp (argv[1], "-") == 0)
  		usage();
  	while ((i = getopt(argc, argv, "s-")) != -1)
  	{	switch (i)
  		{
  		case 's':
--- 37,47 ----
  	FILE	*input_fp;
  
  	outfp = stdout;
  	pgmname = argv[0];	
  	ignore_garbage = 1;
! 	if (argc > 1  &&  strcmp (argv[1], "-") == 0)
  		usage();
  	while ((i = getopt(argc, argv, "s-")) != -1)
  	{	switch (i)
  		{
  		case 's':
*** net/psfproto.h	Sun Apr 19 13:33:17 1992
--- psfproto.h	Tue Jun  2 02:18:51 1992
***************
*** 1,10 ****
--- 1,24 ----
  #ifdef __STDC__
  /* psf.c */
  int main(int argc, char *argv[]);
+ void create_fork(void);
+ void write_accounting(long pages_printed, int log_exit);
+ void time_stamp(void);
+ void expire(char *s);
+ int getc_from_printer(void);
+ void abort_job(void);
+ void abort_exit(void);
+ void request_pagecount(int cancel);
+ long get_page_count(void);
+ void wait_for_eoj(int c);
+ measure *locate_pagetype(char *desired, int printerr);
+ double cvt_unit(char *which);
  void scale_factors(void);
  void prologue(void);
+ void set_tray(int set_paper_tray);
+ void set_bin(int set_paper_bin);
  void showpage(int end_of_file);
  void set_frame(void);
  void set_y_coord(void);
  void put_top(void);
  void process_file(void);
***************
*** 14,44 ****
  void start_file(void);
  void terminate_printer(void);
  void draw_cross(void);
  void set_clip_path(int x1, int y1, int x2, int y2);
  void output_book(char *bookfile);
  int tscan(char s[], char t[]);
  void get_time(char *t);
  int compare(char *a, char *b);
  int partial_compare(char *a, char *b);
- int comparen(char *a, char *b, int n);
- int endcompare(char *a, char *b);
  void trim(char *s);
  void bad_file(void);
  int xtoi(int c);
  void catch(int signo);
  void replacement_fonts(void);
  int otoi(char *s);
  void usage(void);
  void size_display(void);
- void output_trouble(int);
- double cvt_unit (char *y);
  #else
  /* psf.c */
  int main();
  void scale_factors();
  void prologue();
  void showpage();
  void set_frame();
  void set_y_coord();
  void put_top();
  void process_file();
--- 28,70 ----
  void start_file(void);
  void terminate_printer(void);
  void draw_cross(void);
  void set_clip_path(int x1, int y1, int x2, int y2);
  void output_book(char *bookfile);
+ char *nexttok(char *ss, char *q);
  int tscan(char s[], char t[]);
  void get_time(char *t);
  int compare(char *a, char *b);
  int partial_compare(char *a, char *b);
  void trim(char *s);
  void bad_file(void);
  int xtoi(int c);
  void catch(int signo);
+ void output_trouble(int rc);
  void replacement_fonts(void);
  int otoi(char *s);
  void usage(void);
  void size_display(void);
  #else
  /* psf.c */
  int main();
+ void create_fork();
+ void write_accounting();
+ void time_stamp();
+ void expire();
+ int getc_from_printer();
+ void abort_job();
+ void abort_exit();
+ void request_pagecount();
+ long get_page_count();
+ void wait_for_eoj();
+ measure *locate_pagetype();
+ double cvt_unit();
  void scale_factors();
  void prologue();
+ void set_tray();
+ void set_bin();
  void showpage();
  void set_frame();
  void set_y_coord();
  void put_top();
  void process_file();
***************
*** 48,69 ****
  void start_file();
  void terminate_printer();
  void draw_cross();
  void set_clip_path();
  void output_book();
  int tscan();
  void get_time();
  int compare();
  int partial_compare();
- int comparen();
- int endcompare();
  void trim();
  void bad_file();
  int xtoi();
  void catch();
  void replacement_fonts();
  int otoi();
  void usage();
  void size_display();
- void output_trouble();
- double cvt_unit();
  #endif
--- 74,93 ----
  void start_file();
  void terminate_printer();
  void draw_cross();
  void set_clip_path();
  void output_book();
+ char *nexttok();
  int tscan();
  void get_time();
  int compare();
  int partial_compare();
  void trim();
  void bad_file();
  int xtoi();
  void catch();
+ void output_trouble();
  void replacement_fonts();
  int otoi();
  void usage();
  void size_display();
  #endif
*** net/psfunix.LP	Sun Apr 19 13:32:16 1992
--- psfunix.LP	Tue Jun  2 02:19:03 1992
***************
*** 1,12 ****
  :
! # $Id: psfunix.LP,v 3.1 1991/11/27 06:02:58 ajf Exp ajf $
  #  Postscript serial or parallel printer using psf filters
  #
  #	"make scripts" will use sed to replace "BINARY" with
  #		the binary library directory name such as /local/bin.
  
  # The following parameters are passed from "lp" at print time.
  
  printer=`basename $0`
  request=$1
  name=$2
--- 1,15 ----
  :
! # $Id: psfunix.LP,v 3.5 1992/06/02 08:16:01 ajf Exp ajf $
  #  Postscript serial or parallel printer using psf filters
  #
  #	"make scripts" will use sed to replace "BINARY" with
  #		the binary library directory name such as /local/bin.
  
+ # If page accounting is desired, modify the code at the end
+ # of this script.
+ 
  # The following parameters are passed from "lp" at print time.
  
  printer=`basename $0`
  request=$1
  name=$2
***************
*** 107,115 ****
--- 110,122 ----
  while	[ "$copies" -gt 0 ]
  do
  	for file in $files
  	do
  		BINARY/psffilter -g PAGETYPE $options "$file" <$file 2>&1
+ #
+ # 		OPTIONAL: enable accounting and read/write access to serial printer
+ #
+ #		BINARY/psffilter -g PAGETYPE -y "$user" -Y "$sysid" -a -A /usr/spool/lp/logs/psfacct $options "$file" <$file 2>/usr/spool/lp/logs/psferror
  	done
  	copies=`expr $copies - 1`
  done
  exit 0
*** net/table.c	Sun Apr 19 13:33:30 1992
--- table.c	Tue Jun  2 02:18:50 1992
***************
*** 6,16 ****
  *																		*
  *	Scans the Adobe *.ppd files for specific parametric lines.			*
  *	Tony FIeld,   tony@ajfcal.cuc.ab.ca								`	*
  ************************************************************************/
  /*
!  * $Id: table.c,v 3.3 1992/02/07 15:10:57 ajf Exp ajf $
   *
  */
  
  /*	Usage:    table files.ppd ...  destination.dir
  
--- 6,16 ----
  *																		*
  *	Scans the Adobe *.ppd files for specific parametric lines.			*
  *	Tony FIeld,   tony@ajfcal.cuc.ab.ca								`	*
  ************************************************************************/
  /*
!  * $Id: table.c,v 3.5 1992/06/02 08:16:01 ajf Exp ajf $
   *
  */
  
  /*	Usage:    table files.ppd ...  destination.dir
  
***************
*** 37,46 ****
--- 37,47 ----
  statusdict begin a4tray end
    595   842    10     8   585   813
  B5
  statusdict begin b5tray end
    516   729    18     7   482   702
+ *duplex									<-- marker for duplex
  *order									<-- marker for output order
  											from DefaultOutputOrder or
  											OutputOrder
  Normal									<-- default output order
  statusdict begin 0 setoutputtray end	<-- set to normal
***************
*** 69,78 ****
--- 70,80 ----
  #include <stdio.h>
  #include <string.h>
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <ctype.h>
+ #include "ctp.h"
  
  char	nickname[200];
  struct pdef
  {
  	char	name[500];
***************
*** 85,94 ****
--- 87,98 ----
  {	char	bydefault[100];
  	char	normal[150];
  	char	reverse[150];
  } order;
  
+ char	duplex[500];
+ 
  char	*malloc();
  char	pname[100];
  struct pdef printer[40], pblank;
  int		nprinter = 0;
  char	*fonts[100];
***************
*** 95,104 ****
--- 99,131 ----
  char	*slots[10];
  int		nfonts=0;
  int		nslots=0;
  void	trim();
  
+ struct sizes
+ {	char	name[50];
+ 	int		wide;
+ 	int		high;
+ } ;
+ 
+ struct sizes lookfor[] =
+ {	{"executive",  522,   756},
+ 	{"tabloid",    792,  1224},
+ 	{"statement",  396,   612},
+ 	{"note",       612,   792},
+ 	{"ledger",    1224,   792},
+ 	{"b5",         516,   729},
+ 	{"b4",         729,  1032},
+ 	{"a5",         420,   595},
+ 	{"a4small",    595,   842},
+ 	{"a4",         595,   842},
+ 	{"a3",         842,  1190},
+ 	{"legal",      612,  1008},
+ 	{"letter",     612,   792},
+ 	{"\0",           0,      0}
+ } ;
+ 
  main (argc,argv)
  int 	argc;
  char	*argv[];
  {
  	char	*fname;
***************
*** 116,126 ****
  	if (isdir (destdir) != 1)
  		usage ();
  
  	for (i = 1;  i < argc;  i++)
  	{	if ((fp_in = fopen (argv[i], "r")) != NULL)
! 		{
  			for (j = 0;  j < nprinter;  j++)
  				printer[j] = pblank;
  			
  			for (j = 0;  j < nfonts;  j++)
  				free (fonts[j]);
--- 143,153 ----
  	if (isdir (destdir) != 1)
  		usage ();
  
  	for (i = 1;  i < argc;  i++)
  	{	if ((fp_in = fopen (argv[i], "r")) != NULL)
! 		{	fprintf (stderr, "%s\n", argv[i]);
  			for (j = 0;  j < nprinter;  j++)
  				printer[j] = pblank;
  			
  			for (j = 0;  j < nfonts;  j++)
  				free (fonts[j]);
***************
*** 161,178 ****
  	char	which[500];
  
  	order.bydefault[0] = 0;
  	order.normal[0] = 0;
  	order.reverse[0] = 0;
  	
  	while (fgets (s, 999, fp_in) != NULL)
  	{	trim (s);
  	
  		if (strncmp (s, "*PageSize", 9) == 0)
  		{
  			n = ptype (s, which);
! 			gettext (s, printer[n].set);
  		}
  		else if (strncmp (s, "*NickName:", 10) == 0)
  		{
  			gettext (s, nickname);
  		}
--- 188,206 ----
  	char	which[500];
  
  	order.bydefault[0] = 0;
  	order.normal[0] = 0;
  	order.reverse[0] = 0;
+ 	duplex[0] = 0;
  	
  	while (fgets (s, 999, fp_in) != NULL)
  	{	trim (s);
  	
  		if (strncmp (s, "*PageSize", 9) == 0)
  		{
  			n = ptype (s, which);
! 			getmultitext (fp_in, s, printer[n].set);
  		}
  		else if (strncmp (s, "*NickName:", 10) == 0)
  		{
  			gettext (s, nickname);
  		}
***************
*** 192,202 ****
  			gettext (s, order.reverse);
  		}
  		else if (strncmp (s, "*PaperTray", 10) == 0)
  		{
  			n = ptype (s, which);
! 			gettext (s, printer[n].tray);
  		}
  		else if (strncmp (s, "*InputSlot", 10) == 0)
  		{
  			getmultitext (fp_in, s, which);
  			if (*which)
--- 220,230 ----
  			gettext (s, order.reverse);
  		}
  		else if (strncmp (s, "*PaperTray", 10) == 0)
  		{
  			n = ptype (s, which);
! 			getmultitext (fp_in, s, printer[n].tray);
  		}
  		else if (strncmp (s, "*InputSlot", 10) == 0)
  		{
  			getmultitext (fp_in, s, which);
  			if (*which)
***************
*** 219,228 ****
--- 247,260 ----
  			n = ptype (s, which);
  			sscanf (strchr (s, '"') + 1, "%d %d", &a, &b);
  			printer[n].sx = a;
  			printer[n].sy = b;
  		}
+ 		else if (strncmp (s, "*Duplex True:", 13) == 0)
+ 		{
+ 			getmultitext (fp_in, s, duplex);
+ 		}
  	}
  }
  
  
  ptype (s, which)
***************
*** 311,328 ****
  }
  
  
  display (fp_out)
  FILE	*fp_out;
! {	char	pn[100], *p;
! 	int		i;
  	
  	fprintf (fp_out, "*printer\n");
  	fprintf (fp_out, "%s\n", nickname);
  	fprintf (fp_out, "*paper %d\n", nprinter);
  	for (i = 0;  i < nprinter;  i++)
! 	{
  		fprintf (fp_out, "%s\n%s\n", printer[i].name, printer[i].set);
  		fprintf (fp_out, "%5d %5d %5d %5d %5d %5d\n",
  			printer[i].sx, printer[i].sy,
  			printer[i].lx, printer[i].ly, printer[i].ux, printer[i].uy);
  
--- 343,387 ----
  }
  
  
  display (fp_out)
  FILE	*fp_out;
! {	char	pn[100], *p, newpg[200];
! 	int		i, j;
  	
  	fprintf (fp_out, "*printer\n");
  	fprintf (fp_out, "%s\n", nickname);
  	fprintf (fp_out, "*paper %d\n", nprinter);
  	for (i = 0;  i < nprinter;  i++)
! 	{	if (printer[i].sx + printer[i].sy == 0)
! 		{	/* must be a specification for physical page size.
! 				we better guess.
! 			*/
! 			for (j = 0;  lookfor[j].name[0];  j++)
! 			{	strcpy (newpg, lookfor[j].name);
! 				if (compare (printer[i].name, newpg) == 0)
! 				{	printer[i].sx = lookfor[j].wide;
! 					printer[i].sy = lookfor[j].high;
! 					fprintf (stderr, "\tusing default size: %s %d %d \n", 
! 						printer[i].name,  printer[i].sx, printer[i].sy);
! 					break;
! 				}
! 				else
! 				{	strcat (newpg, ".transverse");
! 					if (compare (printer[i].name, newpg) == 0)
! 					{	printer[i].sx = lookfor[j].high;
! 						printer[i].sy = lookfor[j].wide;
! 						fprintf (stderr, "\tusing default size: %s %d %d \n", 
! 							printer[i].name,  printer[i].sx, printer[i].sy);
! 						break;
! 					}
! 				}
! 			}
! 		}
! 		if (printer[i].sx + printer[i].sy == 0)
! 			fprintf (stderr, "\tunknown paper size: %s %d %d \n", 
! 				printer[i].name,  printer[i].sx, printer[i].sy);
  		fprintf (fp_out, "%s\n%s\n", printer[i].name, printer[i].set);
  		fprintf (fp_out, "%5d %5d %5d %5d %5d %5d\n",
  			printer[i].sx, printer[i].sy,
  			printer[i].lx, printer[i].ly, printer[i].ux, printer[i].uy);
  
***************
*** 340,350 ****
  			printer[i].uy - printer[i].ly + 1);
  */
  
  	}
  
! 	
  	if (order.normal[0]  ||  order.reverse[0])
  		fprintf (fp_out, "*order 3\n");
  	else
  		fprintf (fp_out, "*order 1\n");
  	fprintf (fp_out, "%s\n", order.bydefault);
--- 399,413 ----
  			printer[i].uy - printer[i].ly + 1);
  */
  
  	}
  
! 	if (duplex[0])
! 	{	fprintf (fp_out, "*duplex 1\n");
! 		fprintf (fp_out, "%s\n", duplex);
! 	}
! 
  	if (order.normal[0]  ||  order.reverse[0])
  		fprintf (fp_out, "*order 3\n");
  	else
  		fprintf (fp_out, "*order 1\n");
  	fprintf (fp_out, "%s\n", order.bydefault);
***************
*** 475,479 ****
--- 538,554 ----
  	fprintf (stderr, "   where   f.ppd    = source .ppd files\n");
  	fprintf (stderr, "           dest.dir = desination directory for .def files\n");
  	exit (1);
  }			
  	
+ int compare (a,b)				/*	case insensitive compare */
+ char	*a, *b;
+ {	int	aa, bb;
+ 
+ 	while (*a)
+ 	{	aa = *a++;
+ 		bb = *b++;
+ 		if (UCCHAR (aa)  !=  UCCHAR (bb))
+ 			return (UCCHAR(aa) - UCCHAR(bb));
+ 	}
+ 	return (UCCHAR (*a) - UCCHAR (*b));
+ }
*** net/defs/aps08522.def	Sun Apr 19 13:31:25 1992
--- ./defs/aps08522.def	Wed Apr  1 21:37:44 1992
***************
*** 1,47 ****
  *printer
  APS-PS PIP with APS-6/108
  *paper 13
  Letter
  letter
!     0     0     0     1   612   792
  Legal
  legal
!     0     0     0     1   612  1008
  Note
  note
!     0     0     0     1   612   792
  Ledger
  ledger
!     0     0     1     0  1224   792
  Tabloid
  11x17
!     0     0     0     1   792  1224
  A3
  a3
!     0     0     0     1   842  1191
  A4
  a4
!     0     0     0     1   595   842
  A5
  a5
!     0     0     0     1   420   595
  B5
  b5
!     0     0     0     1   498   709
  Letter.Transverse
  Letter
!     0     0     1     0   612   792
  A4.Transverse
  A4
!     0     0     1     0   595   842
  A5.Transverse
  A5
!     0     0     1     0   420   595
  B5.Transverse
  B5
!     0     0     1     0   498   710
  *order 1
  Normal
  *fonts 4
  Courier
  Helvetica
--- 1,47 ----
  *printer
  APS-PS PIP with APS-6/108
  *paper 13
  Letter
  letter
!   612   792     0     1   612   792
  Legal
  legal
!   612  1008     0     1   612  1008
  Note
  note
!   612   792     0     1   612   792
  Ledger
  ledger
!  1224   792     1     0  1224   792
  Tabloid
  11x17
!   792  1224     0     1   792  1224
  A3
  a3
!   842  1190     0     1   842  1191
  A4
  a4
!   595   842     0     1   595   842
  A5
  a5
!   420   595     0     1   420   595
  B5
  b5
!   516   729     0     1   498   709
  Letter.Transverse
  Letter
!   792   612     1     0   612   792
  A4.Transverse
  A4
!   842   595     1     0   595   842
  A5.Transverse
  A5
!   595   420     1     0   420   595
  B5.Transverse
  B5
!   729   516     1     0   498   710
  *order 1
  Normal
  *fonts 4
  Courier
  Helvetica
*** net/defs/aps12522.def	Sun Apr 19 13:31:04 1992
--- ./defs/aps12522.def	Wed Apr  1 21:37:44 1992
***************
*** 1,29 ****
  *printer
  APS-PS PIP with LZR 1200
  *paper 7
  Letter
  letter
!     0     0     0     1   612   792
  Legal
  legal
!     0     0     0     1   612  1008
  Note
  note
!     0     0     0     1   612   792
  A3
  a3
!     0     0     0     1   842  1191
  A4
  a4
!     0     0     0     1   595   842
  A5
  a5
!     0     0     0     1   420   595
  B5
  b5
!     0     0     0     1   498   709
  *order 1
  
  *fonts 4
  Courier
  Helvetica
--- 1,29 ----
  *printer
  APS-PS PIP with LZR 1200
  *paper 7
  Letter
  letter
!   612   792     0     1   612   792
  Legal
  legal
!   612  1008     0     1   612  1008
  Note
  note
!   612   792     0     1   612   792
  A3
  a3
!   842  1190     0     1   842  1191
  A4
  a4
!   595   842     0     1   595   842
  A5
  a5
!   420   595     0     1   420   595
  B5
  b5
!   516   729     0     1   498   709
  *order 1
  
  *fonts 4
  Courier
  Helvetica
*** net/defs/aps26522.def	Sun Apr 19 13:31:25 1992
--- ./defs/aps26522.def	Wed Apr  1 21:37:44 1992
***************
*** 1,38 ****
  *printer
  APS-PS PIP with LZR 2600
  *paper 10
  Letter
  statusdict begin lettertray end
!     0     0    20    16   591   775
  Legal
  statusdict begin legaltray end
!     0     0    18    19   593   990
  Ledger
  statusdict begin ledgertray end
!     0     0    18    16  1205   775
  Statement
  statusdict begin statementtray end
!     0     0    22    19   374   594
  Tabloid
  statusdict begin 11x17tray end
!     0     0    16    19   775  1206
  A3
  statusdict begin a3tray end
!     0     0    18    21   823  1170
  A4
  statusdict begin a4tray end
!     0     0    18    18   576   823
  A5
  statusdict begin a5tray end
!     0     0    18    19   401   577
  B4
  statusdict begin b4tray end
!     0     0    19    15   709  1017
  B5
  statusdict begin b5tray end
!     0     0    20    19   495   709
  *order 1
  Normal
  *fonts 4
  Courier
  Helvetica
--- 1,38 ----
  *printer
  APS-PS PIP with LZR 2600
  *paper 10
  Letter
  statusdict begin lettertray end
!   612   792    20    16   591   775
  Legal
  statusdict begin legaltray end
!   612  1008    18    19   593   990
  Ledger
  statusdict begin ledgertray end
!  1224   792    18    16  1205   775
  Statement
  statusdict begin statementtray end
!   396   612    22    19   374   594
  Tabloid
  statusdict begin 11x17tray end
!   792  1224    16    19   775  1206
  A3
  statusdict begin a3tray end
!   842  1190    18    21   823  1170
  A4
  statusdict begin a4tray end
!   595   842    18    18   576   823
  A5
  statusdict begin a5tray end
!   420   595    18    19   401   577
  B4
  statusdict begin b4tray end
!   729  1032    19    15   709  1017
  B5
  statusdict begin b5tray end
!   516   729    20    19   495   709
  *order 1
  Normal
  *fonts 4
  Courier
  Helvetica
*** net/defs/aps80522.def	Sun Apr 19 13:31:26 1992
--- ./defs/aps80522.def	Wed Apr  1 21:37:44 1992
***************
*** 1,47 ****
  *printer
  APS-PS PIP with APS-6/80
  *paper 13
  Letter
  letter
!     0     0     0     1   612   792
  Legal
  legal
!     0     0     0     1   612  1008
  Note
  note
!     0     0     0     1   612   792
  Ledger
  ledger
!     0     0     1     0  1224   792
  Tabloid
  11x17
!     0     0     0     1   792  1224
  A3
  a3
!     0     0     0     1   842  1191
  A4
  a4
!     0     0     0     1   595   842
  A5
  a5
!     0     0     0     1   420   595
  B5
  b5
!     0     0     0     1   498   709
  Letter.Transverse
  Letter
!     0     0     1     0   612   792
  A4.Transverse
  A4
!     0     0     1     0   595   842
  A5.Transverse
  A5
!     0     0     1     0   420   595
  B5.Transverse
  B5
!     0     0     1     0   498   710
  *order 1
  Normal
  *fonts 4
  Courier
  Helvetica
--- 1,47 ----
  *printer
  APS-PS PIP with APS-6/80
  *paper 13
  Letter
  letter
!   612   792     0     1   612   792
  Legal
  legal
!   612  1008     0     1   612  1008
  Note
  note
!   612   792     0     1   612   792
  Ledger
  ledger
!  1224   792     1     0  1224   792
  Tabloid
  11x17
!   792  1224     0     1   792  1224
  A3
  a3
!   842  1190     0     1   842  1191
  A4
  a4
!   595   842     0     1   595   842
  A5
  a5
!   420   595     0     1   420   595
  B5
  b5
!   516   729     0     1   498   709
  Letter.Transverse
  Letter
!   792   612     1     0   612   792
  A4.Transverse
  A4
!   842   595     1     0   595   842
  A5.Transverse
  A5
!   595   420     1     0   420   595
  B5.Transverse
  B5
!   729   516     1     0   498   710
  *order 1
  Normal
  *fonts 4
  Courier
  Helvetica
*** net/defs/clb8r514.def	Sun Apr 19 13:31:47 1992
--- ./defs/clb8r514.def	Wed Apr  1 21:37:45 1992
***************
*** 20,29 ****
--- 20,31 ----
  statusdict begin lettertray lettersmall end
    612   792    31    31   583   761
  LegalSmall
  statusdict begin legaltray legalsmall end
    612  1008    63    43   546   966
+ *duplex 1
+ statusdict begin /duplexmode true store end
  *order 1
  Normal
  *fonts 14
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/cnlbp8r1.def	Sun Apr 19 13:31:48 1992
--- ./defs/cnlbp8r1.def	Wed Apr  1 21:37:45 1992
***************
*** 20,29 ****
--- 20,31 ----
  statusdict begin lettertray lettersmall end
    612   792    31    31   583   761
  LegalSmall
  statusdict begin legaltray legalsmall end
    612  1008    63    43   546   966
+ *duplex 1
+ statusdict begin /duplexmode true store end
  *order 1
  Normal
  *fonts 14
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/dplz9601.def	Sun Apr 19 13:31:49 1992
--- ./defs/dplz9601.def	Wed Apr  1 21:37:45 1992
***************
*** 1,38 ****
  *printer
  Dataproducts LZR 960 v2010.106
  *paper 10
  Letter
! 
!   612   792    12   810   614   795
  Legal
! 
!   612  1008    12   810   614   795
  A4
! 
!   595   842    12   810   614   795
  Executive
! 
!   522   756    12   810   614   795
  B5
! 
!   516   729    12   810   614   795
  Statement
! 
!   396   612    12   810   614   795
  Comm10
! 
!   297   684    11   810   614   795
  Monarch
! 
!   279   540    11   810   614   795
  DL
! 
!   312   624    11   810   614   795
  C5
! 
!   459   649    11   810   614   795
  *order 1
  Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
--- 1,38 ----
  *printer
  Dataproducts LZR 960 v2010.106
  *paper 10
  Letter
! 2 dict dup /PageSize [612 792] put dup /ImagingBBox null put setpagedevice
!   612   792    12 19311     0     0
  Legal
! 2 dict dup /PageSize [612 1008] put dup /ImagingBBox null put setpagedevice
!   612  1008    12 19311     0     0
  A4
! 2 dict dup /PageSize [595 842] put dup /ImagingBBox null put setpagedevice
!   595   842    12 19311     0     0
  Executive
! 2 dict dup /PageSize [522 756] put dup /ImagingBBox null put setpagedevice
!   522   756    12 19311     0     0
  B5
! 2 dict dup /PageSize [516 729] put dup /ImagingBBox null put setpagedevice
!   516   729    12 19311     0     0
  Statement
! 2 dict dup /PageSize [396 612] put dup /ImagingBBox null put setpagedevice
!   396   612    12 19311     0     0
  Comm10
! 2 dict dup /PageSize [297 684] put dup /ImagingBBox null put setpagedevice
!   297   684    11 19311     0     0
  Monarch
! 2 dict dup /PageSize [279 540] put dup /ImagingBBox null put setpagedevice
!   279   540    11 19311     0     0
  DL
! 2 dict dup /PageSize [312 624] put dup /ImagingBBox null put setpagedevice
!   312   624    11 19311     0     0
  C5
! 2 dict dup /PageSize [459 649] put dup /ImagingBBox null put setpagedevice
!   459   649    11 19311     0     0
  *order 1
  Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/epl3kf21.def	Sun Apr 19 13:32:07 1992
--- ./defs/epl3kf21.def	Wed Apr  1 21:37:45 1992
***************
*** 25,35 ****
  LetterSmall
  statusdict begin lettertray end lettersmall
      0     0    30    30   582   762
  A4Small
  statusdict begin a4tray end a4small
!     0     0    31    31   559   811
  GLT
  statusdict begin glttray end
    576   756    12    13   572   744
  GLG
  statusdict begin glgtray end
--- 25,35 ----
  LetterSmall
  statusdict begin lettertray end lettersmall
      0     0    30    30   582   762
  A4Small
  statusdict begin a4tray end a4small
!   595   842    31    31   559   811
  GLT
  statusdict begin glttray end
    576   756    12    13   572   744
  GLG
  statusdict begin glgtray end
*** net/defs/epl3kf51.def	Sun Apr 19 13:32:18 1992
--- ./defs/epl3kf51.def	Wed Apr  1 21:37:45 1992
***************
*** 25,35 ****
  LetterSmall
  statusdict begin lettertray end lettersmall
      0     0    30    30   582   762
  A4Small
  statusdict begin a4tray end a4small
!     0     0    31    31   559   811
  GLT
  statusdict begin glttray end
    576   756    12    13   572   744
  GLG
  statusdict begin glgtray end
--- 25,35 ----
  LetterSmall
  statusdict begin lettertray end lettersmall
      0     0    30    30   582   762
  A4Small
  statusdict begin a4tray end a4small
!   595   842    31    31   559   811
  GLT
  statusdict begin glttray end
    576   756    12    13   572   744
  GLG
  statusdict begin glgtray end
*** net/defs/epl75523.def	Sun Apr 19 13:31:50 1992
--- ./defs/epl75523.def	Wed Apr  1 21:37:45 1992
***************
*** 34,44 ****
  LetterSmall
  
      0     0    28    33   580   764
  A4Small
  
!     0     0    24    27   561   807
  *order 1
  Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
--- 34,44 ----
  LetterSmall
  
      0     0    28    33   580   764
  A4Small
  
!   595   842    24    27   561   807
  *order 1
  Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/hp3si523.def	Sun Apr 19 13:31:50 1992
--- ./defs/hp3si523.def	Wed Apr  1 21:37:45 1992
***************
*** 20,29 ****
--- 20,31 ----
  statusdict /monarcenvelopetray get exec
    279   540    18    19   263   522
  Envelope.312.624
  statusdict /dlenvelopetray get exec
    312   624    18    19   294   605
+ *duplex 1
+ true statusdict /setduplexmode get exec
  *order 3
  Normal
  0 statusdict /setoutputtray get exec
  1 statusdict /setoutputray get exec
  *fonts 13
*** net/defs/hp_3d522.def	Sun Apr 19 13:31:51 1992
--- ./defs/hp_3d522.def	Wed Apr  1 21:37:45 1992
***************
*** 12,25 ****
    522   756    18    19   501   738
  A4
  statusdict begin a4tray end
    595   842    18    19   578   824
  Envelope.297.684
! 
    297   684    18    19   278   666
  Envelope.279.540
! 
    279   540    18    19   259   522
  Envelope.312.624
  statusdict begin dlenvelopetray end
    312   624    18    19   294   605
  Envelope.459.649
--- 12,25 ----
    522   756    18    19   501   738
  A4
  statusdict begin a4tray end
    595   842    18    19   578   824
  Envelope.297.684
! statusdict begin com10envelopetray end
    297   684    18    19   278   666
  Envelope.279.540
! statusdict begin monarcenvelopetray end
    279   540    18    19   259   522
  Envelope.312.624
  statusdict begin dlenvelopetray end
    312   624    18    19   294   605
  Envelope.459.649
***************
*** 26,35 ****
--- 26,37 ----
  statusdict begin c5envelopetray end
    459   649    18    19   440   630
  B5
  
    516   728    18    19   505   513
+ *duplex 1
+ statusdict begin true setduplexmode end
  *order 1
  Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/hpiid522.def	Sun Apr 19 13:31:53 1992
--- ./defs/hpiid522.def	Wed Apr  1 21:37:45 1992
***************
*** 12,25 ****
    522   756    18    19   501   738
  A4
  statusdict begin a4tray end
    595   842    18    19   578   824
  Envelope.297.684
! 
    297   684    18    19   278   666
  Envelope.279.540
! 
    279   540    18    19   259   522
  Envelope.312.624
  statusdict begin dlenvelopetray end
    312   624    18    19   294   605
  Envelope.459.649
--- 12,25 ----
    522   756    18    19   501   738
  A4
  statusdict begin a4tray end
    595   842    18    19   578   824
  Envelope.297.684
! statusdict begin com10envelopetray end
    297   684    18    19   278   666
  Envelope.279.540
! statusdict begin monarcenvelopetray end
    279   540    18    19   259   522
  Envelope.312.624
  statusdict begin dlenvelopetray end
    312   624    18    19   294   605
  Envelope.459.649
***************
*** 26,35 ****
--- 26,37 ----
  statusdict begin c5envelopetray end
    459   649    18    19   440   630
  B5
  
    516   728    18    19   505   513
+ *duplex 1
+ statusdict begin true setduplexmode end
  *order 1
  Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/hpiii522.def	Sun Apr 19 13:31:31 1992
--- ./defs/hpiii522.def	Wed Apr  1 21:37:45 1992
***************
*** 12,25 ****
    522   756    18    19   501   738
  A4
  statusdict begin a4tray end
    595   842    18    19   578   824
  Envelope.297.684
! 
    297   684    18    19   278   666
  Envelope.279.540
! 
    279   540    18    19   259   522
  Envelope.312.624
  statusdict begin dlenvelopetray end
    312   624    18    19   294   605
  Envelope.459.649
--- 12,25 ----
    522   756    18    19   501   738
  A4
  statusdict begin a4tray end
    595   842    18    19   578   824
  Envelope.297.684
! statusdict begin com10envelopetray end
    297   684    18    19   278   666
  Envelope.279.540
! statusdict begin monarcenvelopetray end
    279   540    18    19   259   522
  Envelope.312.624
  statusdict begin dlenvelopetray end
    312   624    18    19   294   605
  Envelope.459.649
*** net/defs/hpiip522.def	Sun Apr 19 13:31:54 1992
--- ./defs/hpiip522.def	Wed Apr  1 21:37:45 1992
***************
*** 12,25 ****
    522   756    18    19   501   738
  A4
  statusdict begin a4tray end
    595   842    18    19   578   824
  Envelope.297.684
! 
    297   684    18    19   278   666
  Envelope.279.540
! 
    279   540    18    19   259   522
  Envelope.312.624
  statusdict begin dlenvelopetray end
    312   624    18    19   294   605
  Envelope.459.649
--- 12,25 ----
    522   756    18    19   501   738
  A4
  statusdict begin a4tray end
    595   842    18    19   578   824
  Envelope.297.684
! statusdict begin com10envelopetray end
    297   684    18    19   278   666
  Envelope.279.540
! statusdict begin monarcenvelopetray end
    279   540    18    19   259   522
  Envelope.312.624
  statusdict begin dlenvelopetray end
    312   624    18    19   294   605
  Envelope.459.649
*** net/defs/hplj_3d1.def	Sun Apr 19 13:31:54 1992
--- ./defs/hplj_3d1.def	Wed Apr  1 21:37:45 1992
***************
*** 1,35 ****
  *printer
  HP LaserJet IIID PostScript Cartridge Plus v2010.118
  *paper 9
  Letter
! 
!   612   792    18   649   440   630
  Legal
! 
!   612  1008    18   649   440   630
  A4
! 
!   595   842    18   649   440   630
  Comm10
! 
!   297   684    18   649   440   630
  Monarch
! 
!   279   540    18   649   440   630
  DL
! 
!   312   624    18   649   440   630
  C5
! 
!   460   649    18   649   440   630
  Executive
! 
!   522   756    18   649   440   630
  B5
  
!   516   729    18   649   440   630
  *order 1
   Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
--- 1,35 ----
  *printer
  HP LaserJet IIID PostScript Cartridge Plus v2010.118
  *paper 9
  Letter
! 2 dict dup /PageSize [612 792] put dup /ImagingBBox null put setpagedevice
!   612   792    18 2147480084     0     0
  Legal
! 2 dict dup /PageSize [612 1008] put dup /ImagingBBox null put setpagedevice
!   612  1008    18 2147480084     0     0
  A4
! 2 dict dup /PageSize [595 842] put dup /ImagingBBox null put setpagedevice
!   595   842    18 2147480084     0     0
  Comm10
! 2 dict dup /PageSize [297 684] put dup /ImagingBBox null put setpagedevice
!   297   684    18 2147480084     0     0
  Monarch
! 2 dict dup /PageSize [279 540] put dup /ImagingBBox null put setpagedevice
!   279   540    18 2147480084     0     0
  DL
! 2 dict dup /PageSize [312 624] put dup /ImagingBBox null put setpagedevice
!   312   624    18 2147480084     0     0
  C5
! 2 dict dup /PageSize [460 649] put dup /ImagingBBox null put setpagedevice
!   460   649    18 2147480084     0     0
  Executive
! 2 dict dup /PageSize [522 756] put dup /ImagingBBox null put setpagedevice
!   522   756    18 2147480084     0     0
  B5
  
!   516   729    18 2147480084     0     0
  *order 1
   Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/hplj_3p1.def	Sun Apr 19 13:31:55 1992
--- ./defs/hplj_3p1.def	Wed Apr  1 21:37:45 1992
***************
*** 1,35 ****
  *printer
  HP LaserJet IIIP PostScript Cartridge Plus v2010.118
  *paper 9
  Letter
! 
!   612   792    18   756   440   630
  Legal
! 
!   612  1008    18   756   440   630
  A4
! 
!   595   842    18   756   440   630
  Comm10
! 
!   297   684    18   756   440   630
  Monarch
! 
!   279   540    18   756   440   630
  DL
! 
!   312   624    18   756   440   630
  C5
! 
!   460   649    18   756   440   630
  Executive
! 
!   522   756    18   756   440   630
  B5
  
!   516   729    18   756   440   630
  *order 1
   Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
--- 1,35 ----
  *printer
  HP LaserJet IIIP PostScript Cartridge Plus v2010.118
  *paper 9
  Letter
! 2 dict dup /PageSize [612 792] put dup /ImagingBBox null put setpagedevice
!   612   792    18    10  1024 4270376
  Legal
! 2 dict dup /PageSize [612 1008] put dup /ImagingBBox null put setpagedevice
!   612  1008    18    10  1024 4270376
  A4
! 2 dict dup /PageSize [595 842] put dup /ImagingBBox null put setpagedevice
!   595   842    18    10  1024 4270376
  Comm10
! 2 dict dup /PageSize [297 684] put dup /ImagingBBox null put setpagedevice
!   297   684    18    10  1024 4270376
  Monarch
! 2 dict dup /PageSize [279 540] put dup /ImagingBBox null put setpagedevice
!   279   540    18    10  1024 4270376
  DL
! 2 dict dup /PageSize [312 624] put dup /ImagingBBox null put setpagedevice
!   312   624    18    10  1024 4270376
  C5
! 2 dict dup /PageSize [460 649] put dup /ImagingBBox null put setpagedevice
!   460   649    18    10  1024 4270376
  Executive
! 2 dict dup /PageSize [522 756] put dup /ImagingBBox null put setpagedevice
!   522   756    18    10  1024 4270376
  B5
  
!   516   729    18    10  1024 4270376
  *order 1
   Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/hplj__31.def	Sun Apr 19 13:31:32 1992
--- ./defs/hplj__31.def	Wed Apr  1 21:37:45 1992
***************
*** 1,35 ****
  *printer
  HP LaserJet III PostScript Cartridge Plus v2010.118
  *paper 9
  Letter
! 
!   612   792    18   756   440   630
  Legal
! 
!   612  1008    18   756   440   630
  A4
! 
!   595   842    18   756   440   630
  Comm10
! 
!   297   684    18   756   440   630
  Monarch
! 
!   279   540    18   756   440   630
  DL
! 
!   312   624    18   756   440   630
  C5
! 
!   460   649    18   756   440   630
  Executive
! 
!   522   756    18   756   440   630
  B5
  
!   516   729    18   756   440   630
  *order 1
   Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
--- 1,35 ----
  *printer
  HP LaserJet III PostScript Cartridge Plus v2010.118
  *paper 9
  Letter
! 2 dict dup /PageSize [612 792] put dup /ImagingBBox null put setpagedevice
!   612   792    18 19311     1     0
  Legal
! 2 dict dup /PageSize [612 1008] put dup /ImagingBBox null put setpagedevice
!   612  1008    18 19311     1     0
  A4
! 2 dict dup /PageSize [595 842] put dup /ImagingBBox null put setpagedevice
!   595   842    18 19311     1     0
  Comm10
! 2 dict dup /PageSize [297 684] put dup /ImagingBBox null put setpagedevice
!   297   684    18 19311     1     0
  Monarch
! 2 dict dup /PageSize [279 540] put dup /ImagingBBox null put setpagedevice
!   279   540    18 19311     1     0
  DL
! 2 dict dup /PageSize [312 624] put dup /ImagingBBox null put setpagedevice
!   312   624    18 19311     1     0
  C5
! 2 dict dup /PageSize [460 649] put dup /ImagingBBox null put setpagedevice
!   460   649    18 19311     1     0
  Executive
! 2 dict dup /PageSize [522 756] put dup /ImagingBBox null put setpagedevice
!   522   756    18 19311     1     0
  B5
  
!   516   729    18 19311     1     0
  *order 1
   Normal
  *fonts 13
  AvantGarde-Book
  AvantGarde-Demi
*** net/defs/l100_425.def	Sun Apr 19 13:31:32 1992
--- ./defs/l100_425.def	Wed Apr  1 21:37:46 1992
***************
*** 34,44 ****
  Letter.Transverse
  Letter
    792   612     0     0   611   792
  A4.Transverse
  
!     0     0     0     0   595   841
  *order 1
  Normal
  *fonts 4
  Courier
  Helvetica
--- 34,44 ----
  Letter.Transverse
  Letter
    792   612     0     0   611   792
  A4.Transverse
  
!   842   595     0     0   595   841
  *order 1
  Normal
  *fonts 4
  Courier
  Helvetica
*** net/defs/tkphzr21.def	Sun Apr 19 13:31:17 1992
--- ./defs/tkphzr21.def	Wed Apr  1 21:37:47 1992
***************
*** 1,22 ****
  *printer
  Tektronix Phaser II PXi v2010.116
  *paper 5
  Letter
! 2 dict dup /PageSize [612 792] put
    612   792    13    76   596   710
  Legal
! 2 dict dup /PageSize [612 1008] put
    612  1008    13   111   596   889
  A4
! 2 dict dup /PageSize [595 842] put
    595   842    14    77   581   761
  A4.Special
! 2 dict dup /PageSize [595 1008] put
    595  1008    14    84   581   919
  A4.Special.Short
! 
    595  1008    14   109   581   888
  *order 1
  
  *fonts 14
  AvantGarde-Book
--- 1,22 ----
  *printer
  Tektronix Phaser II PXi v2010.116
  *paper 5
  Letter
! 2 dict dup /PageSize [612 792] putdup /ImagingBBox null put setpagedevice
    612   792    13    76   596   710
  Legal
! 2 dict dup /PageSize [612 1008] putdup /ImagingBBox null put setpagedevice
    612  1008    13   111   596   889
  A4
! 2 dict dup /PageSize [595 842] putdup /ImagingBBox null put setpagedevice
    595   842    14    77   581   761
  A4.Special
! 2 dict dup /PageSize [595 1008] putdup /ImagingBBox null put setpagedevice
    595  1008    14    84   581   919
  A4.Special.Short
! 2 dict dup /PageSize [595 1008] put dup /ImagingBBox null put setpagedevice
    595  1008    14   109   581   888
  *order 1
  
  *fonts 14
  AvantGarde-Book
*** net/defs/tkphzr31.def	Sun Apr 19 13:32:11 1992
--- ./defs/tkphzr31.def	Wed Apr  1 21:37:48 1992
***************
*** 1,70 ****
  *printer
  Tektronix Phaser III PXi v2010.116
  *paper 21
  Letter
! 2 dict dup /PageSize [612 792] put
    612   792    21    15   597   776
  Legal
! 2 dict dup /PageSize [612 1008] put
    612  1008    15    21   596   993
  Tabloid
! 2 dict dup /PageSize [792 1224] put
    792  1224    15    21   776  1209
  TabloidExtra
! 2 dict dup /PageSize [864 1296] put
    864  1296    15    21   847  1281
  A4
! 2 dict dup /PageSize [595 842] put
    595   842    21    15   580   826
  A4.3
! 2 dict dup /PageSize [281 595] put
    281   595    15    21   266   580
  A3
! 2 dict dup /PageSize [842 1190] put
    842  1190    15    21   826  1175
  4x6
! 2 dict dup /PageSize [288 432] put
    288   432    15    21   271   417
  5x7
! 2 dict dup /PageSize [360 504] put
    360   504    15    21   344   489
  A5
! 2 dict dup /PageSize [420 595] put
    420   595    15    21   404   580
  A6
! 2 dict dup /PageSize [297 420] put
    297   420    15    21   281   405
  ISOB4
! 2 dict dup /PageSize [709 1001] put
    709  1001    15    21   694   986
  ISOB5
! 2 dict dup /PageSize [499 709] put
    499   709    15    21   483   694
  ISOB6
! 2 dict dup /PageSize [354 499] put
    354   499    15    21   339   484
  Compliment
! 2 dict dup /PageSize [283 595] put
    283   595    15    21   268   580
  Comm10
! 2 dict dup /PageSize [297 684] put
    297   684    15    21   281   669
  C6
! 2 dict dup /PageSize [323 459] put
    323   459    15    21   306   444
  DL
! 2 dict dup /PageSize [312 624] put
    312   624    15    21   296   609
  A4.3Envelope
! 2 dict dup /PageSize [312 624] put
    312   624    15    21   296   609
  A4.2Envelope
! 2 dict dup /PageSize [459 624] put
    459   624    15    21   442   609
  A4Envelope
! 2 dict dup /PageSize [624 918] put
    624   918    15    21   607   903
  *order 1
  
  *fonts 14
  AvantGarde-Book
--- 1,70 ----
  *printer
  Tektronix Phaser III PXi v2010.116
  *paper 21
  Letter
! 2 dict dup /PageSize [612 792] putdup /ImagingBBox null putsetpagedevice
    612   792    21    15   597   776
  Legal
! 2 dict dup /PageSize [612 1008] putdup /ImagingBBox null putsetpagedevice
    612  1008    15    21   596   993
  Tabloid
! 2 dict dup /PageSize [792 1224] putdup /ImagingBBox null putsetpagedevice
    792  1224    15    21   776  1209
  TabloidExtra
! 2 dict dup /PageSize [864 1296] putdup /ImagingBBox null putsetpagedevice
    864  1296    15    21   847  1281
  A4
! 2 dict dup /PageSize [595 842] putdup /ImagingBBox null putsetpagedevice
    595   842    21    15   580   826
  A4.3
! 2 dict dup /PageSize [281 595] putdup /ImagingBBox null putsetpagedevice
    281   595    15    21   266   580
  A3
! 2 dict dup /PageSize [842 1190] putdup /ImagingBBox null putsetpagedevice
    842  1190    15    21   826  1175
  4x6
! 2 dict dup /PageSize [288 432] putdup /ImagingBBox null putsetpagedevice
    288   432    15    21   271   417
  5x7
! 2 dict dup /PageSize [360 504] putdup /ImagingBBox null putsetpagedevice
    360   504    15    21   344   489
  A5
! 2 dict dup /PageSize [420 595] putdup /ImagingBBox null putsetpagedevice
    420   595    15    21   404   580
  A6
! 2 dict dup /PageSize [297 420] putdup /ImagingBBox null putsetpagedevice
    297   420    15    21   281   405
  ISOB4
! 2 dict dup /PageSize [709 1001] putdup /ImagingBBox null putsetpagedevice
    709  1001    15    21   694   986
  ISOB5
! 2 dict dup /PageSize [499 709] putdup /ImagingBBox null putsetpagedevice
    499   709    15    21   483   694
  ISOB6
! 2 dict dup /PageSize [354 499] putdup /ImagingBBox null putsetpagedevice
    354   499    15    21   339   484
  Compliment
! 2 dict dup /PageSize [283 595] putdup /ImagingBBox null putsetpagedevice
    283   595    15    21   268   580
  Comm10
! 2 dict dup /PageSize [297 684] putdup /ImagingBBox null putsetpagedevice
    297   684    15    21   281   669
  C6
! 2 dict dup /PageSize [323 459] putdup /ImagingBBox null putsetpagedevice
    323   459    15    21   306   444
  DL
! 2 dict dup /PageSize [312 624] putdup /ImagingBBox null putsetpagedevice
    312   624    15    21   296   609
  A4.3Envelope
! 2 dict dup /PageSize [312 624] putdup /ImagingBBox null putsetpagedevice
    312   624    15    21   296   609
  A4.2Envelope
! 2 dict dup /PageSize [459 624] putdup /ImagingBBox null putsetpagedevice
    459   624    15    21   442   609
  A4Envelope
! 2 dict dup /PageSize [624 918] putdup /ImagingBBox null putsetpagedevice
    624   918    15    21   607   903
  *order 1
  
  *fonts 14
  AvantGarde-Book

exit 0 # Just in case...
From quantum!revcan!cunews!torn.onet.on.ca!utgpu!news-server.csri.toronto.edu!rutgers!sun-barr!ames!olivea!uunet!sparky!kent Mon Jun 15 12:35:37 EDT 1992
Article: 1010 of comp.sources.misc
Path: quantum!revcan!cunews!torn.onet.on.ca!utgpu!news-server.csri.toronto.edu!rutgers!sun-barr!ames!olivea!uunet!sparky!kent
From: tony@ajfcal.cuc.ab.ca (Tony Field)
Newsgroups: comp.sources.misc
Subject: v30i053:  psf3 - Postscript print filter system, Patch03d/4
Message-ID: <1992Jun14.201908.2388@sparky.imd.sterling.com>
Date: 14 Jun 92 20:19:08 GMT
References: <csm-v30i050=psf3.151734@sparky.IMD.Sterling.COM>
Sender: kent@sparky.imd.sterling.com (Kent Landfield)
Followup-To: comp.sources.d
Organization: Sterling Software
Lines: 1770
Approved: kent@sparky.imd.sterling.com
X-Md4-Signature: 3a1f4fff4d2d275fe5832b3d098a9acd

Submitted-by: tony@ajfcal.cuc.ab.ca (Tony Field)
Posting-number: Volume 30, Issue 53
Archive-name: psf3/patch03d
Environment: ISC, SUNOS, SYSVR3, DOS
Patch-To: psf3: Volume 27, Issue 91-100

*** net/man/psf.1	Sun Apr 19 13:33:31 1992
--- ./man/psf.1	Tue Jun  2 02:19:42 1992
***************
*** 1,6 ****
! .\" $Id: psf.1,v 3.3 1992/02/07 15:12:12 ajf Exp ajf $
  .TH PSF 1 ""
  .SH NAME
  psf \- postscript filter
  
  .SH SYNOPSIS
--- 1,6 ----
! .\" $Id: psf.1,v 3.5 1992/06/02 08:17:01 ajf Exp ajf $
  .TH PSF 1 ""
  .SH NAME
  psf \- postscript filter
  
  .SH SYNOPSIS
***************
*** 7,77 ****
  
  .B psf
  [
  .B -1|2|4
  ] [
  .B -b
  .I n
  ] [
  .B -c
  .I n
  ] [
  .B -e
  ] [
  .B -E
  ] [
  .B -f
  .I n
! ] 
!     [
  .B -g
  .I type
! ] [
  .B -h
  ] [
  .B -H
  .I text
  ] [
  .B -i
  .I n[,pic]
  ] [
  .B -l
  .I n
  ] 
      [
  .B -L
  .I n
  ] [
  .B -m
  .I n[,pic]
! ] [
  .B -M
  .I lm,rm,tm,bm[,pci]
  ] [
  .B -n
  ] 
      [
! .B -p
  .I n
  ] [
- ]   [
  .B -p
  .I n
  ] [
- ] [
  .B -R
  .I n
  ] [
  .B -r
  .I n
  ] [
  .B -s 
! ] 
!     [
  .B -t
  .I n
! ] [
  .B -u
  .I f.def
  ] [
  .B -v
  ] [
--- 7,89 ----
  
  .B psf
  [
  .B -1|2|4
  ] [
+ .B -a
+ ] [
+ .B -A
+ .I acct.fil
+ ] [
  .B -b
  .I n
  ] [
  .B -c
  .I n
+ ] 
+     [
+ .B -d
  ] [
+ .B -D
+ ] [
  .B -e
  ] [
  .B -E
  ] [
  .B -f
  .I n
! ] [
  .B -g
  .I type
! ] 
!     [
  .B -h
  ] [
  .B -H
  .I text
  ] [
+ .B -I
+ ] [
  .B -i
  .I n[,pic]
  ] [
+ .B -j
+ ] [
  .B -l
  .I n
  ] 
      [
  .B -L
  .I n
  ] [
  .B -m
  .I n[,pic]
! ]  [
  .B -M
  .I lm,rm,tm,bm[,pci]
  ] [
  .B -n
  ] 
      [
! .B -P
  .I n
  ] [
  .B -p
  .I n
  ] [
  .B -R
  .I n
  ] [
  .B -r
  .I n
  ] [
  .B -s 
! ] [
  .B -t
  .I n
! ] 
!     [
  .B -u
  .I f.def
  ] [
  .B -v
  ] [
***************
*** 78,107 ****
  .B -w 
  ] [
  .B -x
  ] 
      [
  .B -z
  ]
! .I file... >out.file
  
   where -1|2|4    print 1,2 or 4 up on a page (default = 1)
         -b n      select paper bin n
         -c n      print columns (based on Courier font)
         -d        allow double sided printing
         -e        left-justified line wrap for long lines
         -E        right-justified line wrap for long lines
         -f n      font number/name (default = 0 = Courier)
         -g type   page type (default = letter)
         -h        put file name as header on each page
         -H text   put text as header on each page
         -i n[pic] indent left margin n points/inch/cm
         -l n      print lines per page
         -L n      page length in lines
         -m n[pic] indent top margin in points/inch/cm
         -M xxx    set all margins
         -n        set portrait (narrow) format
         -p n      set point size to n
         -P n      set point size to n, preserve point size
         -R n      remove n lines from beginning of file
         -r n      remove n lines between pages
         -s        show page stats (line+column count)
--- 90,131 ----
  .B -w 
  ] [
  .B -x
  ] 
      [
+ .B -Y
+ .I host
+ ] [
+ .B -y
+ .I user
+ ] [
  .B -z
  ]
! .I file...
  
   where -1|2|4    print 1,2 or 4 up on a page (default = 1)
+        -a        spooler filter has read access to stdout
+        -A a.fil  name of accounting file (for lpsched)
         -b n      select paper bin n
         -c n      print columns (based on Courier font)
+        -D        print double sided in duplex mode
         -d        allow double sided printing
         -e        left-justified line wrap for long lines
         -E        right-justified line wrap for long lines
         -f n      font number/name (default = 0 = Courier)
         -g type   page type (default = letter)
         -h        put file name as header on each page
         -H text   put text as header on each page
         -i n[pic] indent left margin n points/inch/cm
+        -I        enable/disable ISO Latin1 encoding
+        -j        generate a ctl/d at end of print job
         -l n      print lines per page
         -L n      page length in lines
         -m n[pic] indent top margin in points/inch/cm
         -M xxx    set all margins
         -n        set portrait (narrow) format
+        -O pipe   send output to pipe (spooler only)
         -p n      set point size to n
         -P n      set point size to n, preserve point size
         -R n      remove n lines from beginning of file
         -r n      remove n lines between pages
         -s        show page stats (line+column count)
***************
*** 108,117 ****
--- 132,143 ----
         -t n      set tabs to n (default = 8)
         -u f.def  use this printer definition file
         -v        print pages in reverse
         -w        set landscape (wide) format
         -x        draw cross with 4-up page
+        -Y host   host name for lpsched filter
+        -y user   user id for lpsched filter
         -z        force postscript translate (spooler only)
         file..    name of files to be printed (or stdin)
  
     Fonts selection with -f n  (printer dependent)
         0 Courier               1 Helvetica
***************
*** 119,134 ****
         4 Bookman-Light         5 NewCenturySchlbk-Roman
         6 Palatino-Roman        7 Helvetical-Narrow
         8 Garamond-Light        9 Korinna-Regular
         a Helvetica-Condensed   b ZapfChancery-MediumItalic
  .fi
! 
  .SH DESCRIPTION
  
  .I Psf
! accepts text and filters it to print on postscript printers.
! The print may be "1-up", "2-up", or "4-up" on a page. 
  .I Psf
  is a general purpose filter for most text and programme listings.  By
  using various escape sequences (described below), any portion of the text
  may be printed in different fonts and at different point sizes.
  
--- 145,160 ----
         4 Bookman-Light         5 NewCenturySchlbk-Roman
         6 Palatino-Roman        7 Helvetical-Narrow
         8 Garamond-Light        9 Korinna-Regular
         a Helvetica-Condensed   b ZapfChancery-MediumItalic
  .fi
! .bp
  .SH DESCRIPTION
  
  .I Psf
! filters text files for display on postscript printers.
! Text may be "1-up", "2-up", or "4-up" on a page. 
  .I Psf
  is a general purpose filter for most text and programme listings.  By
  using various escape sequences (described below), any portion of the text
  may be printed in different fonts and at different point sizes.
  
***************
*** 136,146 ****
  80 columns wide.  For "legal" sized paper, the effective size is 81 lines
  by 80 columns.  These dimensions account for the "print region" (excluding
  margins) of the page.
  
  The actual number of print lines and characters per line may be
! over-ridden by specifing suitable options.
  
  The most commonly used options are page rotation, 
  setting point size, column count and line count:
  all of which allow you to place more printed information on a page.
  Additional options are for special formatting purposes and may be
--- 162,172 ----
  80 columns wide.  For "legal" sized paper, the effective size is 81 lines
  by 80 columns.  These dimensions account for the "print region" (excluding
  margins) of the page.
  
  The actual number of print lines and characters per line may be
! over-ridden by specifying suitable options.
  
  The most commonly used options are page rotation, 
  setting point size, column count and line count:
  all of which allow you to place more printed information on a page.
  Additional options are for special formatting purposes and may be
***************
*** 197,213 ****
  A table of various point sizes, page sizes and their associated
  line and column count is printed with:
  
  .nf
        psf -s
! .fi.
  
  If the
  .B column count (-c)
  or the
  .B line count (-l)
! is adjusted, the number of printed rows and colums can be changed
  form the defaults for the paper size.
  For example, a 132 column, 60 line page in landscape layout
  may be selected with:
  
  .nf
--- 223,239 ----
  A table of various point sizes, page sizes and their associated
  line and column count is printed with:
  
  .nf
        psf -s
! .fi
  
  If the
  .B column count (-c)
  or the
  .B line count (-l)
! is adjusted, the number of printed rows and columns can be changed
  form the defaults for the paper size.
  For example, a 132 column, 60 line page in landscape layout
  may be selected with:
  
  .nf
***************
*** 278,287 ****
--- 304,327 ----
  Clipping is performed in 2-up and 4-up printing.  If the line lengths on
  the left half of the page exceed the logical page width, the lines will
  be truncated.
  
  .TP
+ .B \-a
+ If psf is used as part of a spooler filter and the filter has
+ read access to stdout, then the
+ .B -a
+ option allows the filter to read the actual number of pages
+ printed from the printer.  If this option is not provided,
+ the computed number of pages wll be written to the log file.
+ 
+ .TP
+ .B -A acct.fil
+ If psf is used as part of the lpsched spooling system, the
+ specified file is used to record the accounting information.
+ 
+ .TP
  .B \-b n
  Select paper bin 
  .I n.
  If this option is not specified, the
  default paper bin is used.
***************
*** 296,311 ****
  
  The option 
  .B -c40
  on letter sized paper
  horizontally elongates the characters to twice normal width.
! Similarily, 
  .B -c160
  on letter size paper compresses the characters
  to one half normal width.
  
  .TP
  .B \-d
  Prepare for double sided printing.  The resulting print stream
  is written to
  .I psfbook.psd
  which must be subsequently filtered with 
--- 336,356 ----
  
  The option 
  .B -c40
  on letter sized paper
  horizontally elongates the characters to twice normal width.
! Similarly, 
  .B -c160
  on letter size paper compresses the characters
  to one half normal width.
  
  .TP
+ .B \-D
+ Use the printer's native duplex mode for double-sided printing.
+ Book format is not supported in this mode.
+ 
+ .TP
  .B \-d
  Prepare for double sided printing.  The resulting print stream
  is written to
  .I psfbook.psd
  which must be subsequently filtered with 
***************
*** 405,414 ****
--- 450,480 ----
  ) however use 
  .I text
  rather than the filename.
  
  .TP
+ .B \-j
+ generates a ctl/d at the end of a print job.  If 
+ .I psf
+ is used at the command line or within a shell script,
+ a ctl/d is not generated at the end of a print job: this option
+ forces the generation.
+ 
+ .TP
+ .B \-I
+ Enable or disable the use of ISO Latin1 character set encoding.
+ If
+ .I psf
+ was compiled to use ISO Latin1 encoding by default, the
+ .B -I
+ option reverts to standard encoding.  If
+ .I psf
+ was compiled to use standard encoding, the
+ .B -I
+ option enables ISO Latin1 encoding.
+ 
+ .TP
  .B \-i n[pic]
  Indent the physical page's left margin by 
  .I n
  points
  .B (p)
***************
*** 428,438 ****
  
  .TP
  .B \-l n
  Sets the number of printed lines per page.  The default is 63 lines for
  letter sized paper.  If more than 63 lines per page are specified, the
! point size is automatically reduced to accomodate the line count.
  
  The number of printed lines specified by 
  .B -l
  may be less than
  the number of possible print lines specified by 
--- 494,504 ----
  
  .TP
  .B \-l n
  Sets the number of printed lines per page.  The default is 63 lines for
  letter sized paper.  If more than 63 lines per page are specified, the
! point size is automatically reduced to accommodate the line count.
  
  The number of printed lines specified by 
  .B -l
  may be less than
  the number of possible print lines specified by 
***************
*** 452,462 ****
  .B \-L n
  Specifies the number of possible print lines available on the page.
  If 
  .B -L
  is
! specified, then the page scale is adjusted to accomodate the
  line count.   However, only the number of lines specified by the
  .B -l
  option will actually print.
  
  .TP
--- 518,528 ----
  .B \-L n
  Specifies the number of possible print lines available on the page.
  If 
  .B -L
  is
! specified, then the page scale is adjusted to accommodate the
  line count.   However, only the number of lines specified by the
  .B -l
  option will actually print.
  
  .TP
***************
*** 533,542 ****
--- 599,622 ----
  If portrait layout is desired for 2-up printing, then the 
  .B -n
  option must be specified.
  
  .TP
+ .B \-O pipe
+ The -O option allows psf to open a pipe to another process rather
+ than sending output to stdout.  This option is effective only for
+ versions of psf used in a print spooler.
+ 
+ The
+ .I pipe
+ is the command (with options) that is to be executed.  For example,
+ 
+ 	-O "auxfilter -p17 -t 'sample heading' -v"
+ 
+ Quoted options may be used.
+ 
+ .TP
  .B \-p n
  Sets the nominal point size to 
  .I n
  points.  This is accurate only to "1-up" printing.  If "2-up" or "4-up" or
  "1-up, landscape" printing is desired, the nominal point size is
***************
*** 563,573 ****
  if the
  .B -l
  option is used.
  
  .TP
! .B\-P n
  Sets the nominal point size to
  .I n.
  however the point size is not be scaled if the margin
  size is adjusted with
  .B -M.
--- 643,653 ----
  if the
  .B -l
  option is used.
  
  .TP
! .B \-P n
  Sets the nominal point size to
  .I n.
  however the point size is not be scaled if the margin
  size is adjusted with
  .B -M.
***************
*** 678,687 ****
--- 758,777 ----
  Draws a cross in the to separate the logical pages.  This is
  effective for 4-up or 2-up printing.  If 1-up is used,
  this option is ignored.
  
  .TP
+ .B \-Y host
+ If lpsched is used as the spooler, the specified host
+ name is used in the printer accounting entry.
+ 
+ .TP
+ .B \-y user
+ If lpsched is used as the spooler, the specified user
+ name is used in the printer accounting entry.
+ 
+ .TP
  .B \-z
  This option applies to
  .I psflpd
  use for print filtering with
  .I lpr
***************
*** 724,734 ****
           ^Eu     end underline.
           ^EFn    begin font 'n' (0..9, a..f)
           ^Ef     revert to default font
           ^EPnn   begin point size 'nn' (2 digits)
           ^Ep     revert to default point size
!          ^E+     skip 1/2 line foreward
           ^E-     skip 1/2 line backward
  
           "^E" is a true ctrl-E character, not
                  the ascii text string "^", "E"
  .fi
--- 814,824 ----
           ^Eu     end underline.
           ^EFn    begin font 'n' (0..9, a..f)
           ^Ef     revert to default font
           ^EPnn   begin point size 'nn' (2 digits)
           ^Ep     revert to default point size
!          ^E+     skip 1/2 line forward
           ^E-     skip 1/2 line backward
  
           "^E" is a true ctrl-E character, not
                  the ascii text string "^", "E"
  .fi
***************
*** 841,850 ****
--- 931,949 ----
  For example: 
  
  	set PSFDEF=/etc/psfprint.def
  
  .SH DIAGNOSTICS
+ 
+ Error messages are written to stderr.  If psf is used as
+ a spooler filter, the error messages are written to the
+ spooler error logging file.  If a serial/ethernet printer
+ is connected, additional printer-generated messages may
+ also appear in the log file.
+ 
+ Standard messages generated by psf:
+ 
  .nf
  no alternate bins permitted
  paper bin greater than maximum for printer
  Double sided or book in reverse ordered not supported
  Font number invalid
*** net/man/psf.doc	Sun Apr 19 13:33:21 1992
--- ./man/psf.doc	Tue Jun  2 02:20:28 1992
***************
*** 8,40 ****
       NAME
  	  psf -	postscript filter
  
  
       SYNOPSIS
! 	  psf [	-1|2|4 ] [ -b n	] [ -c n ] [ -e	] [ -E ] [ -f n	]
! 	      [	-g type	] [ -h ] [ -H text ] [ -i n[,pic] ] [ -l n ]
! 	      [	-L n ] [ -m n[,pic] ] [	-M lm,rm,tm,bm[,pci] ] [ -n ]
! 	      [	-p n ] [ ]   [ -p n ] [	] [ -R n ] [ -r	n ] [ -s ]
! 	      [	-t n ] [ -u f.def ] [ -v ] [ -w	] [ -x ]
! 	      [	-z ] file... >out.file
  
  	   where -1|2|4	   print 1,2 or	4 up on	a page (default	= 1)
  		 -b n	   select paper	bin n
  		 -c n	   print columns (based	on Courier font)
  		 -d	   allow double	sided printing
  		 -e	   left-justified line wrap for	long lines
  		 -E	   right-justified line	wrap for long lines
  		 -f n	   font	number/name (default = 0 = Courier)
  		 -g type   page	type (default =	letter)
  		 -h	   put file name as header on each page
  		 -H text   put text as header on each page
  		 -i n[pic] indent left margin n	points/inch/cm
  		 -l n	   print lines per page
  		 -L n	   page	length in lines
  		 -m n[pic] indent top margin in	points/inch/cm
  		 -M xxx	   set all margins
  		 -n	   set portrait	(narrow) format
  		 -p n	   set point size to n
  		 -P n	   set point size to n,	preserve point size
  		 -R n	   remove n lines from beginning of file
  		 -r n	   remove n lines between pages
  		 -s	   show	page stats (line+column	count)
--- 8,47 ----
       NAME
  	  psf -	postscript filter
  
  
       SYNOPSIS
! 	  psf [	-1|2|4 ] [ -a ]	[ -A acct.fil ]	[ -b n ] [ -c n	]
! 	      [	-d ] [ -D ] [ -e ] [ -E	] [ -f n ] [ -g	type ]
! 	      [	-h ] [ -H text ] [ -I ]	[ -i n[,pic] ] [ -j ] [	-l n ]
! 	      [	-L n ] [ -m n[,pic] ]  [ -M lm,rm,tm,bm[,pci] ]	[ -n ]
! 	      [	-P n ] [ -p n ]	[ -R n ] [ -r n	] [ -s ] [ -t n	]
! 	      [	-u f.def ] [ -v	] [ -w ] [ -x ]
! 	      [	-Y host	] [ -y user ] [	-z ] file...
  
  	   where -1|2|4	   print 1,2 or	4 up on	a page (default	= 1)
+ 		 -a	   spooler filter has read access to stdout
+ 		 -A a.fil  name	of accounting file (for	lpsched)
  		 -b n	   select paper	bin n
  		 -c n	   print columns (based	on Courier font)
+ 		 -D	   print double	sided in duplex	mode
  		 -d	   allow double	sided printing
  		 -e	   left-justified line wrap for	long lines
  		 -E	   right-justified line	wrap for long lines
  		 -f n	   font	number/name (default = 0 = Courier)
  		 -g type   page	type (default =	letter)
  		 -h	   put file name as header on each page
  		 -H text   put text as header on each page
  		 -i n[pic] indent left margin n	points/inch/cm
+ 		 -I	   enable/disable ISO Latin1 encoding
+ 		 -j	   generate a ctl/d at end of print job
  		 -l n	   print lines per page
  		 -L n	   page	length in lines
  		 -m n[pic] indent top margin in	points/inch/cm
  		 -M xxx	   set all margins
  		 -n	   set portrait	(narrow) format
+ 		 -O pipe   send	output to pipe (spooler	only)
  		 -p n	   set point size to n
  		 -P n	   set point size to n,	preserve point size
  		 -R n	   remove n lines from beginning of file
  		 -r n	   remove n lines between pages
  		 -s	   show	page stats (line+column	count)
***************
*** 41,92 ****
  		 -t n	   set tabs to n (default = 8)
  		 -u f.def  use this printer definition file
  		 -v	   print pages in reverse
  		 -w	   set landscape (wide)	format
  		 -x	   draw	cross with 4-up	page
  		 -z	   force postscript translate (spooler only)
  		 file..	   name	of files to be printed (or stdin)
  
  	     Fonts selection with -f n	(printer dependent)
  		 0 Courier		 1 Helvetica
  		 2 Times-Roman		 3 AvantGarde-Book
  		 4 Bookman-Light	 5 NewCenturySchlbk-Roman
  		 6 Palatino-Roman	 7 Helvetical-Narrow
  		 8 Garamond-Light	 9 Korinna-Regular
  		 a Helvetica-Condensed	 b ZapfChancery-MediumItalic
  
  
!      DESCRIPTION
! 	  Psf accepts text and filters it to print on postscript
  
  
  
-      Page 1					     (printed 1/30/92)
  
  
  
  
  
  
       PSF(1)		       Unix System V			PSF(1)
  
  
  
! 	  printers.  The print may be "1-up", "2-up", or "4-up"	on a
! 	  page.	Psf is a general purpose filter	for most text and
! 	  programme listings.  By using	various	escape sequences
! 	  (described below), any portion of the	text may be printed in
! 	  different fonts and at different point sizes.
  
  	  If "letter" sized paper is used, the page is assumed to have
  	  63 lines and 80 columns wide.	 For "legal" sized paper, the
  	  effective size is 81 lines by	80 columns.  These dimensions
  	  account for the "print region" (excluding margins) of	the
  	  page.
  
  	  The actual number of print lines and characters per line may
! 	  be over-ridden by specifing suitable options.
  
  	  The most commonly used options are page rotation, setting
  	  point	size, column count and line count: all of which	allow
  	  you to place more printed information	on a page.  Additional
  	  options are for special formatting purposes and may be used
--- 48,160 ----
  		 -t n	   set tabs to n (default = 8)
  		 -u f.def  use this printer definition file
  		 -v	   print pages in reverse
  		 -w	   set landscape (wide)	format
  		 -x	   draw	cross with 4-up	page
+ 		 -Y host   host	name for lpsched filter
+ 		 -y user   user	id for lpsched filter
  		 -z	   force postscript translate (spooler only)
  		 file..	   name	of files to be printed (or stdin)
  
  	     Fonts selection with -f n	(printer dependent)
  		 0 Courier		 1 Helvetica
+ 
+ 
+ 
+      Page 1					      (printed 6/2/92)
+ 
+ 
+ 
+ 
+ 
+ 
+      PSF(1)		       Unix System V			PSF(1)
+ 
+ 
+ 
  		 2 Times-Roman		 3 AvantGarde-Book
  		 4 Bookman-Light	 5 NewCenturySchlbk-Roman
  		 6 Palatino-Roman	 7 Helvetical-Narrow
  		 8 Garamond-Light	 9 Korinna-Regular
  		 a Helvetica-Condensed	 b ZapfChancery-MediumItalic
  
  
! 
! 
! 
! 
! 
! 
! 
! 
! 
! 
! 
! 
! 
! 
! 
! 
! 
  
  
  
  
  
  
  
  
  
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+      Page 2					      (printed 6/2/92)
+ 
+ 
+ 
+ 
+ 
+ 
       PSF(1)		       Unix System V			PSF(1)
  
  
  
!      DESCRIPTION
! 	  Psf filters text files for display on	postscript printers.
! 	  Text may be "1-up", "2-up", or "4-up"	on a page. Psf is a
! 	  general purpose filter for most text and programme listings.
! 	  By using various escape sequences (described below), any
! 	  portion of the text may be printed in	different fonts	and at
! 	  different point sizes.
  
  	  If "letter" sized paper is used, the page is assumed to have
  	  63 lines and 80 columns wide.	 For "legal" sized paper, the
  	  effective size is 81 lines by	80 columns.  These dimensions
  	  account for the "print region" (excluding margins) of	the
  	  page.
  
  	  The actual number of print lines and characters per line may
! 	  be over-ridden by specifying suitable	options.
  
  	  The most commonly used options are page rotation, setting
  	  point	size, column count and line count: all of which	allow
  	  you to place more printed information	on a page.  Additional
  	  options are for special formatting purposes and may be used
***************
*** 119,134 ****
  	      psf -M 1,1,1,1,c a.b   (set 1 cm margins)
  
  
       PRINT SIZE
  	  Two ways are available to adjust the print size.  If the
- 	  point	size (using the	-p option) is used, choosing a smaller
- 	  point	size than the default of 12 results in smaller letters
  
  
  
!      Page 2					     (printed 1/30/92)
  
  
  
  
  
--- 187,200 ----
  	      psf -M 1,1,1,1,c a.b   (set 1 cm margins)
  
  
       PRINT SIZE
  	  Two ways are available to adjust the print size.  If the
  
  
  
!      Page 3					      (printed 6/2/92)
  
  
  
  
  
***************
*** 135,144 ****
--- 201,212 ----
  
       PSF(1)		       Unix System V			PSF(1)
  
  
  
+ 	  point	size (using the	-p option) is used, choosing a smaller
+ 	  point	size than the default of 12 results in smaller letters
  	  and more printed lines.  Choosing a larger points size
  	  results in larger letters and	reduces	the number of printed
  	  lines	and columns on a page.
  
  	  A table of various point sizes, page sizes and their
***************
*** 145,155 ****
  	  associated line and column count is printed with:
  
  		psf -s
  
  	  If the column	count (-c) or the line count (-l) is adjusted,
! 	  the number of	printed	rows and colums	can be changed form
  	  the defaults for the paper size.  For	example, a 132 column,
  	  60 line page in landscape layout may be selected with:
  
  		psf -w -c132 -l60 my.fil | lp
  
--- 213,223 ----
  	  associated line and column count is printed with:
  
  		psf -s
  
  	  If the column	count (-c) or the line count (-l) is adjusted,
! 	  the number of	printed	rows and columns can be	changed	form
  	  the defaults for the paper size.  For	example, a 132 column,
  	  60 line page in landscape layout may be selected with:
  
  		psf -w -c132 -l60 my.fil | lp
  
***************
*** 186,200 ****
  		     |		 |	     |
  		     |	 pg 3	 |   pg	4    |
  		     |		 |	     |
  		     +-----------+-----------+
  
- 	       Each logical page printed in 2-up or 4-up format
- 
  
  
!      Page 3					     (printed 1/30/92)
  
  
  
  
  
--- 254,266 ----
  		     |		 |	     |
  		     |	 pg 3	 |   pg	4    |
  		     |		 |	     |
  		     +-----------+-----------+
  
  
  
!      Page 4					      (printed 6/2/92)
  
  
  
  
  
***************
*** 201,210 ****
--- 267,277 ----
  
       PSF(1)		       Unix System V			PSF(1)
  
  
  
+ 	       Each logical page printed in 2-up or 4-up format
  	       contains	the same number	of lines and print columns as
  	       if it were printed in 1-up portrait format.  The
  	       characters may be compressed or expanded	horizontally
  	       to fill to the logical page width.  For example,
  	       printing	with:
***************
*** 222,231 ****
--- 289,312 ----
  	       Clipping	is performed in	2-up and 4-up printing.	 If
  	       the line	lengths	on the left half of the	page exceed
  	       the logical page	width, the lines will be truncated.
  
  
+ 	  -a   If psf is used as part of a spooler filter and the
+ 	       filter has read access to stdout, then the -a option
+ 	       allows the filter to read the actual number of pages
+ 	       printed from the	printer.  If this option is not
+ 	       provided, the computed number of	pages wll be written
+ 	       to the log file.
+ 
+ 
+ 	  -A acct.fil
+ 	       If psf is used as part of the lpsched spooling system,
+ 	       the specified file is used to record the	accounting
+ 	       information.
+ 
+ 
  	  -b n Select paper bin	n. If this option is not specified,
  	       the default paper bin is	used.
  
  
  	  -c n Sets the	number of print	columns	on a line.  The
***************
*** 235,276 ****
  	       page width.  Setting the	character count	does NOT alter
  	       the number of print lines.
  
  	       The option -c40 on letter sized paper horizontally
  	       elongates the characters	to twice normal	width.
! 	       Similarily, -c160 on letter size	paper compresses the
  	       characters to one half normal width.
  
  
- 	  -d   Prepare for double sided	printing.  The resulting print
- 	       stream is written to psfbook.psd	which must be
- 	       subsequently filtered with psfdoub. Refer to the	man
- 	       page for	psfdoub	for operational	details.
  
  
! 	  -e   By default, lines longer	than the page width are
! 	       truncated.  This	option enables line wrap: long lines
! 	       will cascade onto successive print lines.  Each wrapped
! 	       portion of the line is left-justified.
  
  
- 	  -E   This operates similar to	-e however each	wrapped
- 	       portion of the line is right-justified:	 the end of
  
  
  
-      Page 4					     (printed 1/30/92)
  
  
  
  
  
  
!      PSF(1)		       Unix System V			PSF(1)
  
  
  
  	       the wrapped portion of the line is placed at the	right
  	       paper margin.
  
  
  	  -f n Any of the standard postscript fonts may	be selected in
--- 316,360 ----
  	       page width.  Setting the	character count	does NOT alter
  	       the number of print lines.
  
  	       The option -c40 on letter sized paper horizontally
  	       elongates the characters	to twice normal	width.
! 	       Similarly, -c160	on letter size paper compresses	the
  	       characters to one half normal width.
  
  
  
  
!      Page 5					      (printed 6/2/92)
  
  
  
  
  
  
+      PSF(1)		       Unix System V			PSF(1)
  
  
  
+ 	  -D   Use the printer's native	duplex mode for	double-sided
+ 	       printing.  Book format is not supported in this mode.
  
  
! 	  -d   Prepare for double sided	printing.  The resulting print
! 	       stream is written to psfbook.psd	which must be
! 	       subsequently filtered with psfdoub. Refer to the	man
! 	       page for	psfdoub	for operational	details.
  
  
+ 	  -e   By default, lines longer	than the page width are
+ 	       truncated.  This	option enables line wrap: long lines
+ 	       will cascade onto successive print lines.  Each wrapped
+ 	       portion of the line is left-justified.
+ 
  
+ 	  -E   This operates similar to	-e however each	wrapped
+ 	       portion of the line is right-justified:	 the end of
  	       the wrapped portion of the line is placed at the	right
  	       paper margin.
  
  
  	  -f n Any of the standard postscript fonts may	be selected in
***************
*** 301,310 ****
--- 385,408 ----
  	       listings.  The other fonts are proportionally spaced.
  
  	       The selected font becomes the new "default font".
  
  	       The font	may be specified either	by the font number or
+ 
+ 
+ 
+      Page 6					      (printed 6/2/92)
+ 
+ 
+ 
+ 
+ 
+ 
+      PSF(1)		       Unix System V			PSF(1)
+ 
+ 
+ 
  	       the font	name.  For example, the	Courier	font could be
  	       selected	with either option '-f 0' or '-f Courier'.  If
  	       the selection is	by name, then only a few of the
  	       characters of the name must be provided.	 The
  	       NewCenturySchlbk-Roman font could be selected with the
***************
*** 319,342 ****
  
  		       type	  lines	    columns
  		      -------	  -----	    -------
  		      letter	   63	      80
  		      legal	   81	      80
- 
- 
- 
-      Page 5					     (printed 1/30/92)
- 
- 
- 
- 
- 
- 
-      PSF(1)		       Unix System V			PSF(1)
- 
- 
- 
  		      a4	   67	      78
  		      b5	   58	      67
  
  	       The number of lines/columns represents the number of
  	       possible	lines/columns in the printable region of the
--- 417,426 ----
***************
*** 354,363 ****
--- 438,474 ----
  	  -H text
  	       Place a header (like -h ) however use text rather than
  	       the filename.
  
  
+ 	  -j   generates a ctl/d at the	end of a print job.  If	psf is
+ 	       used at the command line	or within a shell script, a
+ 	       ctl/d is	not generated at the end of a print job: this
+ 	       option forces the generation.
+ 
+ 
+ 	  -I   Enable or disable the use of ISO	Latin1 character set
+ 	       encoding.  If psf was compiled to use ISO Latin1
+ 	       encoding	by default, the	-I option reverts to standard
+ 	       encoding.  If psf was compiled to use standard
+ 	       encoding, the -I	option enables ISO Latin1 encoding.
+ 
+ 
+ 
+ 
+ 
+      Page 7					      (printed 6/2/92)
+ 
+ 
+ 
+ 
+ 
+ 
+      PSF(1)		       Unix System V			PSF(1)
+ 
+ 
+ 
  	  -i n[pic]
  	       Indent the physical page's left margin by n points (p)
  	       , inches	(i) or centimeters (c).	Text is	scaled by the
  	       amount of the indentation to preserve nominal line and
  	       column counts.  This is useful to offset	the left
***************
*** 371,381 ****
  
  
  	  -l n Sets the	number of printed lines	per page.  The default
  	       is 63 lines for letter sized paper.  If more than 63
  	       lines per page are specified, the point size is
! 	       automatically reduced to	accomodate the line count.
  
  	       The number of printed lines specified by	-l may be less
  	       than the	number of possible print lines specified by -
  	       L. For example, the default total number	of print lines
  	       is 63 (as though	you had	specified -L63 ).  If you used
--- 482,492 ----
  
  
  	  -l n Sets the	number of printed lines	per page.  The default
  	       is 63 lines for letter sized paper.  If more than 63
  	       lines per page are specified, the point size is
! 	       automatically reduced to	accommodate the	line count.
  
  	       The number of printed lines specified by	-l may be less
  	       than the	number of possible print lines specified by -
  	       L. For example, the default total number	of print lines
  	       is 63 (as though	you had	specified -L63 ).  If you used
***************
*** 385,409 ****
  	       page would be blank.
  
  
  	  -L n Specifies the number of possible	print lines available
  	       on the page.  If	-L is specified, then the page scale
! 
! 
! 
!      Page 6					     (printed 1/30/92)
! 
! 
! 
! 
! 
! 
!      PSF(1)		       Unix System V			PSF(1)
! 
! 
! 
! 	       is adjusted to accomodate the line count.   However,
  	       only the	number of lines	specified by the -l option
  	       will actually print.
  
  
  	  -m n[pic]
--- 496,506 ----
  	       page would be blank.
  
  
  	  -L n Specifies the number of possible	print lines available
  	       on the page.  If	-L is specified, then the page scale
! 	       is adjusted to accommodate the line count.   However,
  	       only the	number of lines	specified by the -l option
  	       will actually print.
  
  
  	  -m n[pic]
***************
*** 421,430 ****
--- 518,540 ----
  	       be set in points	(p), inches (i)	or centimeters (c).
  
  	       This option affects each	logical	page: margins set with
  	       -i or -m	are used to offset physical margins.
  
+ 
+ 
+      Page 8					      (printed 6/2/92)
+ 
+ 
+ 
+ 
+ 
+ 
+      PSF(1)		       Unix System V			PSF(1)
+ 
+ 
+ 
  	       For example,
  
  		   -M 2,3,4.2,5,c
  
  	       will set	a left margin of 2cm, right margin of 3cm, top
***************
*** 452,487 ****
  	       the page. For example, an 80 column by 60 line page can
  	       be centered with	50 point margins with:
  
  		    psf	-M 50,50,50,50,p -l 60 -c 80 my.file
  
  
  
-      Page 7					     (printed 1/30/92)
  
  
  
  
  
  
-      PSF(1)		       Unix System V			PSF(1)
  
  
  
- 	       If margins are set but the line and column count	are
- 	       not provided, the printing is scaled to use the default
- 	       number of lines and columns for the page	and point size
- 	       in use.	Scaling	for point size may be defeated with
- 	       the -P n	option.
  
  
! 	  -n   The page	is printed in portrait (narrow)	format.	 This
! 	       is the default for 1-up and 4-up	printing.  If portrait
! 	       layout is desired for 2-up printing, then the -n	option
! 	       must be specified.
  
  
  	  -p n Sets the	nominal	point size to n	points.	 This is
  	       accurate	only to	"1-up" printing.  If "2-up" or "4-up"
  	       or "1-up, landscape" printing is	desired, the nominal
  	       point size is automatically scaled.
  
--- 562,611 ----
  	       the page. For example, an 80 column by 60 line page can
  	       be centered with	50 point margins with:
  
  		    psf	-M 50,50,50,50,p -l 60 -c 80 my.file
  
+ 	       If margins are set but the line and column count	are
+ 	       not provided, the printing is scaled to use the default
+ 	       number of lines and columns for the page	and point size
+ 	       in use.	Scaling	for point size may be defeated with
+ 	       the -P n	option.
+ 
  
+ 	  -n   The page	is printed in portrait (narrow)	format.	 This
+ 	       is the default for 1-up and 4-up	printing.  If portrait
+ 	       layout is desired for 2-up printing, then the -n	option
+ 	       must be specified.
  
  
+ 	  -O pipe
+ 	       The -O option allows psf	to open	a pipe to another
+ 	       process rather than sending output to stdout.  This
+ 	       option is effective only	for versions of	psf used in a
+ 	       print spooler.
  
+ 	       The pipe	is the command (with options) that is to be
+ 	       executed.  For example,
  
  
  
+      Page 9					      (printed 6/2/92)
  
  
  
  
  
  
!      PSF(1)		       Unix System V			PSF(1)
  
  
+ 
+ 		    -O "auxfilter -p17 -t 'sample heading' -v"
+ 
+ 	       Quoted options may be used.
+ 
+ 
  	  -p n Sets the	nominal	point size to n	points.	 This is
  	       accurate	only to	"1-up" printing.  If "2-up" or "4-up"
  	       or "1-up, landscape" printing is	desired, the nominal
  	       point size is automatically scaled.
  
***************
*** 517,548 ****
  	       before the first	printed	text on	a page	and 6 blank
  	       lines to	skip to	the top	of the next page.
  
  	       To generate exactly 60 printed lines with psf, the
  	       first two blank lines should be removed with -R2	and
  
  
  
!      Page 8					     (printed 1/30/92)
  
  
  
  
  
  
-      PSF(1)		       Unix System V			PSF(1)
  
  
  
! 	       the blank lines between pages removed with -r6:
  
- 		      psf -R2 -r 6 -l 60 -c 132	account.rpt | lp
  
- 	       The -r and -R may be used together as needed.
  
- 	       If a skip to new	page was caused	by a formfeed imbedded
- 	       in the text file, then removal of lines is not
  	       performed for that page.
  
  
  	  -s   generates a display of commonly used page layouts,
  	       point sizes and the associated line and column counts
--- 641,672 ----
  	       before the first	printed	text on	a page	and 6 blank
  	       lines to	skip to	the top	of the next page.
  
  	       To generate exactly 60 printed lines with psf, the
  	       first two blank lines should be removed with -R2	and
+ 	       the blank lines between pages removed with -r6:
  
+ 		      psf -R2 -r 6 -l 60 -c 132	account.rpt | lp
  
+ 	       The -r and -R may be used together as needed.
  
! 	       If a skip to new	page was caused	by a formfeed imbedded
! 	       in the text file, then removal of lines is not
  
  
  
+      Page 10					      (printed 6/2/92)
  
  
  
  
  
  
!      PSF(1)		       Unix System V			PSF(1)
  
  
  
  	       performed for that page.
  
  
  	  -s   generates a display of commonly used page layouts,
  	       point sizes and the associated line and column counts
***************
*** 583,620 ****
  	       to the alternate	.def file with:
  
  		    psf	-u f.def -\?
  
  
! 
  
  
!      Page 9					     (printed 1/30/92)
  
  
  
  
  
  
-      PSF(1)		       Unix System V			PSF(1)
  
  
  
- 	  -v   Print pages in reverse order.
  
  
- 	  -w   The page	is printed in landscape	(wide, horizontal
- 	       format).	 This is the default for 2-up printing.	 If
- 	       1-up or 4-up printing is	desired	in landscape mode,
- 	       then the	-w switch must be specified.
  
  
  	  -x   Draws a cross in	the to separate	the logical pages.
  	       This is effective for 4-up or 2-up printing.  If	1-up
  	       is used,	this option is ignored.
  
  
  	  -z   This option applies to psflpd use for print filtering
  	       with lpr	or psffilter used for print filtering with lp
  	       spooling	systems.  Ascii	to postscript translation is
  	       forced, even if the file	is already postscript code.
  	       This allows the printing	of a postscript	programme.
--- 707,753 ----
  	       to the alternate	.def file with:
  
  		    psf	-u f.def -\?
  
  
! 	  -v   Print pages in reverse order.
  
  
! 	  -w   The page	is printed in landscape	(wide, horizontal
! 	       format).	 This is the default for 2-up printing.	 If
! 	       1-up or 4-up printing is	desired	in landscape mode,
! 	       then the	-w switch must be specified.
  
  
  
  
+      Page 11					      (printed 6/2/92)
  
  
  
  
  
  
+      PSF(1)		       Unix System V			PSF(1)
  
  
  
  	  -x   Draws a cross in	the to separate	the logical pages.
  	       This is effective for 4-up or 2-up printing.  If	1-up
  	       is used,	this option is ignored.
  
  
+ 	  -Y host
+ 	       If lpsched is used as the spooler, the specified	host
+ 	       name is used in the printer accounting entry.
+ 
+ 
+ 	  -y user
+ 	       If lpsched is used as the spooler, the specified	user
+ 	       name is used in the printer accounting entry.
+ 
+ 
  	  -z   This option applies to psflpd use for print filtering
  	       with lpr	or psffilter used for print filtering with lp
  	       spooling	systems.  Ascii	to postscript translation is
  	       forced, even if the file	is already postscript code.
  	       This allows the printing	of a postscript	programme.
***************
*** 645,662 ****
  		   ^Eu	   end underline.
  		   ^EFn	   begin font 'n' (0..9, a..f)
  		   ^Ef	   revert to default font
  		   ^EPnn   begin point size 'nn' (2 digits)
  		   ^Ep	   revert to default point size
! 		   ^E+	   skip	1/2 line foreward
  		   ^E-	   skip	1/2 line backward
  
- 		   "^E"	is a true ctrl-E character, not
  
  
  
!      Page 10					     (printed 1/30/92)
  
  
  
  
  
--- 778,794 ----
  		   ^Eu	   end underline.
  		   ^EFn	   begin font 'n' (0..9, a..f)
  		   ^Ef	   revert to default font
  		   ^EPnn   begin point size 'nn' (2 digits)
  		   ^Ep	   revert to default point size
! 		   ^E+	   skip	1/2 line forward
  		   ^E-	   skip	1/2 line backward
  
  
  
  
!      Page 12					      (printed 6/2/92)
  
  
  
  
  
***************
*** 663,672 ****
--- 795,805 ----
  
       PSF(1)		       Unix System V			PSF(1)
  
  
  
+ 		   "^E"	is a true ctrl-E character, not
  			  the ascii text string	"^", "E"
  
  	  Note that point sizes	with ^EPnn must	be two digits such as
  	  ^EP07	or ^EP14.
  
***************
*** 714,728 ****
  	  command:
  
  	       lpr -P2up my.file
  
  
-      ENVIRONMENT
  
  
  
!      Page 11					     (printed 1/30/92)
  
  
  
  
  
--- 847,860 ----
  	  command:
  
  	       lpr -P2up my.file
  
  
  
  
  
!      Page 13					      (printed 6/2/92)
  
  
  
  
  
***************
*** 729,738 ****
--- 861,871 ----
  
       PSF(1)		       Unix System V			PSF(1)
  
  
  
+      ENVIRONMENT
  	  If the environment variable PSFLP is set, then psf and
  	  psfdoub will use the value as	the name of the	output print
  	  file.	 If this variable is not set, the default output file
  	  is stdout.
  
***************
*** 750,759 ****
--- 883,900 ----
  
  	       set PSFDEF=/etc/psfprint.def
  
  
       DIAGNOSTICS
+ 	  Error	messages are written to	stderr.	 If psf	is used	as a
+ 	  spooler filter, the error messages are written to the
+ 	  spooler error	logging	file.  If a serial/ethernet printer is
+ 	  connected, additional	printer-generated messages may also
+ 	  appear in the	log file.
+ 
+ 	  Standard messages generated by psf:
+ 
  	  no alternate bins permitted
  	  paper	bin greater than maximum for printer
  	  Double sided or book in reverse ordered not supported
  	  Font number invalid
  		  - use	'psf -'	to see a list of fonts available
***************
*** 772,804 ****
  	  Double sided reverse ordered printing	with the -dv options
  	  is not supported.
  
  	  Line wrap with the -e	option works correctly for Courier
  	  font only.  If other fonts are used, inappropriate line
- 	  wraps	may result.  Psf does not know about font metrics.
  
- 	  Double sided printing	may not	work correctly with top	margin
- 	  or left margin indentation.
  
- 	  Psf has far to many options.
  
  
-      FILES
  
  
  
-      Page 12					     (printed 1/30/92)
  
  
  
  
  
  
!      PSF(1)		       Unix System V			PSF(1)
  
  
  
  	  /usr/spool/lp/model/psfprint.def:  printer definition	file
  	  /usr/local/lib/psf/psfprint.def:   printer definition	file
  	  psfbook.psd:	temp output file for double sided printing.
  
  
--- 913,945 ----
  	  Double sided reverse ordered printing	with the -dv options
  	  is not supported.
  
  	  Line wrap with the -e	option works correctly for Courier
  	  font only.  If other fonts are used, inappropriate line
  
  
  
+      Page 14					      (printed 6/2/92)
  
  
  
  
  
  
+      PSF(1)		       Unix System V			PSF(1)
  
  
  
+ 	  wraps	may result.  Psf does not know about font metrics.
  
! 	  Double sided printing	may not	work correctly with top	margin
! 	  or left margin indentation.
  
+ 	  Psf has far to many options.
  
  
+      FILES
  	  /usr/spool/lp/model/psfprint.def:  printer definition	file
  	  /usr/local/lib/psf/psfprint.def:   printer definition	file
  	  psfbook.psd:	temp output file for double sided printing.
  
  
***************
*** 841,858 ****
  
  
  
  
  
! 
! 
! 
! 
! 
! 
! 
! 
! 
!      Page 13					     (printed 1/30/92)
  
  
  
--- 982,990 ----
  
  
  
  
  
!      Page 15					      (printed 6/2/92)
  
  
  


exit 0 # Just in case...
